/**
 * <copyright>
 * </copyright>
 *
 * $Id: CustomizeableFieldImpl.java 6651 2010-09-24 10:30:44Z hoenninger $
 */
package org.openxma.dsl.pom.model.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EDataTypeEList;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.openxma.dsl.core.model.ValidatorReference;
import org.openxma.dsl.dom.model.Attribute;
import org.openxma.dsl.dom.model.Constraint;
import org.openxma.dsl.dom.model.PresentableFeature;
import org.openxma.dsl.pom.PomPackage;
import org.openxma.dsl.pom.model.ComposedElement;
import org.openxma.dsl.pom.model.ControlType;
import org.openxma.dsl.pom.model.CustomizeableField;
import org.openxma.dsl.pom.model.FieldFlag;
import org.openxma.dsl.pom.model.FieldPartSpecification;
import org.openxma.dsl.pom.model.FieldPart;
import org.openxma.dsl.pom.model.GuiElement;
import org.openxma.dsl.pom.model.IDummy;
import org.openxma.dsl.pom.model.IElementOnWhichCanBeAttached;
import org.openxma.dsl.pom.model.IElementWithLayoutData;
import org.openxma.dsl.pom.model.IGuiElementWithEvent;
import org.openxma.dsl.pom.model.LayoutDataProperty;
import org.openxma.dsl.pom.model.SimpleElement;
import org.openxma.dsl.pom.model.TextProperties;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Customizeable Field</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl#getName <em>Name</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl#getLayoutProperties <em>Layout Properties</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl#getFieldFlags <em>Field Flags</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl#getControlType <em>Control Type</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl#getParts <em>Parts</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl#getConstraints <em>Constraints</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl#getFormat <em>Format</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl#getTextProperties <em>Text Properties</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class CustomizeableFieldImpl extends IFieldImpl implements CustomizeableField {
	/**
	 * The default value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected static final String NAME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected String name = NAME_EDEFAULT;

	/**
	 * The cached value of the '{@link #getLayoutProperties() <em>Layout Properties</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLayoutProperties()
	 * @generated
	 * @ordered
	 */
	protected EList<LayoutDataProperty> layoutProperties;

	/**
	 * The cached value of the '{@link #getFieldFlags() <em>Field Flags</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFieldFlags()
	 * @generated
	 * @ordered
	 */
	protected EList<FieldFlag> fieldFlags;

	/**
	 * The default value of the '{@link #getControlType() <em>Control Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getControlType()
	 * @generated
	 * @ordered
	 */
	protected static final ControlType CONTROL_TYPE_EDEFAULT = ControlType.TEXT;

	/**
	 * The cached value of the '{@link #getControlType() <em>Control Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getControlType()
	 * @generated
	 * @ordered
	 */
	protected ControlType controlType = CONTROL_TYPE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getParts() <em>Parts</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getParts()
	 * @generated
	 * @ordered
	 */
	protected EList<FieldPartSpecification> parts;

	/**
	 * The cached value of the '{@link #getConstraints() <em>Constraints</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getConstraints()
	 * @generated
	 * @ordered
	 */
	protected EList<Constraint> constraints;

	/**
	 * The cached value of the '{@link #getFormat() <em>Format</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFormat()
	 * @generated
	 * @ordered
	 */
	protected ValidatorReference format;

	/**
	 * The cached value of the '{@link #getTextProperties() <em>Text Properties</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTextProperties()
	 * @generated
	 * @ordered
	 */
	protected TextProperties textProperties;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected CustomizeableFieldImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PomPackage.Literals.CUSTOMIZEABLE_FIELD;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<LayoutDataProperty> getLayoutProperties() {
		if (layoutProperties == null) {
			layoutProperties = new EObjectContainmentEList<LayoutDataProperty>(LayoutDataProperty.class, this, PomPackage.CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES);
		}
		return layoutProperties;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<FieldFlag> getFieldFlags() {
		if (fieldFlags == null) {
			fieldFlags = new EObjectContainmentEList<FieldFlag>(FieldFlag.class, this, PomPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS);
		}
		return fieldFlags;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getName() {
		return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setName(String newName) {
		String oldName = name;
		name = newName;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PomPackage.CUSTOMIZEABLE_FIELD__NAME, oldName, name));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ControlType getControlType() {
		return controlType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setControlType(ControlType newControlType) {
		ControlType oldControlType = controlType;
		controlType = newControlType == null ? CONTROL_TYPE_EDEFAULT : newControlType;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PomPackage.CUSTOMIZEABLE_FIELD__CONTROL_TYPE, oldControlType, controlType));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<FieldPartSpecification> getParts() {
		if (parts == null) {
			parts = new EObjectContainmentEList<FieldPartSpecification>(FieldPartSpecification.class, this, PomPackage.CUSTOMIZEABLE_FIELD__PARTS);
		}
		return parts;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Constraint> getConstraints() {
		if (constraints == null) {
			constraints = new EObjectContainmentEList<Constraint>(Constraint.class, this, PomPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS);
		}
		return constraints;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ValidatorReference getFormat() {
		return format;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetFormat(ValidatorReference newFormat, NotificationChain msgs) {
		ValidatorReference oldFormat = format;
		format = newFormat;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, PomPackage.CUSTOMIZEABLE_FIELD__FORMAT, oldFormat, newFormat);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFormat(ValidatorReference newFormat) {
		if (newFormat != format) {
			NotificationChain msgs = null;
			if (format != null)
				msgs = ((InternalEObject)format).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - PomPackage.CUSTOMIZEABLE_FIELD__FORMAT, null, msgs);
			if (newFormat != null)
				msgs = ((InternalEObject)newFormat).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - PomPackage.CUSTOMIZEABLE_FIELD__FORMAT, null, msgs);
			msgs = basicSetFormat(newFormat, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PomPackage.CUSTOMIZEABLE_FIELD__FORMAT, newFormat, newFormat));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TextProperties getTextProperties() {
		return textProperties;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetTextProperties(TextProperties newTextProperties, NotificationChain msgs) {
		TextProperties oldTextProperties = textProperties;
		textProperties = newTextProperties;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, PomPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES, oldTextProperties, newTextProperties);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTextProperties(TextProperties newTextProperties) {
		if (newTextProperties != textProperties) {
			NotificationChain msgs = null;
			if (textProperties != null)
				msgs = ((InternalEObject)textProperties).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - PomPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES, null, msgs);
			if (newTextProperties != null)
				msgs = ((InternalEObject)newTextProperties).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - PomPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES, null, msgs);
			msgs = basicSetTextProperties(newTextProperties, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PomPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES, newTextProperties, newTextProperties));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PomPackage.CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES:
				return ((InternalEList<?>)getLayoutProperties()).basicRemove(otherEnd, msgs);
			case PomPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				return ((InternalEList<?>)getFieldFlags()).basicRemove(otherEnd, msgs);
			case PomPackage.CUSTOMIZEABLE_FIELD__PARTS:
				return ((InternalEList<?>)getParts()).basicRemove(otherEnd, msgs);
			case PomPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				return ((InternalEList<?>)getConstraints()).basicRemove(otherEnd, msgs);
			case PomPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				return basicSetFormat(null, msgs);
			case PomPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				return basicSetTextProperties(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PomPackage.CUSTOMIZEABLE_FIELD__NAME:
				return getName();
			case PomPackage.CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES:
				return getLayoutProperties();
			case PomPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				return getFieldFlags();
			case PomPackage.CUSTOMIZEABLE_FIELD__CONTROL_TYPE:
				return getControlType();
			case PomPackage.CUSTOMIZEABLE_FIELD__PARTS:
				return getParts();
			case PomPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				return getConstraints();
			case PomPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				return getFormat();
			case PomPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				return getTextProperties();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PomPackage.CUSTOMIZEABLE_FIELD__NAME:
				setName((String)newValue);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES:
				getLayoutProperties().clear();
				getLayoutProperties().addAll((Collection<? extends LayoutDataProperty>)newValue);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				getFieldFlags().clear();
				getFieldFlags().addAll((Collection<? extends FieldFlag>)newValue);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__CONTROL_TYPE:
				setControlType((ControlType)newValue);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__PARTS:
				getParts().clear();
				getParts().addAll((Collection<? extends FieldPartSpecification>)newValue);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				getConstraints().clear();
				getConstraints().addAll((Collection<? extends Constraint>)newValue);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				setFormat((ValidatorReference)newValue);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				setTextProperties((TextProperties)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PomPackage.CUSTOMIZEABLE_FIELD__NAME:
				setName(NAME_EDEFAULT);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES:
				getLayoutProperties().clear();
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				getFieldFlags().clear();
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__CONTROL_TYPE:
				setControlType(CONTROL_TYPE_EDEFAULT);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__PARTS:
				getParts().clear();
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				getConstraints().clear();
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				setFormat((ValidatorReference)null);
				return;
			case PomPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				setTextProperties((TextProperties)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PomPackage.CUSTOMIZEABLE_FIELD__NAME:
				return NAME_EDEFAULT == null ? name != null : !NAME_EDEFAULT.equals(name);
			case PomPackage.CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES:
				return layoutProperties != null && !layoutProperties.isEmpty();
			case PomPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				return fieldFlags != null && !fieldFlags.isEmpty();
			case PomPackage.CUSTOMIZEABLE_FIELD__CONTROL_TYPE:
				return controlType != CONTROL_TYPE_EDEFAULT;
			case PomPackage.CUSTOMIZEABLE_FIELD__PARTS:
				return parts != null && !parts.isEmpty();
			case PomPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				return constraints != null && !constraints.isEmpty();
			case PomPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				return format != null;
			case PomPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				return textProperties != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass) {
		if (baseClass == GuiElement.class) {
			switch (derivedFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == IElementOnWhichCanBeAttached.class) {
			switch (derivedFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == ComposedElement.class) {
			switch (derivedFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == IDummy.class) {
			switch (derivedFeatureID) {
				case PomPackage.CUSTOMIZEABLE_FIELD__NAME: return PomPackage.IDUMMY__NAME;
				default: return -1;
			}
		}
		if (baseClass == IElementWithLayoutData.class) {
			switch (derivedFeatureID) {
				case PomPackage.CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES: return PomPackage.IELEMENT_WITH_LAYOUT_DATA__LAYOUT_PROPERTIES;
				case PomPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS: return PomPackage.IELEMENT_WITH_LAYOUT_DATA__FIELD_FLAGS;
				default: return -1;
			}
		}
		if (baseClass == SimpleElement.class) {
			switch (derivedFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == IGuiElementWithEvent.class) {
			switch (derivedFeatureID) {
				default: return -1;
			}
		}
		return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass) {
		if (baseClass == GuiElement.class) {
			switch (baseFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == IElementOnWhichCanBeAttached.class) {
			switch (baseFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == ComposedElement.class) {
			switch (baseFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == IDummy.class) {
			switch (baseFeatureID) {
				case PomPackage.IDUMMY__NAME: return PomPackage.CUSTOMIZEABLE_FIELD__NAME;
				default: return -1;
			}
		}
		if (baseClass == IElementWithLayoutData.class) {
			switch (baseFeatureID) {
				case PomPackage.IELEMENT_WITH_LAYOUT_DATA__LAYOUT_PROPERTIES: return PomPackage.CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES;
				case PomPackage.IELEMENT_WITH_LAYOUT_DATA__FIELD_FLAGS: return PomPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS;
				default: return -1;
			}
		}
		if (baseClass == SimpleElement.class) {
			switch (baseFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == IGuiElementWithEvent.class) {
			switch (baseFeatureID) {
				default: return -1;
			}
		}
		return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (name: ");
		result.append(name);
		result.append(", controlType: ");
		result.append(controlType);
		result.append(')');
		return result.toString();
	}
	
	/**
     * @modified
     * @return the AttributeHolder
     */	
	public PresentableFeature getAttributeHolder() {		
		if (getFeature() != null) {
			return getFeature().getAttributeHolder();
		}
		return null;
	}	
	
	/**
     * @modified
     * @return the label text for the field
     */
	public String getLabelText() {
		PresentableFeature attributeHolder = getAttributeHolder();
		String labelText = null;
		TextProperties textProperties = getTextProperties();
		if (textProperties != null && textProperties.getLabelString() != null) {
			labelText = textProperties.getLabelString();
		} else {
			if (attributeHolder != null) {
				labelText = attributeHolder.getLabelText();
			}
		}
		if (labelText == null) {
			labelText = getObject().getName()+"."+attributeHolder.getCalculatedName();
		}
		return labelText;
	}

	/**
     * @modified
     * @return the label text for the field
     */
	public String getTooltipText() {
		PresentableFeature attributeHolder = getAttributeHolder();
		String labelText = null;
		TextProperties textProperties = getTextProperties();
		if (textProperties != null && textProperties.getTooltipString() != null) {
			labelText = textProperties.getTooltipString();
		} else {
			if (attributeHolder != null) {
				labelText = attributeHolder.getTooltipText();
			}
		}
		if (labelText == null) {
			// In case that finally no tooltip text is defined, show the label text
			labelText = getLabelText();
		}
		return labelText;
	}

    /**
     * @modified
     * @return the unit text for the field
     */
	public String getUnitText() {
		PresentableFeature attributeHolder = getAttributeHolder();
		String unitText = null;
		TextProperties textProperties = getTextProperties();
		if (textProperties != null && textProperties.getUnitLabelString() != null) {
			unitText = textProperties.getUnitLabelString();
		} else {
			if (attributeHolder != null) {
				unitText = attributeHolder.getUnitText();
			}
		}
		return unitText;
	}

    /**
     * @modified
     * @return the unit text for the field
     */
    public Attribute getUnitAttribute() {
    	PresentableFeature attributeHolder = getAttributeHolder();    	
    	Attribute unitAttribute = null;
		if (attributeHolder != null) {
			unitAttribute = attributeHolder.getUnitAttribute();
		}
		return unitAttribute;
    }
    
    

    /**
     * @modified
     * @return the unit object for the field
     */
    public Object getUnitObject() {
    	Object unitObject = getUnitText();
    	if (unitObject == null) {
    		unitObject = getUnitAttribute();
    	}
    	return unitObject;
    }

    /**
     * @modified
     * @return the unit text for the field
     */
    public Attribute getAttribute() {
    	PresentableFeature attributeHolder = getAttributeHolder();    	
    	if (attributeHolder != null) {
    		return attributeHolder.getAttribute();
    	}
    	return null;
    }

} //CustomizeableFieldImpl
