/**
 * <copyright>
 * </copyright>
 *
 * $Id: PomFactoryImpl.java 6662 2010-09-27 19:49:43Z hoenninger $
 */
package org.openxma.dsl.pom.model.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.impl.EFactoryImpl;
import org.eclipse.emf.ecore.plugin.EcorePlugin;
import org.openxma.dsl.pom.PomFactory;
import org.openxma.dsl.pom.PomPackage;
import org.openxma.dsl.pom.model.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class PomFactoryImpl extends EFactoryImpl implements PomFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static PomFactory init() {
		try {
			PomFactory thePomFactory = (PomFactory)EPackage.Registry.INSTANCE.getEFactory("http://www.openxma.org/dsl/pom/PomDsl"); 
			if (thePomFactory != null) {
				return thePomFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new PomFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PomFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case PomPackage.DATA_BINDING_ELEMENT: return createDataBindingElement();
			case PomPackage.FIELD_FLAG: return createFieldFlag();
			case PomPackage.ENABLED_FLAG: return createEnabledFlag();
			case PomPackage.MANDATORY_FLAG: return createMandatoryFlag();
			case PomPackage.VISIBLE_FLAG: return createVisibleFlag();
			case PomPackage.COLLAPSED_FLAG: return createCollapsedFlag();
			case PomPackage.EDITABLE_FLAG: return createEditableFlag();
			case PomPackage.LABEL_TEXT: return createLabelText();
			case PomPackage.OBJECT_PROPERTY: return createObjectProperty();
			case PomPackage.COMPONENT: return createComponent();
			case PomPackage.REFERENCED_XMA_GUI_ELEMENT: return createReferencedXMAGuiElement();
			case PomPackage.REFERENCED_XMA_PAGE: return createReferencedXMAPage();
			case PomPackage.REFERENCED_XMA_COMPOSITE: return createReferencedXMAComposite();
			case PomPackage.GRAY_LOGIC: return createGrayLogic();
			case PomPackage.XMA_WIDGET_GRAY_LOGIC: return createXMAWidgetGrayLogic();
			case PomPackage.DATA_OBJECT_VARIABLE: return createDataObjectVariable();
			case PomPackage.CUSTOMIZE_ATTRIBUTE_LIST: return createCustomizeAttributeList();
			case PomPackage.CUSTOMIZED_ATTRIBUTE: return createCustomizedAttribute();
			case PomPackage.TEXT_PROPERTIES: return createTextProperties();
			case PomPackage.FIELD_FEATURE: return createFieldFeature();
			case PomPackage.FIELD_REFERENCE: return createFieldReference();
			case PomPackage.CUSTOMIZEABLE_FIELD: return createCustomizeableField();
			case PomPackage.FIELD_PART_SPECIFICATION: return createFieldPartSpecification();
			case PomPackage.COMMAND: return createCommand();
			case PomPackage.EVENT_FUNCTION: return createEventFunction();
			case PomPackage.EVENT_MAPPING_LIST: return createEventMappingList();
			case PomPackage.EVENT_MAPPING: return createEventMapping();
			case PomPackage.CONTROL_EVENT_MAPPING: return createControlEventMapping();
			case PomPackage.XMA_WIDGET_EVENT_MAPPING: return createXMAWidgetEventMapping();
			case PomPackage.GUI_ELEMENT_EVENT_MAPPING: return createGuiElementEventMapping();
			case PomPackage.INIT_EVENT_MAPPING: return createInitEventMapping();
			case PomPackage.ENTER_EVENT_MAPPING: return createEnterEventMapping();
			case PomPackage.LEAVE_EVENT_MAPPING: return createLeaveEventMapping();
			case PomPackage.DATA_MAPPING_LIST: return createDataMappingList();
			case PomPackage.DATA_MAPPING: return createDataMapping();
			case PomPackage.PAGE_DEFINITION: return createPageDefinition();
			case PomPackage.PAGE: return createPage();
			case PomPackage.XMADSL_PAGE: return createXmadslPage();
			case PomPackage.PAGE_CUSTOMIZATION: return createPageCustomization();
			case PomPackage.GUI_ELEMENT: return createGuiElement();
			case PomPackage.COMPOSITE: return createComposite();
			case PomPackage.COMPOSED_ELEMENT: return createComposedElement();
			case PomPackage.COMPLEX_ELEMENT: return createComplexElement();
			case PomPackage.SIMPLE_ELEMENT: return createSimpleElement();
			case PomPackage.IDUMMY: return createIDummy();
			case PomPackage.GUI_ELEMENT_WITH_EVENT_DUMMY: return createGuiElementWithEvent_dummy();
			case PomPackage.TEXT: return createText();
			case PomPackage.COMBO: return createCombo();
			case PomPackage.CHECK_BOX: return createCheckBox();
			case PomPackage.LIST_BOX: return createListBox();
			case PomPackage.TREE: return createTree();
			case PomPackage.RADIO_BUTTON: return createRadioButton();
			case PomPackage.SEPERATOR: return createSeperator();
			case PomPackage.LABEL: return createLabel();
			case PomPackage.IMAGE: return createImage();
			case PomPackage.BUTTON: return createButton();
			case PomPackage.ICOMPOSITE: return createIComposite();
			case PomPackage.XMADSL_COMPOSITE: return createXmadslComposite();
			case PomPackage.REFERENCED_COMPOSITE: return createReferencedComposite();
			case PomPackage.TABLE: return createTable();
			case PomPackage.TABLE_COLUMN: return createTableColumn();
			case PomPackage.ITAB_FOLDER: return createITabFolder();
			case PomPackage.TAB_FOLDER: return createTabFolder();
			case PomPackage.REFERENCED_TAB_FOLDER: return createReferencedTabFolder();
			case PomPackage.ITAB_PAGE: return createITabPage();
			case PomPackage.TAB_PAGE: return createTabPage();
			case PomPackage.REFERENCED_TAB_PAGE: return createReferencedTabPage();
			case PomPackage.LAYOUT_DATA_PROPERTY: return createLayoutDataProperty();
			case PomPackage.PAGE_PROPERTY: return createPageProperty();
			case PomPackage.HEIGHT_PROPERTY: return createHeightProperty();
			case PomPackage.WIDTH_PROPERTY: return createWidthProperty();
			case PomPackage.STYLE_PROPERTY: return createStyleProperty();
			case PomPackage.TITLE_BUTTONS_PROPERTY: return createTitleButtonsProperty();
			case PomPackage.RESIZEABLE_PROPERTY: return createResizeableProperty();
			case PomPackage.ALIGNMENT_PROPERTY: return createAlignmentProperty();
			case PomPackage.COMPOSE_DATA: return createComposeData();
			case PomPackage.PADDING_WIDTH: return createPaddingWidth();
			case PomPackage.IATTACHMENT_POSITION: return createIAttachmentPosition();
			case PomPackage.TABULATOR_DEFINITION: return createTabulatorDefinition();
			case PomPackage.STRING_DEFINITION: return createStringDefinition();
			case PomPackage.INTEGER_DEFINITION: return createIntegerDefinition();
			case PomPackage.IMAGE_URI: return createImageUri();
			case PomPackage.DEFINITIONS: return createDefinitions();
			case PomPackage.TABULATOR_POSITION: return createTabulatorPosition();
			case PomPackage.ATTACHMENT_POSITION: return createAttachmentPosition();
			case PomPackage.CONTENT: return createContent();
			case PomPackage.SET_OF_GUI_ELEMENTS: return createSetOfGuiElements();
			case PomPackage.ATTACHMENT_PROPERTY: return createAttachmentProperty();
			case PomPackage.ATTACHMENT_SPECIFICATION: return createAttachmentSpecification();
			case PomPackage.NONE_ATTACHMENT: return createNoneAttachment();
			case PomPackage.PARENT_ATTACHMENT: return createParentAttachment();
			case PomPackage.IELEMENT_ON_WHICH_CAN_BE_ATTACHED: return createIElementOnWhichCanBeAttached();
			case PomPackage.SIBLING_ATTACHMENT: return createSiblingAttachment();
			case PomPackage.ABSOLUTE_SIBLING_ATTACHMENT: return createAbsoluteSiblingAttachment();
			case PomPackage.RELATIVE_SIBLING_ATTACHMENT: return createRelativeSiblingAttachment();
			case PomPackage.TABULATOR_ATTACHMENT: return createTabulatorAttachment();
			case PomPackage.OFFSET: return createOffset();
			case PomPackage.FIELD_VARIABLE: return createFieldVariable();
			case PomPackage.XMA_VARIABLE: return createXmaVariable();
			case PomPackage.CUSTOMIZE_COMPONENT_MODEL: return createCustomizeComponentModel();
			case PomPackage.CUSTOMIZATION_OF_GUI_ELEMENT: return createCustomizationOfGuiElement();
			case PomPackage.CUSTOMIZATION_OF_COMPOSITE: return createCustomizationOfComposite();
			case PomPackage.CUSTOMIZATION_OF_TAB_FOLDER: return createCustomizationOfTabFolder();
			case PomPackage.IELEMENT_WITH_LAYOUT_DATA: return createIElementWithLayoutData();
			case PomPackage.STYLE_SPECIFICATION: return createStyleSpecification();
			case PomPackage.MODEL_ELEMENT_SPECIFICATION: return createModelElementSpecification();
			case PomPackage.SELECTED_MODEL_ELEMENT: return createSelectedModelElement();
			case PomPackage.COMBINED_MODEL_ELEMENT: return createCombinedModelElement();
			case PomPackage.STYLE_SPECIFICATION_PROPERTY: return createStyleSpecificationProperty();
			case PomPackage.STYLE_PROPERTY_FIELD_PART: return createStylePropertyFieldPart();
			case PomPackage.STYLE_PROPERTY_LEFT: return createStylePropertyLeft();
			case PomPackage.STYLE_PROPERTY_RIGHT: return createStylePropertyRight();
			case PomPackage.STYLE_PROPERTY_TOP: return createStylePropertyTop();
			case PomPackage.STYLE_PROPERTY_BOTTOM: return createStylePropertyBottom();
			case PomPackage.STYLE_PROPERTY_WIDTH: return createStylePropertyWidth();
			case PomPackage.STYLE_PROPERTY_HEIGHT: return createStylePropertyHeight();
			case PomPackage.STYLE_PROPERTY_TABULATOR: return createStylePropertyTabulator();
			case PomPackage.STYLE_PROPERTY_BORDER: return createStylePropertyBorder();
			case PomPackage.STYLE_PROPERTY_FOREGROUND_COLOR: return createStylePropertyForegroundColor();
			case PomPackage.STYLE_PROPERTY_BACKGROUND_COLOR: return createStylePropertyBackgroundColor();
			case PomPackage.STYLE_PROPERTY_WIDGET_VARIANT: return createStylePropertyWidgetVariant();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case PomPackage.EVENT_TYPE:
				return createEventTypeFromString(eDataType, initialValue);
			case PomPackage.PREDEFINED_COMMAND:
				return createPredefinedCommandFromString(eDataType, initialValue);
			case PomPackage.ATTACHMENT_OWN_POSITION:
				return createAttachmentOwnPositionFromString(eDataType, initialValue);
			case PomPackage.RELATIVE_SIBLING:
				return createRelativeSiblingFromString(eDataType, initialValue);
			case PomPackage.ATTACHMENT_SIBLING_POSITION:
				return createAttachmentSiblingPositionFromString(eDataType, initialValue);
			case PomPackage.CONTENT_ALIGNMENT:
				return createContentAlignmentFromString(eDataType, initialValue);
			case PomPackage.HORIZONTAL_ALIGNMENT:
				return createHorizontalAlignmentFromString(eDataType, initialValue);
			case PomPackage.VERTICAL_ALIGNMENT:
				return createVerticalAlignmentFromString(eDataType, initialValue);
			case PomPackage.ORIENTATION:
				return createOrientationFromString(eDataType, initialValue);
			case PomPackage.CONTROL_TYPE:
				return createControlTypeFromString(eDataType, initialValue);
			case PomPackage.FIELD_PART:
				return createFieldPartFromString(eDataType, initialValue);
			case PomPackage.TITLE_BUTTON:
				return createTitleButtonFromString(eDataType, initialValue);
			case PomPackage.STYLE_SELECTOR_TYPE:
				return createStyleSelectorTypeFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case PomPackage.EVENT_TYPE:
				return convertEventTypeToString(eDataType, instanceValue);
			case PomPackage.PREDEFINED_COMMAND:
				return convertPredefinedCommandToString(eDataType, instanceValue);
			case PomPackage.ATTACHMENT_OWN_POSITION:
				return convertAttachmentOwnPositionToString(eDataType, instanceValue);
			case PomPackage.RELATIVE_SIBLING:
				return convertRelativeSiblingToString(eDataType, instanceValue);
			case PomPackage.ATTACHMENT_SIBLING_POSITION:
				return convertAttachmentSiblingPositionToString(eDataType, instanceValue);
			case PomPackage.CONTENT_ALIGNMENT:
				return convertContentAlignmentToString(eDataType, instanceValue);
			case PomPackage.HORIZONTAL_ALIGNMENT:
				return convertHorizontalAlignmentToString(eDataType, instanceValue);
			case PomPackage.VERTICAL_ALIGNMENT:
				return convertVerticalAlignmentToString(eDataType, instanceValue);
			case PomPackage.ORIENTATION:
				return convertOrientationToString(eDataType, instanceValue);
			case PomPackage.CONTROL_TYPE:
				return convertControlTypeToString(eDataType, instanceValue);
			case PomPackage.FIELD_PART:
				return convertFieldPartToString(eDataType, instanceValue);
			case PomPackage.TITLE_BUTTON:
				return convertTitleButtonToString(eDataType, instanceValue);
			case PomPackage.STYLE_SELECTOR_TYPE:
				return convertStyleSelectorTypeToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataBindingElement createDataBindingElement() {
		DataBindingElementImpl dataBindingElement = new DataBindingElementImpl();
		return dataBindingElement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FieldFlag createFieldFlag() {
		FieldFlagImpl fieldFlag = new FieldFlagImpl();
		return fieldFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EnabledFlag createEnabledFlag() {
		EnabledFlagImpl enabledFlag = new EnabledFlagImpl();
		return enabledFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MandatoryFlag createMandatoryFlag() {
		MandatoryFlagImpl mandatoryFlag = new MandatoryFlagImpl();
		return mandatoryFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VisibleFlag createVisibleFlag() {
		VisibleFlagImpl visibleFlag = new VisibleFlagImpl();
		return visibleFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CollapsedFlag createCollapsedFlag() {
		CollapsedFlagImpl collapsedFlag = new CollapsedFlagImpl();
		return collapsedFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EditableFlag createEditableFlag() {
		EditableFlagImpl editableFlag = new EditableFlagImpl();
		return editableFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LabelText createLabelText() {
		LabelTextImpl labelText = new LabelTextImpl();
		return labelText;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ObjectProperty createObjectProperty() {
		ObjectPropertyImpl objectProperty = new ObjectPropertyImpl();
		return objectProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Component createComponent() {
		ComponentImpl component = new ComponentImpl();
		return component;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedXMAGuiElement createReferencedXMAGuiElement() {
		ReferencedXMAGuiElementImpl referencedXMAGuiElement = new ReferencedXMAGuiElementImpl();
		return referencedXMAGuiElement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedXMAPage createReferencedXMAPage() {
		ReferencedXMAPageImpl referencedXMAPage = new ReferencedXMAPageImpl();
		return referencedXMAPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedXMAComposite createReferencedXMAComposite() {
		ReferencedXMACompositeImpl referencedXMAComposite = new ReferencedXMACompositeImpl();
		return referencedXMAComposite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GrayLogic createGrayLogic() {
		GrayLogicImpl grayLogic = new GrayLogicImpl();
		return grayLogic;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XMAWidgetGrayLogic createXMAWidgetGrayLogic() {
		XMAWidgetGrayLogicImpl xmaWidgetGrayLogic = new XMAWidgetGrayLogicImpl();
		return xmaWidgetGrayLogic;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataObjectVariable createDataObjectVariable() {
		DataObjectVariableImpl dataObjectVariable = new DataObjectVariableImpl();
		return dataObjectVariable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizeAttributeList createCustomizeAttributeList() {
		CustomizeAttributeListImpl customizeAttributeList = new CustomizeAttributeListImpl();
		return customizeAttributeList;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizedAttribute createCustomizedAttribute() {
		CustomizedAttributeImpl customizedAttribute = new CustomizedAttributeImpl();
		return customizedAttribute;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TextProperties createTextProperties() {
		TextPropertiesImpl textProperties = new TextPropertiesImpl();
		return textProperties;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FieldFeature createFieldFeature() {
		FieldFeatureImpl fieldFeature = new FieldFeatureImpl();
		return fieldFeature;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FieldReference createFieldReference() {
		FieldReferenceImpl fieldReference = new FieldReferenceImpl();
		return fieldReference;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizeableField createCustomizeableField() {
		CustomizeableFieldImpl customizeableField = new CustomizeableFieldImpl();
		return customizeableField;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FieldPartSpecification createFieldPartSpecification() {
		FieldPartSpecificationImpl fieldPartSpecification = new FieldPartSpecificationImpl();
		return fieldPartSpecification;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Command createCommand() {
		CommandImpl command = new CommandImpl();
		return command;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventFunction createEventFunction() {
		EventFunctionImpl eventFunction = new EventFunctionImpl();
		return eventFunction;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventMappingList createEventMappingList() {
		EventMappingListImpl eventMappingList = new EventMappingListImpl();
		return eventMappingList;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventMapping createEventMapping() {
		EventMappingImpl eventMapping = new EventMappingImpl();
		return eventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ControlEventMapping createControlEventMapping() {
		ControlEventMappingImpl controlEventMapping = new ControlEventMappingImpl();
		return controlEventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XMAWidgetEventMapping createXMAWidgetEventMapping() {
		XMAWidgetEventMappingImpl xmaWidgetEventMapping = new XMAWidgetEventMappingImpl();
		return xmaWidgetEventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GuiElementEventMapping createGuiElementEventMapping() {
		GuiElementEventMappingImpl guiElementEventMapping = new GuiElementEventMappingImpl();
		return guiElementEventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public InitEventMapping createInitEventMapping() {
		InitEventMappingImpl initEventMapping = new InitEventMappingImpl();
		return initEventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EnterEventMapping createEnterEventMapping() {
		EnterEventMappingImpl enterEventMapping = new EnterEventMappingImpl();
		return enterEventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LeaveEventMapping createLeaveEventMapping() {
		LeaveEventMappingImpl leaveEventMapping = new LeaveEventMappingImpl();
		return leaveEventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataMappingList createDataMappingList() {
		DataMappingListImpl dataMappingList = new DataMappingListImpl();
		return dataMappingList;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataMapping createDataMapping() {
		DataMappingImpl dataMapping = new DataMappingImpl();
		return dataMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PageDefinition createPageDefinition() {
		PageDefinitionImpl pageDefinition = new PageDefinitionImpl();
		return pageDefinition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Page createPage() {
		PageImpl page = new PageImpl();
		return page;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmadslPage createXmadslPage() {
		XmadslPageImpl xmadslPage = new XmadslPageImpl();
		return xmadslPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PageCustomization createPageCustomization() {
		PageCustomizationImpl pageCustomization = new PageCustomizationImpl();
		return pageCustomization;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GuiElement createGuiElement() {
		GuiElementImpl guiElement = new GuiElementImpl();
		return guiElement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Composite createComposite() {
		CompositeImpl composite = new CompositeImpl();
		return composite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ComposedElement createComposedElement() {
		ComposedElementImpl composedElement = new ComposedElementImpl();
		return composedElement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ComplexElement createComplexElement() {
		ComplexElementImpl complexElement = new ComplexElementImpl();
		return complexElement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SimpleElement createSimpleElement() {
		SimpleElementImpl simpleElement = new SimpleElementImpl();
		return simpleElement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IDummy createIDummy() {
		IDummyImpl iDummy = new IDummyImpl();
		return iDummy;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GuiElementWithEvent_dummy createGuiElementWithEvent_dummy() {
		GuiElementWithEvent_dummyImpl guiElementWithEvent_dummy = new GuiElementWithEvent_dummyImpl();
		return guiElementWithEvent_dummy;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Text createText() {
		TextImpl text = new TextImpl();
		return text;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Combo createCombo() {
		ComboImpl combo = new ComboImpl();
		return combo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CheckBox createCheckBox() {
		CheckBoxImpl checkBox = new CheckBoxImpl();
		return checkBox;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ListBox createListBox() {
		ListBoxImpl listBox = new ListBoxImpl();
		return listBox;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Tree createTree() {
		TreeImpl tree = new TreeImpl();
		return tree;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RadioButton createRadioButton() {
		RadioButtonImpl radioButton = new RadioButtonImpl();
		return radioButton;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Seperator createSeperator() {
		SeperatorImpl seperator = new SeperatorImpl();
		return seperator;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Label createLabel() {
		LabelImpl label = new LabelImpl();
		return label;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Image createImage() {
		ImageImpl image = new ImageImpl();
		return image;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Button createButton() {
		ButtonImpl button = new ButtonImpl();
		return button;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IComposite createIComposite() {
		ICompositeImpl iComposite = new ICompositeImpl();
		return iComposite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmadslComposite createXmadslComposite() {
		XmadslCompositeImpl xmadslComposite = new XmadslCompositeImpl();
		return xmadslComposite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedComposite createReferencedComposite() {
		ReferencedCompositeImpl referencedComposite = new ReferencedCompositeImpl();
		return referencedComposite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Table createTable() {
		TableImpl table = new TableImpl();
		return table;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TableColumn createTableColumn() {
		TableColumnImpl tableColumn = new TableColumnImpl();
		return tableColumn;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ITabFolder createITabFolder() {
		ITabFolderImpl iTabFolder = new ITabFolderImpl();
		return iTabFolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TabFolder createTabFolder() {
		TabFolderImpl tabFolder = new TabFolderImpl();
		return tabFolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedTabFolder createReferencedTabFolder() {
		ReferencedTabFolderImpl referencedTabFolder = new ReferencedTabFolderImpl();
		return referencedTabFolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ITabPage createITabPage() {
		ITabPageImpl iTabPage = new ITabPageImpl();
		return iTabPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TabPage createTabPage() {
		TabPageImpl tabPage = new TabPageImpl();
		return tabPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedTabPage createReferencedTabPage() {
		ReferencedTabPageImpl referencedTabPage = new ReferencedTabPageImpl();
		return referencedTabPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LayoutDataProperty createLayoutDataProperty() {
		LayoutDataPropertyImpl layoutDataProperty = new LayoutDataPropertyImpl();
		return layoutDataProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PageProperty createPageProperty() {
		PagePropertyImpl pageProperty = new PagePropertyImpl();
		return pageProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HeightProperty createHeightProperty() {
		HeightPropertyImpl heightProperty = new HeightPropertyImpl();
		return heightProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public WidthProperty createWidthProperty() {
		WidthPropertyImpl widthProperty = new WidthPropertyImpl();
		return widthProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttachmentProperty createAttachmentProperty() {
		AttachmentPropertyImpl attachmentProperty = new AttachmentPropertyImpl();
		return attachmentProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StyleProperty createStyleProperty() {
		StylePropertyImpl styleProperty = new StylePropertyImpl();
		return styleProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TitleButtonsProperty createTitleButtonsProperty() {
		TitleButtonsPropertyImpl titleButtonsProperty = new TitleButtonsPropertyImpl();
		return titleButtonsProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ResizeableProperty createResizeableProperty() {
		ResizeablePropertyImpl resizeableProperty = new ResizeablePropertyImpl();
		return resizeableProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AlignmentProperty createAlignmentProperty() {
		AlignmentPropertyImpl alignmentProperty = new AlignmentPropertyImpl();
		return alignmentProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ComposeData createComposeData() {
		ComposeDataImpl composeData = new ComposeDataImpl();
		return composeData;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PaddingWidth createPaddingWidth() {
		PaddingWidthImpl paddingWidth = new PaddingWidthImpl();
		return paddingWidth;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IAttachmentPosition createIAttachmentPosition() {
		IAttachmentPositionImpl iAttachmentPosition = new IAttachmentPositionImpl();
		return iAttachmentPosition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TabulatorDefinition createTabulatorDefinition() {
		TabulatorDefinitionImpl tabulatorDefinition = new TabulatorDefinitionImpl();
		return tabulatorDefinition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StringDefinition createStringDefinition() {
		StringDefinitionImpl stringDefinition = new StringDefinitionImpl();
		return stringDefinition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IntegerDefinition createIntegerDefinition() {
		IntegerDefinitionImpl integerDefinition = new IntegerDefinitionImpl();
		return integerDefinition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ImageUri createImageUri() {
		ImageUriImpl imageUri = new ImageUriImpl();
		return imageUri;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Definitions createDefinitions() {
		DefinitionsImpl definitions = new DefinitionsImpl();
		return definitions;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TabulatorPosition createTabulatorPosition() {
		TabulatorPositionImpl tabulatorPosition = new TabulatorPositionImpl();
		return tabulatorPosition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttachmentPosition createAttachmentPosition() {
		AttachmentPositionImpl attachmentPosition = new AttachmentPositionImpl();
		return attachmentPosition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Content createContent() {
		ContentImpl content = new ContentImpl();
		return content;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SetOfGuiElements createSetOfGuiElements() {
		SetOfGuiElementsImpl setOfGuiElements = new SetOfGuiElementsImpl();
		return setOfGuiElements;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttachmentSpecification createAttachmentSpecification() {
		AttachmentSpecificationImpl attachmentSpecification = new AttachmentSpecificationImpl();
		return attachmentSpecification;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NoneAttachment createNoneAttachment() {
		NoneAttachmentImpl noneAttachment = new NoneAttachmentImpl();
		return noneAttachment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ParentAttachment createParentAttachment() {
		ParentAttachmentImpl parentAttachment = new ParentAttachmentImpl();
		return parentAttachment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IElementOnWhichCanBeAttached createIElementOnWhichCanBeAttached() {
		IElementOnWhichCanBeAttachedImpl iElementOnWhichCanBeAttached = new IElementOnWhichCanBeAttachedImpl();
		return iElementOnWhichCanBeAttached;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SiblingAttachment createSiblingAttachment() {
		SiblingAttachmentImpl siblingAttachment = new SiblingAttachmentImpl();
		return siblingAttachment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AbsoluteSiblingAttachment createAbsoluteSiblingAttachment() {
		AbsoluteSiblingAttachmentImpl absoluteSiblingAttachment = new AbsoluteSiblingAttachmentImpl();
		return absoluteSiblingAttachment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RelativeSiblingAttachment createRelativeSiblingAttachment() {
		RelativeSiblingAttachmentImpl relativeSiblingAttachment = new RelativeSiblingAttachmentImpl();
		return relativeSiblingAttachment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TabulatorAttachment createTabulatorAttachment() {
		TabulatorAttachmentImpl tabulatorAttachment = new TabulatorAttachmentImpl();
		return tabulatorAttachment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Offset createOffset() {
		OffsetImpl offset = new OffsetImpl();
		return offset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FieldVariable createFieldVariable() {
		FieldVariableImpl fieldVariable = new FieldVariableImpl();
		return fieldVariable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmaVariable createXmaVariable() {
		XmaVariableImpl xmaVariable = new XmaVariableImpl();
		return xmaVariable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizeComponentModel createCustomizeComponentModel() {
		CustomizeComponentModelImpl customizeComponentModel = new CustomizeComponentModelImpl();
		return customizeComponentModel;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizationOfGuiElement createCustomizationOfGuiElement() {
		CustomizationOfGuiElementImpl customizationOfGuiElement = new CustomizationOfGuiElementImpl();
		return customizationOfGuiElement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizationOfComposite createCustomizationOfComposite() {
		CustomizationOfCompositeImpl customizationOfComposite = new CustomizationOfCompositeImpl();
		return customizationOfComposite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizationOfTabFolder createCustomizationOfTabFolder() {
		CustomizationOfTabFolderImpl customizationOfTabFolder = new CustomizationOfTabFolderImpl();
		return customizationOfTabFolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IElementWithLayoutData createIElementWithLayoutData() {
		IElementWithLayoutDataImpl iElementWithLayoutData = new IElementWithLayoutDataImpl();
		return iElementWithLayoutData;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StyleSpecification createStyleSpecification() {
		StyleSpecificationImpl styleSpecification = new StyleSpecificationImpl();
		return styleSpecification;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ModelElementSpecification createModelElementSpecification() {
		ModelElementSpecificationImpl modelElementSpecification = new ModelElementSpecificationImpl();
		return modelElementSpecification;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SelectedModelElement createSelectedModelElement() {
		SelectedModelElementImpl selectedModelElement = new SelectedModelElementImpl();
		return selectedModelElement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CombinedModelElement createCombinedModelElement() {
		CombinedModelElementImpl combinedModelElement = new CombinedModelElementImpl();
		return combinedModelElement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StyleSpecificationProperty createStyleSpecificationProperty() {
		StyleSpecificationPropertyImpl styleSpecificationProperty = new StyleSpecificationPropertyImpl();
		return styleSpecificationProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyFieldPart createStylePropertyFieldPart() {
		StylePropertyFieldPartImpl stylePropertyFieldPart = new StylePropertyFieldPartImpl();
		return stylePropertyFieldPart;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyLeft createStylePropertyLeft() {
		StylePropertyLeftImpl stylePropertyLeft = new StylePropertyLeftImpl();
		return stylePropertyLeft;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyRight createStylePropertyRight() {
		StylePropertyRightImpl stylePropertyRight = new StylePropertyRightImpl();
		return stylePropertyRight;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyTop createStylePropertyTop() {
		StylePropertyTopImpl stylePropertyTop = new StylePropertyTopImpl();
		return stylePropertyTop;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyBottom createStylePropertyBottom() {
		StylePropertyBottomImpl stylePropertyBottom = new StylePropertyBottomImpl();
		return stylePropertyBottom;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyWidth createStylePropertyWidth() {
		StylePropertyWidthImpl stylePropertyWidth = new StylePropertyWidthImpl();
		return stylePropertyWidth;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyHeight createStylePropertyHeight() {
		StylePropertyHeightImpl stylePropertyHeight = new StylePropertyHeightImpl();
		return stylePropertyHeight;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyTabulator createStylePropertyTabulator() {
		StylePropertyTabulatorImpl stylePropertyTabulator = new StylePropertyTabulatorImpl();
		return stylePropertyTabulator;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyBorder createStylePropertyBorder() {
		StylePropertyBorderImpl stylePropertyBorder = new StylePropertyBorderImpl();
		return stylePropertyBorder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyForegroundColor createStylePropertyForegroundColor() {
		StylePropertyForegroundColorImpl stylePropertyForegroundColor = new StylePropertyForegroundColorImpl();
		return stylePropertyForegroundColor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyBackgroundColor createStylePropertyBackgroundColor() {
		StylePropertyBackgroundColorImpl stylePropertyBackgroundColor = new StylePropertyBackgroundColorImpl();
		return stylePropertyBackgroundColor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StylePropertyWidgetVariant createStylePropertyWidgetVariant() {
		StylePropertyWidgetVariantImpl stylePropertyWidgetVariant = new StylePropertyWidgetVariantImpl();
		return stylePropertyWidgetVariant;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventType createEventTypeFromString(EDataType eDataType, String initialValue) {
		EventType result = EventType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEventTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PredefinedCommand createPredefinedCommandFromString(EDataType eDataType, String initialValue) {
		PredefinedCommand result = PredefinedCommand.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertPredefinedCommandToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttachmentOwnPosition createAttachmentOwnPositionFromString(EDataType eDataType, String initialValue) {
		AttachmentOwnPosition result = AttachmentOwnPosition.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertAttachmentOwnPositionToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RelativeSibling createRelativeSiblingFromString(EDataType eDataType, String initialValue) {
		RelativeSibling result = RelativeSibling.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertRelativeSiblingToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttachmentSiblingPosition createAttachmentSiblingPositionFromString(EDataType eDataType, String initialValue) {
		AttachmentSiblingPosition result = AttachmentSiblingPosition.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertAttachmentSiblingPositionToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContentAlignment createContentAlignmentFromString(EDataType eDataType, String initialValue) {
		ContentAlignment result = ContentAlignment.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertContentAlignmentToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HorizontalAlignment createHorizontalAlignmentFromString(EDataType eDataType, String initialValue) {
		HorizontalAlignment result = HorizontalAlignment.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertHorizontalAlignmentToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VerticalAlignment createVerticalAlignmentFromString(EDataType eDataType, String initialValue) {
		VerticalAlignment result = VerticalAlignment.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertVerticalAlignmentToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Orientation createOrientationFromString(EDataType eDataType, String initialValue) {
		Orientation result = Orientation.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertOrientationToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ControlType createControlTypeFromString(EDataType eDataType, String initialValue) {
		ControlType result = ControlType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertControlTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FieldPart createFieldPartFromString(EDataType eDataType, String initialValue) {
		FieldPart result = FieldPart.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertFieldPartToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TitleButton createTitleButtonFromString(EDataType eDataType, String initialValue) {
		TitleButton result = TitleButton.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertTitleButtonToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StyleSelectorType createStyleSelectorTypeFromString(EDataType eDataType, String initialValue) {
		StyleSelectorType result = StyleSelectorType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertStyleSelectorTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PomPackage getPomPackage() {
		return (PomPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static PomPackage getPackage() {
		return PomPackage.eINSTANCE;
	}

} //PomFactoryImpl
