/**
 * <copyright>
 * </copyright>
 *
 * $Id: PomAdapterFactory.java 6662 2010-09-27 19:49:43Z hoenninger $
 */
package org.openxma.dsl.pom.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;
import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;
import org.eclipse.emf.ecore.EObject;
import org.openxma.dsl.core.model.AtomicExpr;
import org.openxma.dsl.core.model.ModelElement;
import org.openxma.dsl.core.model.ReferenceableByXmadslVariable;
import org.openxma.dsl.core.model.Style;
import org.openxma.dsl.core.model.Variable;
import org.openxma.dsl.pom.PomPackage;
import org.openxma.dsl.pom.model.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.pom.PomPackage
 * @generated
 */
public class PomAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static PomPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PomAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = PomPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PomSwitch<Adapter> modelSwitch =
		new PomSwitch<Adapter>() {
			@Override
			public Adapter caseDataBindingElement(DataBindingElement object) {
				return createDataBindingElementAdapter();
			}
			@Override
			public Adapter caseFieldFlag(FieldFlag object) {
				return createFieldFlagAdapter();
			}
			@Override
			public Adapter caseEnabledFlag(EnabledFlag object) {
				return createEnabledFlagAdapter();
			}
			@Override
			public Adapter caseMandatoryFlag(MandatoryFlag object) {
				return createMandatoryFlagAdapter();
			}
			@Override
			public Adapter caseVisibleFlag(VisibleFlag object) {
				return createVisibleFlagAdapter();
			}
			@Override
			public Adapter caseCollapsedFlag(CollapsedFlag object) {
				return createCollapsedFlagAdapter();
			}
			@Override
			public Adapter caseEditableFlag(EditableFlag object) {
				return createEditableFlagAdapter();
			}
			@Override
			public Adapter caseLabelText(LabelText object) {
				return createLabelTextAdapter();
			}
			@Override
			public Adapter caseObjectProperty(ObjectProperty object) {
				return createObjectPropertyAdapter();
			}
			@Override
			public Adapter caseComponent(Component object) {
				return createComponentAdapter();
			}
			@Override
			public Adapter caseReferencedXMAGuiElement(ReferencedXMAGuiElement object) {
				return createReferencedXMAGuiElementAdapter();
			}
			@Override
			public Adapter caseReferencedXMAPage(ReferencedXMAPage object) {
				return createReferencedXMAPageAdapter();
			}
			@Override
			public Adapter caseReferencedXMAComposite(ReferencedXMAComposite object) {
				return createReferencedXMACompositeAdapter();
			}
			@Override
			public Adapter caseGrayLogic(GrayLogic object) {
				return createGrayLogicAdapter();
			}
			@Override
			public Adapter caseXMAWidgetGrayLogic(XMAWidgetGrayLogic object) {
				return createXMAWidgetGrayLogicAdapter();
			}
			@Override
			public Adapter caseDataObjectVariable(DataObjectVariable object) {
				return createDataObjectVariableAdapter();
			}
			@Override
			public Adapter caseCustomizeAttributeList(CustomizeAttributeList object) {
				return createCustomizeAttributeListAdapter();
			}
			@Override
			public Adapter caseCustomizedAttribute(CustomizedAttribute object) {
				return createCustomizedAttributeAdapter();
			}
			@Override
			public Adapter caseTextProperties(TextProperties object) {
				return createTextPropertiesAdapter();
			}
			@Override
			public Adapter caseIField(IField object) {
				return createIFieldAdapter();
			}
			@Override
			public Adapter caseFieldFeature(FieldFeature object) {
				return createFieldFeatureAdapter();
			}
			@Override
			public Adapter caseFieldReference(FieldReference object) {
				return createFieldReferenceAdapter();
			}
			@Override
			public Adapter caseCustomizeableField(CustomizeableField object) {
				return createCustomizeableFieldAdapter();
			}
			@Override
			public Adapter caseFieldPartSpecification(FieldPartSpecification object) {
				return createFieldPartSpecificationAdapter();
			}
			@Override
			public Adapter caseCommand(Command object) {
				return createCommandAdapter();
			}
			@Override
			public Adapter caseEventFunction(EventFunction object) {
				return createEventFunctionAdapter();
			}
			@Override
			public Adapter caseEventMappingList(EventMappingList object) {
				return createEventMappingListAdapter();
			}
			@Override
			public Adapter caseEventMapping(EventMapping object) {
				return createEventMappingAdapter();
			}
			@Override
			public Adapter caseControlEventMapping(ControlEventMapping object) {
				return createControlEventMappingAdapter();
			}
			@Override
			public Adapter caseXMAWidgetEventMapping(XMAWidgetEventMapping object) {
				return createXMAWidgetEventMappingAdapter();
			}
			@Override
			public Adapter caseGuiElementEventMapping(GuiElementEventMapping object) {
				return createGuiElementEventMappingAdapter();
			}
			@Override
			public Adapter caseInitEventMapping(InitEventMapping object) {
				return createInitEventMappingAdapter();
			}
			@Override
			public Adapter caseEnterEventMapping(EnterEventMapping object) {
				return createEnterEventMappingAdapter();
			}
			@Override
			public Adapter caseLeaveEventMapping(LeaveEventMapping object) {
				return createLeaveEventMappingAdapter();
			}
			@Override
			public Adapter caseDataMappingList(DataMappingList object) {
				return createDataMappingListAdapter();
			}
			@Override
			public Adapter caseDataMapping(DataMapping object) {
				return createDataMappingAdapter();
			}
			@Override
			public Adapter casePageDefinition(PageDefinition object) {
				return createPageDefinitionAdapter();
			}
			@Override
			public Adapter casePage(Page object) {
				return createPageAdapter();
			}
			@Override
			public Adapter caseXmadslPage(XmadslPage object) {
				return createXmadslPageAdapter();
			}
			@Override
			public Adapter casePageCustomization(PageCustomization object) {
				return createPageCustomizationAdapter();
			}
			@Override
			public Adapter caseGuiElement(GuiElement object) {
				return createGuiElementAdapter();
			}
			@Override
			public Adapter caseComposite(Composite object) {
				return createCompositeAdapter();
			}
			@Override
			public Adapter caseComposedElement(ComposedElement object) {
				return createComposedElementAdapter();
			}
			@Override
			public Adapter caseComplexElement(ComplexElement object) {
				return createComplexElementAdapter();
			}
			@Override
			public Adapter caseSimpleElement(SimpleElement object) {
				return createSimpleElementAdapter();
			}
			@Override
			public Adapter caseIDummy(IDummy object) {
				return createIDummyAdapter();
			}
			@Override
			public Adapter caseIGuiElementWithEvent(IGuiElementWithEvent object) {
				return createIGuiElementWithEventAdapter();
			}
			@Override
			public Adapter caseGuiElementWithEvent_dummy(GuiElementWithEvent_dummy object) {
				return createGuiElementWithEvent_dummyAdapter();
			}
			@Override
			public Adapter caseText(Text object) {
				return createTextAdapter();
			}
			@Override
			public Adapter caseCombo(Combo object) {
				return createComboAdapter();
			}
			@Override
			public Adapter caseCheckBox(CheckBox object) {
				return createCheckBoxAdapter();
			}
			@Override
			public Adapter caseListBox(ListBox object) {
				return createListBoxAdapter();
			}
			@Override
			public Adapter caseTree(Tree object) {
				return createTreeAdapter();
			}
			@Override
			public Adapter caseRadioButton(RadioButton object) {
				return createRadioButtonAdapter();
			}
			@Override
			public Adapter caseSeperator(Seperator object) {
				return createSeperatorAdapter();
			}
			@Override
			public Adapter caseLabel(Label object) {
				return createLabelAdapter();
			}
			@Override
			public Adapter caseImage(Image object) {
				return createImageAdapter();
			}
			@Override
			public Adapter caseButton(Button object) {
				return createButtonAdapter();
			}
			@Override
			public Adapter caseIComposite(IComposite object) {
				return createICompositeAdapter();
			}
			@Override
			public Adapter caseXmadslComposite(XmadslComposite object) {
				return createXmadslCompositeAdapter();
			}
			@Override
			public Adapter caseReferencedComposite(ReferencedComposite object) {
				return createReferencedCompositeAdapter();
			}
			@Override
			public Adapter caseTable(Table object) {
				return createTableAdapter();
			}
			@Override
			public Adapter caseTableColumn(TableColumn object) {
				return createTableColumnAdapter();
			}
			@Override
			public Adapter caseITabFolder(ITabFolder object) {
				return createITabFolderAdapter();
			}
			@Override
			public Adapter caseTabFolder(TabFolder object) {
				return createTabFolderAdapter();
			}
			@Override
			public Adapter caseReferencedTabFolder(ReferencedTabFolder object) {
				return createReferencedTabFolderAdapter();
			}
			@Override
			public Adapter caseITabPage(ITabPage object) {
				return createITabPageAdapter();
			}
			@Override
			public Adapter caseTabPage(TabPage object) {
				return createTabPageAdapter();
			}
			@Override
			public Adapter caseReferencedTabPage(ReferencedTabPage object) {
				return createReferencedTabPageAdapter();
			}
			@Override
			public Adapter caseLayoutDataProperty(LayoutDataProperty object) {
				return createLayoutDataPropertyAdapter();
			}
			@Override
			public Adapter casePageProperty(PageProperty object) {
				return createPagePropertyAdapter();
			}
			@Override
			public Adapter caseHeightProperty(HeightProperty object) {
				return createHeightPropertyAdapter();
			}
			@Override
			public Adapter caseWidthProperty(WidthProperty object) {
				return createWidthPropertyAdapter();
			}
			@Override
			public Adapter caseStyleProperty(StyleProperty object) {
				return createStylePropertyAdapter();
			}
			@Override
			public Adapter caseTitleButtonsProperty(TitleButtonsProperty object) {
				return createTitleButtonsPropertyAdapter();
			}
			@Override
			public Adapter caseResizeableProperty(ResizeableProperty object) {
				return createResizeablePropertyAdapter();
			}
			@Override
			public Adapter caseAlignmentProperty(AlignmentProperty object) {
				return createAlignmentPropertyAdapter();
			}
			@Override
			public Adapter caseComposeData(ComposeData object) {
				return createComposeDataAdapter();
			}
			@Override
			public Adapter casePaddingWidth(PaddingWidth object) {
				return createPaddingWidthAdapter();
			}
			@Override
			public Adapter caseIAttachmentPosition(IAttachmentPosition object) {
				return createIAttachmentPositionAdapter();
			}
			@Override
			public Adapter caseTabulatorDefinition(TabulatorDefinition object) {
				return createTabulatorDefinitionAdapter();
			}
			@Override
			public Adapter caseStringDefinition(StringDefinition object) {
				return createStringDefinitionAdapter();
			}
			@Override
			public Adapter caseIntegerDefinition(IntegerDefinition object) {
				return createIntegerDefinitionAdapter();
			}
			@Override
			public Adapter caseImageUri(ImageUri object) {
				return createImageUriAdapter();
			}
			@Override
			public Adapter caseDefinitions(Definitions object) {
				return createDefinitionsAdapter();
			}
			@Override
			public Adapter caseTabulatorPosition(TabulatorPosition object) {
				return createTabulatorPositionAdapter();
			}
			@Override
			public Adapter caseAttachmentPosition(AttachmentPosition object) {
				return createAttachmentPositionAdapter();
			}
			@Override
			public Adapter caseContent(Content object) {
				return createContentAdapter();
			}
			@Override
			public Adapter caseSetOfGuiElements(SetOfGuiElements object) {
				return createSetOfGuiElementsAdapter();
			}
			@Override
			public Adapter caseAttachmentProperty(AttachmentProperty object) {
				return createAttachmentPropertyAdapter();
			}
			@Override
			public Adapter caseAttachmentSpecification(AttachmentSpecification object) {
				return createAttachmentSpecificationAdapter();
			}
			@Override
			public Adapter caseNoneAttachment(NoneAttachment object) {
				return createNoneAttachmentAdapter();
			}
			@Override
			public Adapter caseParentAttachment(ParentAttachment object) {
				return createParentAttachmentAdapter();
			}
			@Override
			public Adapter caseIElementOnWhichCanBeAttached(IElementOnWhichCanBeAttached object) {
				return createIElementOnWhichCanBeAttachedAdapter();
			}
			@Override
			public Adapter caseSiblingAttachment(SiblingAttachment object) {
				return createSiblingAttachmentAdapter();
			}
			@Override
			public Adapter caseAbsoluteSiblingAttachment(AbsoluteSiblingAttachment object) {
				return createAbsoluteSiblingAttachmentAdapter();
			}
			@Override
			public Adapter caseRelativeSiblingAttachment(RelativeSiblingAttachment object) {
				return createRelativeSiblingAttachmentAdapter();
			}
			@Override
			public Adapter caseTabulatorAttachment(TabulatorAttachment object) {
				return createTabulatorAttachmentAdapter();
			}
			@Override
			public Adapter caseOffset(Offset object) {
				return createOffsetAdapter();
			}
			@Override
			public Adapter caseFieldVariable(FieldVariable object) {
				return createFieldVariableAdapter();
			}
			@Override
			public Adapter caseXmaVariable(XmaVariable object) {
				return createXmaVariableAdapter();
			}
			@Override
			public Adapter caseCustomizeComponentModel(CustomizeComponentModel object) {
				return createCustomizeComponentModelAdapter();
			}
			@Override
			public Adapter caseCustomizationOfGuiElement(CustomizationOfGuiElement object) {
				return createCustomizationOfGuiElementAdapter();
			}
			@Override
			public Adapter caseCustomizationOfComposite(CustomizationOfComposite object) {
				return createCustomizationOfCompositeAdapter();
			}
			@Override
			public Adapter caseCustomizationOfTabFolder(CustomizationOfTabFolder object) {
				return createCustomizationOfTabFolderAdapter();
			}
			@Override
			public Adapter caseIElementWithLayoutData(IElementWithLayoutData object) {
				return createIElementWithLayoutDataAdapter();
			}
			@Override
			public Adapter caseStyleSpecification(StyleSpecification object) {
				return createStyleSpecificationAdapter();
			}
			@Override
			public Adapter caseModelElementSpecification(ModelElementSpecification object) {
				return createModelElementSpecificationAdapter();
			}
			@Override
			public Adapter caseSelectedModelElement(SelectedModelElement object) {
				return createSelectedModelElementAdapter();
			}
			@Override
			public Adapter caseCombinedModelElement(CombinedModelElement object) {
				return createCombinedModelElementAdapter();
			}
			@Override
			public Adapter caseStyleSpecificationProperty(StyleSpecificationProperty object) {
				return createStyleSpecificationPropertyAdapter();
			}
			@Override
			public Adapter caseStylePropertyFieldPart(StylePropertyFieldPart object) {
				return createStylePropertyFieldPartAdapter();
			}
			@Override
			public Adapter caseStylePropertyLeft(StylePropertyLeft object) {
				return createStylePropertyLeftAdapter();
			}
			@Override
			public Adapter caseStylePropertyRight(StylePropertyRight object) {
				return createStylePropertyRightAdapter();
			}
			@Override
			public Adapter caseStylePropertyTop(StylePropertyTop object) {
				return createStylePropertyTopAdapter();
			}
			@Override
			public Adapter caseStylePropertyBottom(StylePropertyBottom object) {
				return createStylePropertyBottomAdapter();
			}
			@Override
			public Adapter caseStylePropertyWidth(StylePropertyWidth object) {
				return createStylePropertyWidthAdapter();
			}
			@Override
			public Adapter caseStylePropertyHeight(StylePropertyHeight object) {
				return createStylePropertyHeightAdapter();
			}
			@Override
			public Adapter caseStylePropertyTabulator(StylePropertyTabulator object) {
				return createStylePropertyTabulatorAdapter();
			}
			@Override
			public Adapter caseStylePropertyBorder(StylePropertyBorder object) {
				return createStylePropertyBorderAdapter();
			}
			@Override
			public Adapter caseStylePropertyForegroundColor(StylePropertyForegroundColor object) {
				return createStylePropertyForegroundColorAdapter();
			}
			@Override
			public Adapter caseStylePropertyBackgroundColor(StylePropertyBackgroundColor object) {
				return createStylePropertyBackgroundColorAdapter();
			}
			@Override
			public Adapter caseStylePropertyWidgetVariant(StylePropertyWidgetVariant object) {
				return createStylePropertyWidgetVariantAdapter();
			}
			@Override
			public Adapter caseReferenceableByXmadslVariable(ReferenceableByXmadslVariable object) {
				return createReferenceableByXmadslVariableAdapter();
			}
			@Override
			public Adapter caseModelElement(ModelElement object) {
				return createModelElementAdapter();
			}
			@Override
			public Adapter caseAtomicExpr(AtomicExpr object) {
				return createAtomicExprAdapter();
			}
			@Override
			public Adapter caseVariable(Variable object) {
				return createVariableAdapter();
			}
			@Override
			public Adapter caseStyle(Style object) {
				return createStyleAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.DataBindingElement <em>Data Binding Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.DataBindingElement
	 * @generated
	 */
	public Adapter createDataBindingElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.FieldFlag <em>Field Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.FieldFlag
	 * @generated
	 */
	public Adapter createFieldFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.EnabledFlag <em>Enabled Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.EnabledFlag
	 * @generated
	 */
	public Adapter createEnabledFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.MandatoryFlag <em>Mandatory Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.MandatoryFlag
	 * @generated
	 */
	public Adapter createMandatoryFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.VisibleFlag <em>Visible Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.VisibleFlag
	 * @generated
	 */
	public Adapter createVisibleFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CollapsedFlag <em>Collapsed Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CollapsedFlag
	 * @generated
	 */
	public Adapter createCollapsedFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.EditableFlag <em>Editable Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.EditableFlag
	 * @generated
	 */
	public Adapter createEditableFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.LabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.LabelText
	 * @generated
	 */
	public Adapter createLabelTextAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ObjectProperty <em>Object Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ObjectProperty
	 * @generated
	 */
	public Adapter createObjectPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Component <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Component
	 * @generated
	 */
	public Adapter createComponentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ReferencedXMAGuiElement <em>Referenced XMA Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAGuiElement
	 * @generated
	 */
	public Adapter createReferencedXMAGuiElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ReferencedXMAPage <em>Referenced XMA Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage
	 * @generated
	 */
	public Adapter createReferencedXMAPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite <em>Referenced XMA Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite
	 * @generated
	 */
	public Adapter createReferencedXMACompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.GrayLogic <em>Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.GrayLogic
	 * @generated
	 */
	public Adapter createGrayLogicAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.XMAWidgetGrayLogic <em>XMA Widget Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.XMAWidgetGrayLogic
	 * @generated
	 */
	public Adapter createXMAWidgetGrayLogicAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.DataObjectVariable <em>Data Object Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable
	 * @generated
	 */
	public Adapter createDataObjectVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CustomizeAttributeList <em>Customize Attribute List</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CustomizeAttributeList
	 * @generated
	 */
	public Adapter createCustomizeAttributeListAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CustomizedAttribute <em>Customized Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CustomizedAttribute
	 * @generated
	 */
	public Adapter createCustomizedAttributeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.TextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.TextProperties
	 * @generated
	 */
	public Adapter createTextPropertiesAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.IField <em>IField</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.IField
	 * @generated
	 */
	public Adapter createIFieldAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.FieldFeature <em>Field Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.FieldFeature
	 * @generated
	 */
	public Adapter createFieldFeatureAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.FieldReference <em>Field Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.FieldReference
	 * @generated
	 */
	public Adapter createFieldReferenceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CustomizeableField <em>Customizeable Field</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CustomizeableField
	 * @generated
	 */
	public Adapter createCustomizeableFieldAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.FieldPartSpecification <em>Field Part Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.FieldPartSpecification
	 * @generated
	 */
	public Adapter createFieldPartSpecificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Command <em>Command</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Command
	 * @generated
	 */
	public Adapter createCommandAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.EventFunction <em>Event Function</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.EventFunction
	 * @generated
	 */
	public Adapter createEventFunctionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.EventMappingList <em>Event Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.EventMappingList
	 * @generated
	 */
	public Adapter createEventMappingListAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.EventMapping <em>Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.EventMapping
	 * @generated
	 */
	public Adapter createEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ControlEventMapping <em>Control Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ControlEventMapping
	 * @generated
	 */
	public Adapter createControlEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.XMAWidgetEventMapping <em>XMA Widget Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.XMAWidgetEventMapping
	 * @generated
	 */
	public Adapter createXMAWidgetEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.GuiElementEventMapping <em>Gui Element Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.GuiElementEventMapping
	 * @generated
	 */
	public Adapter createGuiElementEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.InitEventMapping <em>Init Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.InitEventMapping
	 * @generated
	 */
	public Adapter createInitEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.EnterEventMapping <em>Enter Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.EnterEventMapping
	 * @generated
	 */
	public Adapter createEnterEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.LeaveEventMapping <em>Leave Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.LeaveEventMapping
	 * @generated
	 */
	public Adapter createLeaveEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.DataMappingList <em>Data Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.DataMappingList
	 * @generated
	 */
	public Adapter createDataMappingListAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.DataMapping <em>Data Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.DataMapping
	 * @generated
	 */
	public Adapter createDataMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.PageDefinition <em>Page Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.PageDefinition
	 * @generated
	 */
	public Adapter createPageDefinitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Page <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Page
	 * @generated
	 */
	public Adapter createPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.XmadslPage <em>Xmadsl Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.XmadslPage
	 * @generated
	 */
	public Adapter createXmadslPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.PageCustomization <em>Page Customization</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.PageCustomization
	 * @generated
	 */
	public Adapter createPageCustomizationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.GuiElement <em>Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.GuiElement
	 * @generated
	 */
	public Adapter createGuiElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Composite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Composite
	 * @generated
	 */
	public Adapter createCompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ComposedElement <em>Composed Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ComposedElement
	 * @generated
	 */
	public Adapter createComposedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ComplexElement <em>Complex Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ComplexElement
	 * @generated
	 */
	public Adapter createComplexElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.SimpleElement <em>Simple Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.SimpleElement
	 * @generated
	 */
	public Adapter createSimpleElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.IDummy <em>IDummy</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.IDummy
	 * @generated
	 */
	public Adapter createIDummyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.IGuiElementWithEvent <em>IGui Element With Event</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.IGuiElementWithEvent
	 * @generated
	 */
	public Adapter createIGuiElementWithEventAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.GuiElementWithEvent_dummy <em>Gui Element With Event dummy</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.GuiElementWithEvent_dummy
	 * @generated
	 */
	public Adapter createGuiElementWithEvent_dummyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Text <em>Text</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Text
	 * @generated
	 */
	public Adapter createTextAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Combo <em>Combo</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Combo
	 * @generated
	 */
	public Adapter createComboAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CheckBox <em>Check Box</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CheckBox
	 * @generated
	 */
	public Adapter createCheckBoxAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ListBox <em>List Box</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ListBox
	 * @generated
	 */
	public Adapter createListBoxAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Tree <em>Tree</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Tree
	 * @generated
	 */
	public Adapter createTreeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.RadioButton <em>Radio Button</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.RadioButton
	 * @generated
	 */
	public Adapter createRadioButtonAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Seperator <em>Seperator</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Seperator
	 * @generated
	 */
	public Adapter createSeperatorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Label <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Label
	 * @generated
	 */
	public Adapter createLabelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Image <em>Image</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Image
	 * @generated
	 */
	public Adapter createImageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Button <em>Button</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Button
	 * @generated
	 */
	public Adapter createButtonAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.IComposite <em>IComposite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.IComposite
	 * @generated
	 */
	public Adapter createICompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.XmadslComposite <em>Xmadsl Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.XmadslComposite
	 * @generated
	 */
	public Adapter createXmadslCompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ReferencedComposite <em>Referenced Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ReferencedComposite
	 * @generated
	 */
	public Adapter createReferencedCompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Table <em>Table</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Table
	 * @generated
	 */
	public Adapter createTableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.TableColumn <em>Table Column</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.TableColumn
	 * @generated
	 */
	public Adapter createTableColumnAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ITabFolder <em>ITab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ITabFolder
	 * @generated
	 */
	public Adapter createITabFolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.TabFolder <em>Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.TabFolder
	 * @generated
	 */
	public Adapter createTabFolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ReferencedTabFolder <em>Referenced Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ReferencedTabFolder
	 * @generated
	 */
	public Adapter createReferencedTabFolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ITabPage <em>ITab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ITabPage
	 * @generated
	 */
	public Adapter createITabPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.TabPage <em>Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.TabPage
	 * @generated
	 */
	public Adapter createTabPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ReferencedTabPage <em>Referenced Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ReferencedTabPage
	 * @generated
	 */
	public Adapter createReferencedTabPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.LayoutDataProperty <em>Layout Data Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.LayoutDataProperty
	 * @generated
	 */
	public Adapter createLayoutDataPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.PageProperty <em>Page Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.PageProperty
	 * @generated
	 */
	public Adapter createPagePropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.HeightProperty <em>Height Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.HeightProperty
	 * @generated
	 */
	public Adapter createHeightPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.WidthProperty <em>Width Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.WidthProperty
	 * @generated
	 */
	public Adapter createWidthPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.AttachmentProperty <em>Attachment Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.AttachmentProperty
	 * @generated
	 */
	public Adapter createAttachmentPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StyleProperty <em>Style Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StyleProperty
	 * @generated
	 */
	public Adapter createStylePropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.TitleButtonsProperty <em>Title Buttons Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.TitleButtonsProperty
	 * @generated
	 */
	public Adapter createTitleButtonsPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ResizeableProperty <em>Resizeable Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ResizeableProperty
	 * @generated
	 */
	public Adapter createResizeablePropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.AlignmentProperty <em>Alignment Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.AlignmentProperty
	 * @generated
	 */
	public Adapter createAlignmentPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ComposeData <em>Compose Data</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ComposeData
	 * @generated
	 */
	public Adapter createComposeDataAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.PaddingWidth <em>Padding Width</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.PaddingWidth
	 * @generated
	 */
	public Adapter createPaddingWidthAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.IAttachmentPosition <em>IAttachment Position</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition
	 * @generated
	 */
	public Adapter createIAttachmentPositionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.TabulatorDefinition <em>Tabulator Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.TabulatorDefinition
	 * @generated
	 */
	public Adapter createTabulatorDefinitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StringDefinition <em>String Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StringDefinition
	 * @generated
	 */
	public Adapter createStringDefinitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.IntegerDefinition <em>Integer Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.IntegerDefinition
	 * @generated
	 */
	public Adapter createIntegerDefinitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ImageUri
	 * @generated
	 */
	public Adapter createImageUriAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Definitions <em>Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Definitions
	 * @generated
	 */
	public Adapter createDefinitionsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.TabulatorPosition <em>Tabulator Position</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.TabulatorPosition
	 * @generated
	 */
	public Adapter createTabulatorPositionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.AttachmentPosition <em>Attachment Position</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.AttachmentPosition
	 * @generated
	 */
	public Adapter createAttachmentPositionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Content <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Content
	 * @generated
	 */
	public Adapter createContentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.SetOfGuiElements <em>Set Of Gui Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.SetOfGuiElements
	 * @generated
	 */
	public Adapter createSetOfGuiElementsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.AttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.AttachmentSpecification
	 * @generated
	 */
	public Adapter createAttachmentSpecificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.NoneAttachment <em>None Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.NoneAttachment
	 * @generated
	 */
	public Adapter createNoneAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ParentAttachment <em>Parent Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ParentAttachment
	 * @generated
	 */
	public Adapter createParentAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.IElementOnWhichCanBeAttached <em>IElement On Which Can Be Attached</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.IElementOnWhichCanBeAttached
	 * @generated
	 */
	public Adapter createIElementOnWhichCanBeAttachedAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.SiblingAttachment <em>Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.SiblingAttachment
	 * @generated
	 */
	public Adapter createSiblingAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.AbsoluteSiblingAttachment <em>Absolute Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.AbsoluteSiblingAttachment
	 * @generated
	 */
	public Adapter createAbsoluteSiblingAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.RelativeSiblingAttachment <em>Relative Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.RelativeSiblingAttachment
	 * @generated
	 */
	public Adapter createRelativeSiblingAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.TabulatorAttachment <em>Tabulator Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.TabulatorAttachment
	 * @generated
	 */
	public Adapter createTabulatorAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.Offset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.Offset
	 * @generated
	 */
	public Adapter createOffsetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ReferenceableByXmadslVariable <em>Referenceable By Xmadsl Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.core.model.ReferenceableByXmadslVariable
	 * @generated
	 */
	public Adapter createReferenceableByXmadslVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.FieldVariable <em>Field Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.FieldVariable
	 * @generated
	 */
	public Adapter createFieldVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.XmaVariable <em>Xma Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.XmaVariable
	 * @generated
	 */
	public Adapter createXmaVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CustomizeComponentModel <em>Customize Component Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CustomizeComponentModel
	 * @generated
	 */
	public Adapter createCustomizeComponentModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CustomizationOfGuiElement <em>Customization Of Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CustomizationOfGuiElement
	 * @generated
	 */
	public Adapter createCustomizationOfGuiElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CustomizationOfComposite <em>Customization Of Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite
	 * @generated
	 */
	public Adapter createCustomizationOfCompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CustomizationOfTabFolder <em>Customization Of Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CustomizationOfTabFolder
	 * @generated
	 */
	public Adapter createCustomizationOfTabFolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.IElementWithLayoutData <em>IElement With Layout Data</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.IElementWithLayoutData
	 * @generated
	 */
	public Adapter createIElementWithLayoutDataAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StyleSpecification <em>Style Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StyleSpecification
	 * @generated
	 */
	public Adapter createStyleSpecificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.ModelElementSpecification <em>Model Element Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.ModelElementSpecification
	 * @generated
	 */
	public Adapter createModelElementSpecificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.SelectedModelElement <em>Selected Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement
	 * @generated
	 */
	public Adapter createSelectedModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.CombinedModelElement <em>Combined Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.CombinedModelElement
	 * @generated
	 */
	public Adapter createCombinedModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StyleSpecificationProperty <em>Style Specification Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StyleSpecificationProperty
	 * @generated
	 */
	public Adapter createStyleSpecificationPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyFieldPart <em>Style Property Field Part</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyFieldPart
	 * @generated
	 */
	public Adapter createStylePropertyFieldPartAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyLeft <em>Style Property Left</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyLeft
	 * @generated
	 */
	public Adapter createStylePropertyLeftAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyRight <em>Style Property Right</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyRight
	 * @generated
	 */
	public Adapter createStylePropertyRightAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyTop <em>Style Property Top</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyTop
	 * @generated
	 */
	public Adapter createStylePropertyTopAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyBottom <em>Style Property Bottom</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyBottom
	 * @generated
	 */
	public Adapter createStylePropertyBottomAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyWidth <em>Style Property Width</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidth
	 * @generated
	 */
	public Adapter createStylePropertyWidthAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyHeight <em>Style Property Height</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyHeight
	 * @generated
	 */
	public Adapter createStylePropertyHeightAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyTabulator <em>Style Property Tabulator</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyTabulator
	 * @generated
	 */
	public Adapter createStylePropertyTabulatorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyBorder <em>Style Property Border</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyBorder
	 * @generated
	 */
	public Adapter createStylePropertyBorderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor <em>Style Property Foreground Color</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor
	 * @generated
	 */
	public Adapter createStylePropertyForegroundColorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor <em>Style Property Background Color</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor
	 * @generated
	 */
	public Adapter createStylePropertyBackgroundColorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.pom.model.StylePropertyWidgetVariant <em>Style Property Widget Variant</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidgetVariant
	 * @generated
	 */
	public Adapter createStylePropertyWidgetVariantAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.core.model.ModelElement
	 * @generated
	 */
	public Adapter createModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.AtomicExpr <em>Atomic Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.core.model.AtomicExpr
	 * @generated
	 */
	public Adapter createAtomicExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Variable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.core.model.Variable
	 * @generated
	 */
	public Adapter createVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Style <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.dsl.core.model.Style
	 * @generated
	 */
	public Adapter createStyleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //PomAdapterFactory
