/**
 * <copyright>
 * </copyright>
 *
 * $Id: PomSwitch.java 6662 2010-09-27 19:49:43Z hoenninger $
 */
package org.openxma.dsl.pom.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.openxma.dsl.core.model.AtomicExpr;
import org.openxma.dsl.core.model.ModelElement;
import org.openxma.dsl.core.model.ReferenceableByXmadslVariable;
import org.openxma.dsl.core.model.Style;
import org.openxma.dsl.core.model.Variable;
import org.openxma.dsl.pom.PomPackage;
import org.openxma.dsl.pom.model.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.pom.PomPackage
 * @generated
 */
public class PomSwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static PomPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PomSwitch() {
		if (modelPackage == null) {
			modelPackage = PomPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case PomPackage.DATA_BINDING_ELEMENT: {
				DataBindingElement dataBindingElement = (DataBindingElement)theEObject;
				T result = caseDataBindingElement(dataBindingElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.FIELD_FLAG: {
				FieldFlag fieldFlag = (FieldFlag)theEObject;
				T result = caseFieldFlag(fieldFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ENABLED_FLAG: {
				EnabledFlag enabledFlag = (EnabledFlag)theEObject;
				T result = caseEnabledFlag(enabledFlag);
				if (result == null) result = caseFieldFlag(enabledFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.MANDATORY_FLAG: {
				MandatoryFlag mandatoryFlag = (MandatoryFlag)theEObject;
				T result = caseMandatoryFlag(mandatoryFlag);
				if (result == null) result = caseFieldFlag(mandatoryFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.VISIBLE_FLAG: {
				VisibleFlag visibleFlag = (VisibleFlag)theEObject;
				T result = caseVisibleFlag(visibleFlag);
				if (result == null) result = caseFieldFlag(visibleFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.COLLAPSED_FLAG: {
				CollapsedFlag collapsedFlag = (CollapsedFlag)theEObject;
				T result = caseCollapsedFlag(collapsedFlag);
				if (result == null) result = caseFieldFlag(collapsedFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.EDITABLE_FLAG: {
				EditableFlag editableFlag = (EditableFlag)theEObject;
				T result = caseEditableFlag(editableFlag);
				if (result == null) result = caseFieldFlag(editableFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.LABEL_TEXT: {
				LabelText labelText = (LabelText)theEObject;
				T result = caseLabelText(labelText);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.OBJECT_PROPERTY: {
				ObjectProperty objectProperty = (ObjectProperty)theEObject;
				T result = caseObjectProperty(objectProperty);
				if (result == null) result = caseReferenceableByXmadslVariable(objectProperty);
				if (result == null) result = caseDataBindingElement(objectProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.COMPONENT: {
				Component component = (Component)theEObject;
				T result = caseComponent(component);
				if (result == null) result = caseModelElement(component);
				if (result == null) result = caseReferencedXMAGuiElement(component);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.REFERENCED_XMA_GUI_ELEMENT: {
				ReferencedXMAGuiElement referencedXMAGuiElement = (ReferencedXMAGuiElement)theEObject;
				T result = caseReferencedXMAGuiElement(referencedXMAGuiElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.REFERENCED_XMA_PAGE: {
				ReferencedXMAPage referencedXMAPage = (ReferencedXMAPage)theEObject;
				T result = caseReferencedXMAPage(referencedXMAPage);
				if (result == null) result = caseReferencedXMAGuiElement(referencedXMAPage);
				if (result == null) result = casePage(referencedXMAPage);
				if (result == null) result = caseReferenceableByXmadslVariable(referencedXMAPage);
				if (result == null) result = casePageDefinition(referencedXMAPage);
				if (result == null) result = caseComposite(referencedXMAPage);
				if (result == null) result = caseGuiElement(referencedXMAPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.REFERENCED_XMA_COMPOSITE: {
				ReferencedXMAComposite referencedXMAComposite = (ReferencedXMAComposite)theEObject;
				T result = caseReferencedXMAComposite(referencedXMAComposite);
				if (result == null) result = caseReferencedXMAGuiElement(referencedXMAComposite);
				if (result == null) result = caseIComposite(referencedXMAComposite);
				if (result == null) result = caseComposite(referencedXMAComposite);
				if (result == null) result = caseComplexElement(referencedXMAComposite);
				if (result == null) result = caseComposedElement(referencedXMAComposite);
				if (result == null) result = caseGuiElement(referencedXMAComposite);
				if (result == null) result = caseIElementOnWhichCanBeAttached(referencedXMAComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.GRAY_LOGIC: {
				GrayLogic grayLogic = (GrayLogic)theEObject;
				T result = caseGrayLogic(grayLogic);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.XMA_WIDGET_GRAY_LOGIC: {
				XMAWidgetGrayLogic xmaWidgetGrayLogic = (XMAWidgetGrayLogic)theEObject;
				T result = caseXMAWidgetGrayLogic(xmaWidgetGrayLogic);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.DATA_OBJECT_VARIABLE: {
				DataObjectVariable dataObjectVariable = (DataObjectVariable)theEObject;
				T result = caseDataObjectVariable(dataObjectVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CUSTOMIZE_ATTRIBUTE_LIST: {
				CustomizeAttributeList customizeAttributeList = (CustomizeAttributeList)theEObject;
				T result = caseCustomizeAttributeList(customizeAttributeList);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CUSTOMIZED_ATTRIBUTE: {
				CustomizedAttribute customizedAttribute = (CustomizedAttribute)theEObject;
				T result = caseCustomizedAttribute(customizedAttribute);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TEXT_PROPERTIES: {
				TextProperties textProperties = (TextProperties)theEObject;
				T result = caseTextProperties(textProperties);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.IFIELD: {
				IField iField = (IField)theEObject;
				T result = caseIField(iField);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.FIELD_FEATURE: {
				FieldFeature fieldFeature = (FieldFeature)theEObject;
				T result = caseFieldFeature(fieldFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.FIELD_REFERENCE: {
				FieldReference fieldReference = (FieldReference)theEObject;
				T result = caseFieldReference(fieldReference);
				if (result == null) result = caseIField(fieldReference);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CUSTOMIZEABLE_FIELD: {
				CustomizeableField customizeableField = (CustomizeableField)theEObject;
				T result = caseCustomizeableField(customizeableField);
				if (result == null) result = caseIField(customizeableField);
				if (result == null) result = caseSimpleElement(customizeableField);
				if (result == null) result = caseIGuiElementWithEvent(customizeableField);
				if (result == null) result = caseComposedElement(customizeableField);
				if (result == null) result = caseIElementWithLayoutData(customizeableField);
				if (result == null) result = caseGuiElement(customizeableField);
				if (result == null) result = caseIElementOnWhichCanBeAttached(customizeableField);
				if (result == null) result = caseIDummy(customizeableField);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.FIELD_PART_SPECIFICATION: {
				FieldPartSpecification fieldPartSpecification = (FieldPartSpecification)theEObject;
				T result = caseFieldPartSpecification(fieldPartSpecification);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.COMMAND: {
				Command command = (Command)theEObject;
				T result = caseCommand(command);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.EVENT_FUNCTION: {
				EventFunction eventFunction = (EventFunction)theEObject;
				T result = caseEventFunction(eventFunction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.EVENT_MAPPING_LIST: {
				EventMappingList eventMappingList = (EventMappingList)theEObject;
				T result = caseEventMappingList(eventMappingList);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.EVENT_MAPPING: {
				EventMapping eventMapping = (EventMapping)theEObject;
				T result = caseEventMapping(eventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CONTROL_EVENT_MAPPING: {
				ControlEventMapping controlEventMapping = (ControlEventMapping)theEObject;
				T result = caseControlEventMapping(controlEventMapping);
				if (result == null) result = caseEventMapping(controlEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.XMA_WIDGET_EVENT_MAPPING: {
				XMAWidgetEventMapping xmaWidgetEventMapping = (XMAWidgetEventMapping)theEObject;
				T result = caseXMAWidgetEventMapping(xmaWidgetEventMapping);
				if (result == null) result = caseControlEventMapping(xmaWidgetEventMapping);
				if (result == null) result = caseEventMapping(xmaWidgetEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.GUI_ELEMENT_EVENT_MAPPING: {
				GuiElementEventMapping guiElementEventMapping = (GuiElementEventMapping)theEObject;
				T result = caseGuiElementEventMapping(guiElementEventMapping);
				if (result == null) result = caseControlEventMapping(guiElementEventMapping);
				if (result == null) result = caseEventMapping(guiElementEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.INIT_EVENT_MAPPING: {
				InitEventMapping initEventMapping = (InitEventMapping)theEObject;
				T result = caseInitEventMapping(initEventMapping);
				if (result == null) result = caseEventMapping(initEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ENTER_EVENT_MAPPING: {
				EnterEventMapping enterEventMapping = (EnterEventMapping)theEObject;
				T result = caseEnterEventMapping(enterEventMapping);
				if (result == null) result = caseEventMapping(enterEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.LEAVE_EVENT_MAPPING: {
				LeaveEventMapping leaveEventMapping = (LeaveEventMapping)theEObject;
				T result = caseLeaveEventMapping(leaveEventMapping);
				if (result == null) result = caseEventMapping(leaveEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.DATA_MAPPING_LIST: {
				DataMappingList dataMappingList = (DataMappingList)theEObject;
				T result = caseDataMappingList(dataMappingList);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.DATA_MAPPING: {
				DataMapping dataMapping = (DataMapping)theEObject;
				T result = caseDataMapping(dataMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.PAGE_DEFINITION: {
				PageDefinition pageDefinition = (PageDefinition)theEObject;
				T result = casePageDefinition(pageDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.PAGE: {
				Page page = (Page)theEObject;
				T result = casePage(page);
				if (result == null) result = caseReferenceableByXmadslVariable(page);
				if (result == null) result = casePageDefinition(page);
				if (result == null) result = caseComposite(page);
				if (result == null) result = caseGuiElement(page);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.XMADSL_PAGE: {
				XmadslPage xmadslPage = (XmadslPage)theEObject;
				T result = caseXmadslPage(xmadslPage);
				if (result == null) result = casePage(xmadslPage);
				if (result == null) result = caseReferenceableByXmadslVariable(xmadslPage);
				if (result == null) result = casePageDefinition(xmadslPage);
				if (result == null) result = caseComposite(xmadslPage);
				if (result == null) result = caseGuiElement(xmadslPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.PAGE_CUSTOMIZATION: {
				PageCustomization pageCustomization = (PageCustomization)theEObject;
				T result = casePageCustomization(pageCustomization);
				if (result == null) result = casePageDefinition(pageCustomization);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.GUI_ELEMENT: {
				GuiElement guiElement = (GuiElement)theEObject;
				T result = caseGuiElement(guiElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.COMPOSITE: {
				Composite composite = (Composite)theEObject;
				T result = caseComposite(composite);
				if (result == null) result = caseGuiElement(composite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.COMPOSED_ELEMENT: {
				ComposedElement composedElement = (ComposedElement)theEObject;
				T result = caseComposedElement(composedElement);
				if (result == null) result = caseGuiElement(composedElement);
				if (result == null) result = caseIElementOnWhichCanBeAttached(composedElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.COMPLEX_ELEMENT: {
				ComplexElement complexElement = (ComplexElement)theEObject;
				T result = caseComplexElement(complexElement);
				if (result == null) result = caseComposedElement(complexElement);
				if (result == null) result = caseGuiElement(complexElement);
				if (result == null) result = caseIElementOnWhichCanBeAttached(complexElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.SIMPLE_ELEMENT: {
				SimpleElement simpleElement = (SimpleElement)theEObject;
				T result = caseSimpleElement(simpleElement);
				if (result == null) result = caseComposedElement(simpleElement);
				if (result == null) result = caseIElementWithLayoutData(simpleElement);
				if (result == null) result = caseGuiElement(simpleElement);
				if (result == null) result = caseIElementOnWhichCanBeAttached(simpleElement);
				if (result == null) result = caseIDummy(simpleElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.IDUMMY: {
				IDummy iDummy = (IDummy)theEObject;
				T result = caseIDummy(iDummy);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.IGUI_ELEMENT_WITH_EVENT: {
				IGuiElementWithEvent iGuiElementWithEvent = (IGuiElementWithEvent)theEObject;
				T result = caseIGuiElementWithEvent(iGuiElementWithEvent);
				if (result == null) result = caseIDummy(iGuiElementWithEvent);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.GUI_ELEMENT_WITH_EVENT_DUMMY: {
				GuiElementWithEvent_dummy guiElementWithEvent_dummy = (GuiElementWithEvent_dummy)theEObject;
				T result = caseGuiElementWithEvent_dummy(guiElementWithEvent_dummy);
				if (result == null) result = caseIGuiElementWithEvent(guiElementWithEvent_dummy);
				if (result == null) result = caseIDummy(guiElementWithEvent_dummy);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TEXT: {
				Text text = (Text)theEObject;
				T result = caseText(text);
				if (result == null) result = caseReferenceableByXmadslVariable(text);
				if (result == null) result = caseDataBindingElement(text);
				if (result == null) result = caseSimpleElement(text);
				if (result == null) result = caseIGuiElementWithEvent(text);
				if (result == null) result = caseComposedElement(text);
				if (result == null) result = caseIElementWithLayoutData(text);
				if (result == null) result = caseGuiElement(text);
				if (result == null) result = caseIElementOnWhichCanBeAttached(text);
				if (result == null) result = caseIDummy(text);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.COMBO: {
				Combo combo = (Combo)theEObject;
				T result = caseCombo(combo);
				if (result == null) result = caseReferenceableByXmadslVariable(combo);
				if (result == null) result = caseDataBindingElement(combo);
				if (result == null) result = caseSimpleElement(combo);
				if (result == null) result = caseIGuiElementWithEvent(combo);
				if (result == null) result = caseComposedElement(combo);
				if (result == null) result = caseIElementWithLayoutData(combo);
				if (result == null) result = caseGuiElement(combo);
				if (result == null) result = caseIElementOnWhichCanBeAttached(combo);
				if (result == null) result = caseIDummy(combo);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CHECK_BOX: {
				CheckBox checkBox = (CheckBox)theEObject;
				T result = caseCheckBox(checkBox);
				if (result == null) result = caseReferenceableByXmadslVariable(checkBox);
				if (result == null) result = caseDataBindingElement(checkBox);
				if (result == null) result = caseSimpleElement(checkBox);
				if (result == null) result = caseIGuiElementWithEvent(checkBox);
				if (result == null) result = caseComposedElement(checkBox);
				if (result == null) result = caseIElementWithLayoutData(checkBox);
				if (result == null) result = caseGuiElement(checkBox);
				if (result == null) result = caseIElementOnWhichCanBeAttached(checkBox);
				if (result == null) result = caseIDummy(checkBox);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.LIST_BOX: {
				ListBox listBox = (ListBox)theEObject;
				T result = caseListBox(listBox);
				if (result == null) result = caseReferenceableByXmadslVariable(listBox);
				if (result == null) result = caseSimpleElement(listBox);
				if (result == null) result = caseIGuiElementWithEvent(listBox);
				if (result == null) result = caseComposedElement(listBox);
				if (result == null) result = caseIElementWithLayoutData(listBox);
				if (result == null) result = caseGuiElement(listBox);
				if (result == null) result = caseIElementOnWhichCanBeAttached(listBox);
				if (result == null) result = caseIDummy(listBox);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TREE: {
				Tree tree = (Tree)theEObject;
				T result = caseTree(tree);
				if (result == null) result = caseReferenceableByXmadslVariable(tree);
				if (result == null) result = caseSimpleElement(tree);
				if (result == null) result = caseIGuiElementWithEvent(tree);
				if (result == null) result = caseComposedElement(tree);
				if (result == null) result = caseIElementWithLayoutData(tree);
				if (result == null) result = caseGuiElement(tree);
				if (result == null) result = caseIElementOnWhichCanBeAttached(tree);
				if (result == null) result = caseIDummy(tree);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.RADIO_BUTTON: {
				RadioButton radioButton = (RadioButton)theEObject;
				T result = caseRadioButton(radioButton);
				if (result == null) result = caseReferenceableByXmadslVariable(radioButton);
				if (result == null) result = caseDataBindingElement(radioButton);
				if (result == null) result = caseSimpleElement(radioButton);
				if (result == null) result = caseIGuiElementWithEvent(radioButton);
				if (result == null) result = caseComposedElement(radioButton);
				if (result == null) result = caseIElementWithLayoutData(radioButton);
				if (result == null) result = caseGuiElement(radioButton);
				if (result == null) result = caseIElementOnWhichCanBeAttached(radioButton);
				if (result == null) result = caseIDummy(radioButton);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.SEPERATOR: {
				Seperator seperator = (Seperator)theEObject;
				T result = caseSeperator(seperator);
				if (result == null) result = caseReferenceableByXmadslVariable(seperator);
				if (result == null) result = caseSimpleElement(seperator);
				if (result == null) result = caseIGuiElementWithEvent(seperator);
				if (result == null) result = caseComposedElement(seperator);
				if (result == null) result = caseIElementWithLayoutData(seperator);
				if (result == null) result = caseGuiElement(seperator);
				if (result == null) result = caseIElementOnWhichCanBeAttached(seperator);
				if (result == null) result = caseIDummy(seperator);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.LABEL: {
				Label label = (Label)theEObject;
				T result = caseLabel(label);
				if (result == null) result = caseSimpleElement(label);
				if (result == null) result = caseComposedElement(label);
				if (result == null) result = caseIElementWithLayoutData(label);
				if (result == null) result = caseGuiElement(label);
				if (result == null) result = caseIElementOnWhichCanBeAttached(label);
				if (result == null) result = caseIDummy(label);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.IMAGE: {
				Image image = (Image)theEObject;
				T result = caseImage(image);
				if (result == null) result = caseSimpleElement(image);
				if (result == null) result = caseIGuiElementWithEvent(image);
				if (result == null) result = caseComposedElement(image);
				if (result == null) result = caseIElementWithLayoutData(image);
				if (result == null) result = caseGuiElement(image);
				if (result == null) result = caseIElementOnWhichCanBeAttached(image);
				if (result == null) result = caseIDummy(image);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.BUTTON: {
				Button button = (Button)theEObject;
				T result = caseButton(button);
				if (result == null) result = caseSimpleElement(button);
				if (result == null) result = caseIGuiElementWithEvent(button);
				if (result == null) result = caseComposedElement(button);
				if (result == null) result = caseIElementWithLayoutData(button);
				if (result == null) result = caseGuiElement(button);
				if (result == null) result = caseIElementOnWhichCanBeAttached(button);
				if (result == null) result = caseIDummy(button);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ICOMPOSITE: {
				IComposite iComposite = (IComposite)theEObject;
				T result = caseIComposite(iComposite);
				if (result == null) result = caseComposite(iComposite);
				if (result == null) result = caseComplexElement(iComposite);
				if (result == null) result = caseComposedElement(iComposite);
				if (result == null) result = caseGuiElement(iComposite);
				if (result == null) result = caseIElementOnWhichCanBeAttached(iComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.XMADSL_COMPOSITE: {
				XmadslComposite xmadslComposite = (XmadslComposite)theEObject;
				T result = caseXmadslComposite(xmadslComposite);
				if (result == null) result = caseIComposite(xmadslComposite);
				if (result == null) result = caseIElementWithLayoutData(xmadslComposite);
				if (result == null) result = caseComposite(xmadslComposite);
				if (result == null) result = caseComplexElement(xmadslComposite);
				if (result == null) result = caseIDummy(xmadslComposite);
				if (result == null) result = caseComposedElement(xmadslComposite);
				if (result == null) result = caseGuiElement(xmadslComposite);
				if (result == null) result = caseIElementOnWhichCanBeAttached(xmadslComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.REFERENCED_COMPOSITE: {
				ReferencedComposite referencedComposite = (ReferencedComposite)theEObject;
				T result = caseReferencedComposite(referencedComposite);
				if (result == null) result = caseIComposite(referencedComposite);
				if (result == null) result = caseComposite(referencedComposite);
				if (result == null) result = caseComplexElement(referencedComposite);
				if (result == null) result = caseComposedElement(referencedComposite);
				if (result == null) result = caseGuiElement(referencedComposite);
				if (result == null) result = caseIElementOnWhichCanBeAttached(referencedComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TABLE: {
				Table table = (Table)theEObject;
				T result = caseTable(table);
				if (result == null) result = caseReferenceableByXmadslVariable(table);
				if (result == null) result = caseComplexElement(table);
				if (result == null) result = caseIGuiElementWithEvent(table);
				if (result == null) result = caseIElementWithLayoutData(table);
				if (result == null) result = caseComposedElement(table);
				if (result == null) result = caseIDummy(table);
				if (result == null) result = caseGuiElement(table);
				if (result == null) result = caseIElementOnWhichCanBeAttached(table);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TABLE_COLUMN: {
				TableColumn tableColumn = (TableColumn)theEObject;
				T result = caseTableColumn(tableColumn);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ITAB_FOLDER: {
				ITabFolder iTabFolder = (ITabFolder)theEObject;
				T result = caseITabFolder(iTabFolder);
				if (result == null) result = caseComplexElement(iTabFolder);
				if (result == null) result = caseComposedElement(iTabFolder);
				if (result == null) result = caseGuiElement(iTabFolder);
				if (result == null) result = caseIElementOnWhichCanBeAttached(iTabFolder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TAB_FOLDER: {
				TabFolder tabFolder = (TabFolder)theEObject;
				T result = caseTabFolder(tabFolder);
				if (result == null) result = caseITabFolder(tabFolder);
				if (result == null) result = caseIElementWithLayoutData(tabFolder);
				if (result == null) result = caseComplexElement(tabFolder);
				if (result == null) result = caseIDummy(tabFolder);
				if (result == null) result = caseComposedElement(tabFolder);
				if (result == null) result = caseGuiElement(tabFolder);
				if (result == null) result = caseIElementOnWhichCanBeAttached(tabFolder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.REFERENCED_TAB_FOLDER: {
				ReferencedTabFolder referencedTabFolder = (ReferencedTabFolder)theEObject;
				T result = caseReferencedTabFolder(referencedTabFolder);
				if (result == null) result = caseITabFolder(referencedTabFolder);
				if (result == null) result = caseComplexElement(referencedTabFolder);
				if (result == null) result = caseComposedElement(referencedTabFolder);
				if (result == null) result = caseGuiElement(referencedTabFolder);
				if (result == null) result = caseIElementOnWhichCanBeAttached(referencedTabFolder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ITAB_PAGE: {
				ITabPage iTabPage = (ITabPage)theEObject;
				T result = caseITabPage(iTabPage);
				if (result == null) result = casePage(iTabPage);
				if (result == null) result = caseReferenceableByXmadslVariable(iTabPage);
				if (result == null) result = casePageDefinition(iTabPage);
				if (result == null) result = caseComposite(iTabPage);
				if (result == null) result = caseGuiElement(iTabPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TAB_PAGE: {
				TabPage tabPage = (TabPage)theEObject;
				T result = caseTabPage(tabPage);
				if (result == null) result = caseITabPage(tabPage);
				if (result == null) result = casePage(tabPage);
				if (result == null) result = caseReferenceableByXmadslVariable(tabPage);
				if (result == null) result = casePageDefinition(tabPage);
				if (result == null) result = caseComposite(tabPage);
				if (result == null) result = caseGuiElement(tabPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.REFERENCED_TAB_PAGE: {
				ReferencedTabPage referencedTabPage = (ReferencedTabPage)theEObject;
				T result = caseReferencedTabPage(referencedTabPage);
				if (result == null) result = caseITabPage(referencedTabPage);
				if (result == null) result = casePage(referencedTabPage);
				if (result == null) result = caseReferenceableByXmadslVariable(referencedTabPage);
				if (result == null) result = casePageDefinition(referencedTabPage);
				if (result == null) result = caseComposite(referencedTabPage);
				if (result == null) result = caseGuiElement(referencedTabPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.LAYOUT_DATA_PROPERTY: {
				LayoutDataProperty layoutDataProperty = (LayoutDataProperty)theEObject;
				T result = caseLayoutDataProperty(layoutDataProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.PAGE_PROPERTY: {
				PageProperty pageProperty = (PageProperty)theEObject;
				T result = casePageProperty(pageProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.HEIGHT_PROPERTY: {
				HeightProperty heightProperty = (HeightProperty)theEObject;
				T result = caseHeightProperty(heightProperty);
				if (result == null) result = caseLayoutDataProperty(heightProperty);
				if (result == null) result = casePageProperty(heightProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.WIDTH_PROPERTY: {
				WidthProperty widthProperty = (WidthProperty)theEObject;
				T result = caseWidthProperty(widthProperty);
				if (result == null) result = caseLayoutDataProperty(widthProperty);
				if (result == null) result = casePageProperty(widthProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY: {
				StyleProperty styleProperty = (StyleProperty)theEObject;
				T result = caseStyleProperty(styleProperty);
				if (result == null) result = caseLayoutDataProperty(styleProperty);
				if (result == null) result = casePageProperty(styleProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TITLE_BUTTONS_PROPERTY: {
				TitleButtonsProperty titleButtonsProperty = (TitleButtonsProperty)theEObject;
				T result = caseTitleButtonsProperty(titleButtonsProperty);
				if (result == null) result = casePageProperty(titleButtonsProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.RESIZEABLE_PROPERTY: {
				ResizeableProperty resizeableProperty = (ResizeableProperty)theEObject;
				T result = caseResizeableProperty(resizeableProperty);
				if (result == null) result = casePageProperty(resizeableProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ALIGNMENT_PROPERTY: {
				AlignmentProperty alignmentProperty = (AlignmentProperty)theEObject;
				T result = caseAlignmentProperty(alignmentProperty);
				if (result == null) result = caseLayoutDataProperty(alignmentProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.COMPOSE_DATA: {
				ComposeData composeData = (ComposeData)theEObject;
				T result = caseComposeData(composeData);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.PADDING_WIDTH: {
				PaddingWidth paddingWidth = (PaddingWidth)theEObject;
				T result = casePaddingWidth(paddingWidth);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.IATTACHMENT_POSITION: {
				IAttachmentPosition iAttachmentPosition = (IAttachmentPosition)theEObject;
				T result = caseIAttachmentPosition(iAttachmentPosition);
				if (result == null) result = caseIElementOnWhichCanBeAttached(iAttachmentPosition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TABULATOR_DEFINITION: {
				TabulatorDefinition tabulatorDefinition = (TabulatorDefinition)theEObject;
				T result = caseTabulatorDefinition(tabulatorDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STRING_DEFINITION: {
				StringDefinition stringDefinition = (StringDefinition)theEObject;
				T result = caseStringDefinition(stringDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.INTEGER_DEFINITION: {
				IntegerDefinition integerDefinition = (IntegerDefinition)theEObject;
				T result = caseIntegerDefinition(integerDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.IMAGE_URI: {
				ImageUri imageUri = (ImageUri)theEObject;
				T result = caseImageUri(imageUri);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.DEFINITIONS: {
				Definitions definitions = (Definitions)theEObject;
				T result = caseDefinitions(definitions);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TABULATOR_POSITION: {
				TabulatorPosition tabulatorPosition = (TabulatorPosition)theEObject;
				T result = caseTabulatorPosition(tabulatorPosition);
				if (result == null) result = caseIAttachmentPosition(tabulatorPosition);
				if (result == null) result = caseIElementOnWhichCanBeAttached(tabulatorPosition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ATTACHMENT_POSITION: {
				AttachmentPosition attachmentPosition = (AttachmentPosition)theEObject;
				T result = caseAttachmentPosition(attachmentPosition);
				if (result == null) result = caseIAttachmentPosition(attachmentPosition);
				if (result == null) result = caseIElementOnWhichCanBeAttached(attachmentPosition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CONTENT: {
				Content content = (Content)theEObject;
				T result = caseContent(content);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.SET_OF_GUI_ELEMENTS: {
				SetOfGuiElements setOfGuiElements = (SetOfGuiElements)theEObject;
				T result = caseSetOfGuiElements(setOfGuiElements);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ATTACHMENT_PROPERTY: {
				AttachmentProperty attachmentProperty = (AttachmentProperty)theEObject;
				T result = caseAttachmentProperty(attachmentProperty);
				if (result == null) result = caseLayoutDataProperty(attachmentProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ATTACHMENT_SPECIFICATION: {
				AttachmentSpecification attachmentSpecification = (AttachmentSpecification)theEObject;
				T result = caseAttachmentSpecification(attachmentSpecification);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.NONE_ATTACHMENT: {
				NoneAttachment noneAttachment = (NoneAttachment)theEObject;
				T result = caseNoneAttachment(noneAttachment);
				if (result == null) result = caseAttachmentSpecification(noneAttachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.PARENT_ATTACHMENT: {
				ParentAttachment parentAttachment = (ParentAttachment)theEObject;
				T result = caseParentAttachment(parentAttachment);
				if (result == null) result = caseAttachmentSpecification(parentAttachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.IELEMENT_ON_WHICH_CAN_BE_ATTACHED: {
				IElementOnWhichCanBeAttached iElementOnWhichCanBeAttached = (IElementOnWhichCanBeAttached)theEObject;
				T result = caseIElementOnWhichCanBeAttached(iElementOnWhichCanBeAttached);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.SIBLING_ATTACHMENT: {
				SiblingAttachment siblingAttachment = (SiblingAttachment)theEObject;
				T result = caseSiblingAttachment(siblingAttachment);
				if (result == null) result = caseAttachmentSpecification(siblingAttachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.ABSOLUTE_SIBLING_ATTACHMENT: {
				AbsoluteSiblingAttachment absoluteSiblingAttachment = (AbsoluteSiblingAttachment)theEObject;
				T result = caseAbsoluteSiblingAttachment(absoluteSiblingAttachment);
				if (result == null) result = caseSiblingAttachment(absoluteSiblingAttachment);
				if (result == null) result = caseAttachmentSpecification(absoluteSiblingAttachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.RELATIVE_SIBLING_ATTACHMENT: {
				RelativeSiblingAttachment relativeSiblingAttachment = (RelativeSiblingAttachment)theEObject;
				T result = caseRelativeSiblingAttachment(relativeSiblingAttachment);
				if (result == null) result = caseSiblingAttachment(relativeSiblingAttachment);
				if (result == null) result = caseAttachmentSpecification(relativeSiblingAttachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.TABULATOR_ATTACHMENT: {
				TabulatorAttachment tabulatorAttachment = (TabulatorAttachment)theEObject;
				T result = caseTabulatorAttachment(tabulatorAttachment);
				if (result == null) result = caseAttachmentSpecification(tabulatorAttachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.OFFSET: {
				Offset offset = (Offset)theEObject;
				T result = caseOffset(offset);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.FIELD_VARIABLE: {
				FieldVariable fieldVariable = (FieldVariable)theEObject;
				T result = caseFieldVariable(fieldVariable);
				if (result == null) result = caseVariable(fieldVariable);
				if (result == null) result = caseAtomicExpr(fieldVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.XMA_VARIABLE: {
				XmaVariable xmaVariable = (XmaVariable)theEObject;
				T result = caseXmaVariable(xmaVariable);
				if (result == null) result = caseVariable(xmaVariable);
				if (result == null) result = caseAtomicExpr(xmaVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CUSTOMIZE_COMPONENT_MODEL: {
				CustomizeComponentModel customizeComponentModel = (CustomizeComponentModel)theEObject;
				T result = caseCustomizeComponentModel(customizeComponentModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CUSTOMIZATION_OF_GUI_ELEMENT: {
				CustomizationOfGuiElement customizationOfGuiElement = (CustomizationOfGuiElement)theEObject;
				T result = caseCustomizationOfGuiElement(customizationOfGuiElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CUSTOMIZATION_OF_COMPOSITE: {
				CustomizationOfComposite customizationOfComposite = (CustomizationOfComposite)theEObject;
				T result = caseCustomizationOfComposite(customizationOfComposite);
				if (result == null) result = caseCustomizationOfGuiElement(customizationOfComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.CUSTOMIZATION_OF_TAB_FOLDER: {
				CustomizationOfTabFolder customizationOfTabFolder = (CustomizationOfTabFolder)theEObject;
				T result = caseCustomizationOfTabFolder(customizationOfTabFolder);
				if (result == null) result = caseCustomizationOfGuiElement(customizationOfTabFolder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.IELEMENT_WITH_LAYOUT_DATA: {
				IElementWithLayoutData iElementWithLayoutData = (IElementWithLayoutData)theEObject;
				T result = caseIElementWithLayoutData(iElementWithLayoutData);
				if (result == null) result = caseIDummy(iElementWithLayoutData);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_SPECIFICATION: {
				StyleSpecification styleSpecification = (StyleSpecification)theEObject;
				T result = caseStyleSpecification(styleSpecification);
				if (result == null) result = caseStyle(styleSpecification);
				if (result == null) result = caseModelElement(styleSpecification);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.MODEL_ELEMENT_SPECIFICATION: {
				ModelElementSpecification modelElementSpecification = (ModelElementSpecification)theEObject;
				T result = caseModelElementSpecification(modelElementSpecification);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.SELECTED_MODEL_ELEMENT: {
				SelectedModelElement selectedModelElement = (SelectedModelElement)theEObject;
				T result = caseSelectedModelElement(selectedModelElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.COMBINED_MODEL_ELEMENT: {
				CombinedModelElement combinedModelElement = (CombinedModelElement)theEObject;
				T result = caseCombinedModelElement(combinedModelElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_SPECIFICATION_PROPERTY: {
				StyleSpecificationProperty styleSpecificationProperty = (StyleSpecificationProperty)theEObject;
				T result = caseStyleSpecificationProperty(styleSpecificationProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_FIELD_PART: {
				StylePropertyFieldPart stylePropertyFieldPart = (StylePropertyFieldPart)theEObject;
				T result = caseStylePropertyFieldPart(stylePropertyFieldPart);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyFieldPart);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_LEFT: {
				StylePropertyLeft stylePropertyLeft = (StylePropertyLeft)theEObject;
				T result = caseStylePropertyLeft(stylePropertyLeft);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyLeft);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_RIGHT: {
				StylePropertyRight stylePropertyRight = (StylePropertyRight)theEObject;
				T result = caseStylePropertyRight(stylePropertyRight);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyRight);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_TOP: {
				StylePropertyTop stylePropertyTop = (StylePropertyTop)theEObject;
				T result = caseStylePropertyTop(stylePropertyTop);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyTop);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_BOTTOM: {
				StylePropertyBottom stylePropertyBottom = (StylePropertyBottom)theEObject;
				T result = caseStylePropertyBottom(stylePropertyBottom);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyBottom);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_WIDTH: {
				StylePropertyWidth stylePropertyWidth = (StylePropertyWidth)theEObject;
				T result = caseStylePropertyWidth(stylePropertyWidth);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyWidth);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_HEIGHT: {
				StylePropertyHeight stylePropertyHeight = (StylePropertyHeight)theEObject;
				T result = caseStylePropertyHeight(stylePropertyHeight);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyHeight);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_TABULATOR: {
				StylePropertyTabulator stylePropertyTabulator = (StylePropertyTabulator)theEObject;
				T result = caseStylePropertyTabulator(stylePropertyTabulator);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyTabulator);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_BORDER: {
				StylePropertyBorder stylePropertyBorder = (StylePropertyBorder)theEObject;
				T result = caseStylePropertyBorder(stylePropertyBorder);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyBorder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_FOREGROUND_COLOR: {
				StylePropertyForegroundColor stylePropertyForegroundColor = (StylePropertyForegroundColor)theEObject;
				T result = caseStylePropertyForegroundColor(stylePropertyForegroundColor);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyForegroundColor);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_BACKGROUND_COLOR: {
				StylePropertyBackgroundColor stylePropertyBackgroundColor = (StylePropertyBackgroundColor)theEObject;
				T result = caseStylePropertyBackgroundColor(stylePropertyBackgroundColor);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyBackgroundColor);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PomPackage.STYLE_PROPERTY_WIDGET_VARIANT: {
				StylePropertyWidgetVariant stylePropertyWidgetVariant = (StylePropertyWidgetVariant)theEObject;
				T result = caseStylePropertyWidgetVariant(stylePropertyWidgetVariant);
				if (result == null) result = caseStyleSpecificationProperty(stylePropertyWidgetVariant);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Binding Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Binding Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataBindingElement(DataBindingElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Field Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Field Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFieldFlag(FieldFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Enabled Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Enabled Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEnabledFlag(EnabledFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Mandatory Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Mandatory Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMandatoryFlag(MandatoryFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Visible Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Visible Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVisibleFlag(VisibleFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Collapsed Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Collapsed Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCollapsedFlag(CollapsedFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Editable Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Editable Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEditableFlag(EditableFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Label Text</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Label Text</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLabelText(LabelText object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Object Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Object Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseObjectProperty(ObjectProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComponent(Component object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced XMA Gui Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced XMA Gui Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedXMAGuiElement(ReferencedXMAGuiElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced XMA Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced XMA Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedXMAPage(ReferencedXMAPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced XMA Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced XMA Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedXMAComposite(ReferencedXMAComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Gray Logic</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Gray Logic</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGrayLogic(GrayLogic object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>XMA Widget Gray Logic</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>XMA Widget Gray Logic</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXMAWidgetGrayLogic(XMAWidgetGrayLogic object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Object Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Object Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataObjectVariable(DataObjectVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customize Attribute List</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customize Attribute List</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizeAttributeList(CustomizeAttributeList object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customized Attribute</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customized Attribute</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizedAttribute(CustomizedAttribute object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Text Properties</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Text Properties</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTextProperties(TextProperties object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IField</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IField</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIField(IField object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Field Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Field Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFieldFeature(FieldFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Field Reference</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Field Reference</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFieldReference(FieldReference object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customizeable Field</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customizeable Field</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizeableField(CustomizeableField object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Field Part Specification</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Field Part Specification</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFieldPartSpecification(FieldPartSpecification object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Command</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Command</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCommand(Command object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Event Function</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Event Function</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEventFunction(EventFunction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Event Mapping List</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Event Mapping List</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEventMappingList(EventMappingList object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEventMapping(EventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Control Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Control Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseControlEventMapping(ControlEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>XMA Widget Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>XMA Widget Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXMAWidgetEventMapping(XMAWidgetEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Gui Element Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Gui Element Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGuiElementEventMapping(GuiElementEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Init Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Init Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInitEventMapping(InitEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Enter Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Enter Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEnterEventMapping(EnterEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Leave Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Leave Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLeaveEventMapping(LeaveEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Mapping List</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Mapping List</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataMappingList(DataMappingList object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataMapping(DataMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Page Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Page Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePageDefinition(PageDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePage(Page object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Xmadsl Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Xmadsl Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXmadslPage(XmadslPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Page Customization</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Page Customization</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePageCustomization(PageCustomization object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Gui Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Gui Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGuiElement(GuiElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComposite(Composite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Composed Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Composed Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComposedElement(ComposedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Complex Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Complex Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComplexElement(ComplexElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Simple Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Simple Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSimpleElement(SimpleElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IDummy</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IDummy</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIDummy(IDummy object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IGui Element With Event</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IGui Element With Event</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIGuiElementWithEvent(IGuiElementWithEvent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Gui Element With Event dummy</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Gui Element With Event dummy</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGuiElementWithEvent_dummy(GuiElementWithEvent_dummy object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Text</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Text</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseText(Text object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Combo</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Combo</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCombo(Combo object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Check Box</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Check Box</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCheckBox(CheckBox object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>List Box</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>List Box</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseListBox(ListBox object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tree</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tree</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTree(Tree object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Radio Button</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Radio Button</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRadioButton(RadioButton object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Seperator</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Seperator</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSeperator(Seperator object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Label</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Label</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLabel(Label object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Image</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Image</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseImage(Image object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Button</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Button</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseButton(Button object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IComposite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IComposite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIComposite(IComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Xmadsl Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Xmadsl Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXmadslComposite(XmadslComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedComposite(ReferencedComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Table</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Table</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTable(Table object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Table Column</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Table Column</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTableColumn(TableColumn object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>ITab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>ITab Folder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseITabFolder(ITabFolder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tab Folder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTabFolder(TabFolder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced Tab Folder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedTabFolder(ReferencedTabFolder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>ITab Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>ITab Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseITabPage(ITabPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tab Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tab Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTabPage(TabPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced Tab Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced Tab Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedTabPage(ReferencedTabPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Layout Data Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Layout Data Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLayoutDataProperty(LayoutDataProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Page Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Page Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePageProperty(PageProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Height Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Height Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseHeightProperty(HeightProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Width Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Width Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseWidthProperty(WidthProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attachment Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attachment Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttachmentProperty(AttachmentProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStyleProperty(StyleProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Title Buttons Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Title Buttons Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTitleButtonsProperty(TitleButtonsProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Resizeable Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Resizeable Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseResizeableProperty(ResizeableProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Alignment Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Alignment Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAlignmentProperty(AlignmentProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Compose Data</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Compose Data</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComposeData(ComposeData object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Padding Width</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Padding Width</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePaddingWidth(PaddingWidth object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IAttachment Position</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IAttachment Position</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIAttachmentPosition(IAttachmentPosition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tabulator Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tabulator Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTabulatorDefinition(TabulatorDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>String Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>String Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStringDefinition(StringDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Integer Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Integer Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIntegerDefinition(IntegerDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Image Uri</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Image Uri</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseImageUri(ImageUri object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Definitions</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Definitions</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDefinitions(Definitions object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tabulator Position</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tabulator Position</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTabulatorPosition(TabulatorPosition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attachment Position</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attachment Position</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttachmentPosition(AttachmentPosition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Content</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Content</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseContent(Content object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Set Of Gui Elements</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Set Of Gui Elements</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSetOfGuiElements(SetOfGuiElements object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attachment Specification</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attachment Specification</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttachmentSpecification(AttachmentSpecification object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>None Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>None Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNoneAttachment(NoneAttachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Parent Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Parent Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseParentAttachment(ParentAttachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IElement On Which Can Be Attached</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IElement On Which Can Be Attached</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIElementOnWhichCanBeAttached(IElementOnWhichCanBeAttached object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sibling Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sibling Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSiblingAttachment(SiblingAttachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Absolute Sibling Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Absolute Sibling Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAbsoluteSiblingAttachment(AbsoluteSiblingAttachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Relative Sibling Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Relative Sibling Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRelativeSiblingAttachment(RelativeSiblingAttachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tabulator Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tabulator Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTabulatorAttachment(TabulatorAttachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Offset</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Offset</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOffset(Offset object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenceable By Xmadsl Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenceable By Xmadsl Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferenceableByXmadslVariable(ReferenceableByXmadslVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Field Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Field Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFieldVariable(FieldVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Xma Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Xma Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXmaVariable(XmaVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customize Component Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customize Component Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizeComponentModel(CustomizeComponentModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customization Of Gui Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customization Of Gui Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizationOfGuiElement(CustomizationOfGuiElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customization Of Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customization Of Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizationOfComposite(CustomizationOfComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customization Of Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customization Of Tab Folder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizationOfTabFolder(CustomizationOfTabFolder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IElement With Layout Data</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IElement With Layout Data</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIElementWithLayoutData(IElementWithLayoutData object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Specification</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Specification</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStyleSpecification(StyleSpecification object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element Specification</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element Specification</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModelElementSpecification(ModelElementSpecification object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Selected Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Selected Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSelectedModelElement(SelectedModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Combined Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Combined Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCombinedModelElement(CombinedModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Specification Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Specification Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStyleSpecificationProperty(StyleSpecificationProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Field Part</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Field Part</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyFieldPart(StylePropertyFieldPart object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Left</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Left</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyLeft(StylePropertyLeft object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Right</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Right</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyRight(StylePropertyRight object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Top</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Top</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyTop(StylePropertyTop object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Bottom</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Bottom</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyBottom(StylePropertyBottom object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Width</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Width</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyWidth(StylePropertyWidth object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Height</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Height</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyHeight(StylePropertyHeight object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Tabulator</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Tabulator</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyTabulator(StylePropertyTabulator object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Border</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Border</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyBorder(StylePropertyBorder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Foreground Color</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Foreground Color</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyForegroundColor(StylePropertyForegroundColor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Background Color</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Background Color</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyBackgroundColor(StylePropertyBackgroundColor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style Property Widget Variant</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style Property Widget Variant</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStylePropertyWidgetVariant(StylePropertyWidgetVariant object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Atomic Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Atomic Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAtomicExpr(AtomicExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVariable(Variable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStyle(Style object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //PomSwitch
