/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.openxma.dsl.pom;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.openxma.dsl.core.CorePackage;

import org.openxma.dsl.dom.DomPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.pom.PomFactory
 * @model kind="package"
 * @generated
 */
public interface PomPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "pom";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.openxma.org/dsl/pom/PomDsl";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "pom";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	PomPackage eINSTANCE = org.openxma.dsl.pom.model.impl.PomPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldFlagImpl <em>Field Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldFlag()
	 * @generated
	 */
	int FIELD_FLAG = 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EnabledFlagImpl <em>Enabled Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EnabledFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEnabledFlag()
	 * @generated
	 */
	int ENABLED_FLAG = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.MandatoryFlagImpl <em>Mandatory Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.MandatoryFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMandatoryFlag()
	 * @generated
	 */
	int MANDATORY_FLAG = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.VisibleFlagImpl <em>Visible Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.VisibleFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVisibleFlag()
	 * @generated
	 */
	int VISIBLE_FLAG = 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CollapsedFlagImpl <em>Collapsed Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CollapsedFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCollapsedFlag()
	 * @generated
	 */
	int COLLAPSED_FLAG = 5;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EditableFlagImpl <em>Editable Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EditableFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEditableFlag()
	 * @generated
	 */
	int EDITABLE_FLAG = 6;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LabelTextImpl <em>Label Text</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LabelTextImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabelText()
	 * @generated
	 */
	int LABEL_TEXT = 7;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ObjectPropertyImpl <em>Object Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ObjectPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getObjectProperty()
	 * @generated
	 */
	int OBJECT_PROPERTY = 8;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComponentImpl <em>Component</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComponentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComponent()
	 * @generated
	 */
	int COMPONENT = 9;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMAGuiElementImpl <em>Referenced XMA Gui Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedXMAGuiElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAGuiElement()
	 * @generated
	 */
	int REFERENCED_XMA_GUI_ELEMENT = 10;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMAPageImpl <em>Referenced XMA Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedXMAPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAPage()
	 * @generated
	 */
	int REFERENCED_XMA_PAGE = 11;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMACompositeImpl <em>Referenced XMA Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedXMACompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAComposite()
	 * @generated
	 */
	int REFERENCED_XMA_COMPOSITE = 12;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.GrayLogicImpl <em>Gray Logic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.GrayLogicImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGrayLogic()
	 * @generated
	 */
	int GRAY_LOGIC = 13;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XMAWidgetGrayLogicImpl <em>XMA Widget Gray Logic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XMAWidgetGrayLogicImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXMAWidgetGrayLogic()
	 * @generated
	 */
	int XMA_WIDGET_GRAY_LOGIC = 14;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DataObjectVariableImpl <em>Data Object Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DataObjectVariableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataObjectVariable()
	 * @generated
	 */
	int DATA_OBJECT_VARIABLE = 15;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizeAttributeListImpl <em>Customize Attribute List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizeAttributeListImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeAttributeList()
	 * @generated
	 */
	int CUSTOMIZE_ATTRIBUTE_LIST = 16;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizedAttributeImpl <em>Customized Attribute</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizedAttributeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizedAttribute()
	 * @generated
	 */
	int CUSTOMIZED_ATTRIBUTE = 17;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TextPropertiesImpl <em>Text Properties</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TextPropertiesImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTextProperties()
	 * @generated
	 */
	int TEXT_PROPERTIES = 18;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IFieldImpl <em>IField</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IFieldImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIField()
	 * @generated
	 */
	int IFIELD = 19;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldFeatureImpl <em>Field Feature</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldFeatureImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldFeature()
	 * @generated
	 */
	int FIELD_FEATURE = 20;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldReferenceImpl <em>Field Reference</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldReferenceImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldReference()
	 * @generated
	 */
	int FIELD_REFERENCE = 21;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl <em>Customizeable Field</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeableField()
	 * @generated
	 */
	int CUSTOMIZEABLE_FIELD = 22;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldPartSpecificationImpl <em>Field Part Specification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldPartSpecificationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldPartSpecification()
	 * @generated
	 */
	int FIELD_PART_SPECIFICATION = 23;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CommandImpl <em>Command</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CommandImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCommand()
	 * @generated
	 */
	int COMMAND = 24;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EventFunctionImpl <em>Event Function</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EventFunctionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventFunction()
	 * @generated
	 */
	int EVENT_FUNCTION = 25;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EventMappingListImpl <em>Event Mapping List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EventMappingListImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventMappingList()
	 * @generated
	 */
	int EVENT_MAPPING_LIST = 26;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EventMappingImpl <em>Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventMapping()
	 * @generated
	 */
	int EVENT_MAPPING = 27;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ControlEventMappingImpl <em>Control Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ControlEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getControlEventMapping()
	 * @generated
	 */
	int CONTROL_EVENT_MAPPING = 28;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XMAWidgetEventMappingImpl <em>XMA Widget Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XMAWidgetEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXMAWidgetEventMapping()
	 * @generated
	 */
	int XMA_WIDGET_EVENT_MAPPING = 29;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.GuiElementEventMappingImpl <em>Gui Element Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.GuiElementEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElementEventMapping()
	 * @generated
	 */
	int GUI_ELEMENT_EVENT_MAPPING = 30;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.InitEventMappingImpl <em>Init Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.InitEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getInitEventMapping()
	 * @generated
	 */
	int INIT_EVENT_MAPPING = 31;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EnterEventMappingImpl <em>Enter Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EnterEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEnterEventMapping()
	 * @generated
	 */
	int ENTER_EVENT_MAPPING = 32;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LeaveEventMappingImpl <em>Leave Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LeaveEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLeaveEventMapping()
	 * @generated
	 */
	int LEAVE_EVENT_MAPPING = 33;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DataMappingListImpl <em>Data Mapping List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DataMappingListImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataMappingList()
	 * @generated
	 */
	int DATA_MAPPING_LIST = 34;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DataMappingImpl <em>Data Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DataMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataMapping()
	 * @generated
	 */
	int DATA_MAPPING = 35;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DataBindingElementImpl <em>Data Binding Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DataBindingElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataBindingElement()
	 * @generated
	 */
	int DATA_BINDING_ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Data Binding Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BINDING_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FLAG__EXPRESSION = 0;

	/**
	 * The number of structural features of the '<em>Field Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FLAG_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENABLED_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Enabled Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENABLED_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANDATORY_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Mandatory Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANDATORY_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISIBLE_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Visible Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISIBLE_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLLAPSED_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Collapsed Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLLAPSED_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITABLE_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Editable Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITABLE_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_TEXT__LABEL = 0;

	/**
	 * The feature id for the '<em><b>Referenced Label String</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_TEXT__REFERENCED_LABEL_STRING = 1;

	/**
	 * The number of structural features of the '<em>Label Text</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_TEXT_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Public</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__PUBLIC = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__TYPE = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Read Only</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__READ_ONLY = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Required</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__REQUIRED = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Object Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__NAME = CorePackage.MODEL_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Xma Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__XMA_COMPONENT = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Style Property</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__STYLE_PROPERTY = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__DEPENDENCIES = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Component Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__COMPONENT_PROPERTIES = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__DATAOBJECTS = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Customized Attribute List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__COMMANDS = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__EVENTS = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__CONDITIONS_BLOCK = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Pages</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__PAGES = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__DEFINITIONS = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The number of structural features of the '<em>Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_FEATURE_COUNT = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The number of structural features of the '<em>Referenced XMA Gui Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__CONTENT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__COMPOSE_LAYOUT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DATAOBJECTS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DATA_MAPPING = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__COMMANDS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__EVENTS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__CONDITIONS_BLOCK = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DEFINITIONS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Xma Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__XMA_PAGE = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__FIELD_FLAGS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DEPENDENCIES = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Gray Logic</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__GRAY_LOGIC = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The number of structural features of the '<em>Referenced XMA Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE_FEATURE_COUNT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__CONTENT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xma Composite</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__XMA_COMPOSITE = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__FIELD_FLAGS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Referencing Page Composite</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__REFERENCING_PAGE_COMPOSITE = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Horizontal Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__HORIZONTAL_PARTITIONING = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Vertical Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__VERTICAL_PARTITIONING = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Referenced XMA Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE_FEATURE_COUNT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Widget Gray Logic</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAY_LOGIC__WIDGET_GRAY_LOGIC = 0;

	/**
	 * The number of structural features of the '<em>Gray Logic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAY_LOGIC_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Xma Widget</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_GRAY_LOGIC__XMA_WIDGET = 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_GRAY_LOGIC__FIELD_FLAGS = 1;

	/**
	 * The number of structural features of the '<em>XMA Widget Gray Logic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_GRAY_LOGIC_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__TYPE = 0;

	/**
	 * The feature id for the '<em><b>Is Collection</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__IS_COLLECTION = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__NAME = 2;

	/**
	 * The feature id for the '<em><b>Customized Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__CUSTOMIZED_ATTRIBUTES = 3;

	/**
	 * The number of structural features of the '<em>Data Object Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE_FEATURE_COUNT = 4;

	/**
	 * The feature id for the '<em><b>Customized Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_ATTRIBUTE_LIST__CUSTOMIZED_ATTRIBUTES = 0;

	/**
	 * The number of structural features of the '<em>Customize Attribute List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_ATTRIBUTE_LIST_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Field</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__FIELD = 0;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__CONSTRAINTS = 1;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__FORMAT = 2;

	/**
	 * The feature id for the '<em><b>Attribut Flag</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__ATTRIBUT_FLAG = 3;

	/**
	 * The feature id for the '<em><b>Attribut Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__ATTRIBUT_FLAGS = 4;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__TEXT_PROPERTIES = 5;

	/**
	 * The number of structural features of the '<em>Customized Attribute</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE_FEATURE_COUNT = 6;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES__LABEL_TEXT = 0;

	/**
	 * The feature id for the '<em><b>Referenced Label String</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES__REFERENCED_LABEL_STRING = 1;

	/**
	 * The feature id for the '<em><b>Tooltip Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES__TOOLTIP_TEXT = 2;

	/**
	 * The feature id for the '<em><b>Referenced Tooltip String</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES__REFERENCED_TOOLTIP_STRING = 3;

	/**
	 * The feature id for the '<em><b>Unit Label Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES__UNIT_LABEL_TEXT = 4;

	/**
	 * The feature id for the '<em><b>Referenced Unit Label String</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES__REFERENCED_UNIT_LABEL_STRING = 5;

	/**
	 * The number of structural features of the '<em>Text Properties</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES_FEATURE_COUNT = 6;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IFIELD__OBJECT = 0;

	/**
	 * The feature id for the '<em><b>Feature</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IFIELD__FEATURE = 1;

	/**
	 * The number of structural features of the '<em>IField</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IFIELD_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Feature</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FEATURE__FEATURE = 0;

	/**
	 * The feature id for the '<em><b>Sub Feature</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FEATURE__SUB_FEATURE = 1;

	/**
	 * The number of structural features of the '<em>Field Feature</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FEATURE_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_REFERENCE__OBJECT = IFIELD__OBJECT;

	/**
	 * The feature id for the '<em><b>Feature</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_REFERENCE__FEATURE = IFIELD__FEATURE;

	/**
	 * The number of structural features of the '<em>Field Reference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_REFERENCE_FEATURE_COUNT = IFIELD_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__OBJECT = IFIELD__OBJECT;

	/**
	 * The feature id for the '<em><b>Feature</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__FEATURE = IFIELD__FEATURE;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__NAME = IFIELD_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES = IFIELD_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__FIELD_FLAGS = IFIELD_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Control Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__CONTROL_TYPE = IFIELD_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Parts</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__PARTS = IFIELD_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__CONSTRAINTS = IFIELD_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__FORMAT = IFIELD_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES = IFIELD_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Customizeable Field</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD_FEATURE_COUNT = IFIELD_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Part</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_PART_SPECIFICATION__PART = 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_PART_SPECIFICATION__LAYOUT_PROPERTIES = 1;

	/**
	 * The number of structural features of the '<em>Field Part Specification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_PART_SPECIFICATION_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__DOC = 0;

	/**
	 * The feature id for the '<em><b>Client Only</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__CLIENT_ONLY = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__NAME = 2;

	/**
	 * The number of structural features of the '<em>Command</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND_FEATURE_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Command</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_FUNCTION__COMMAND = 0;

	/**
	 * The feature id for the '<em><b>Predefined Command</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_FUNCTION__PREDEFINED_COMMAND = 1;

	/**
	 * The number of structural features of the '<em>Event Function</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_FUNCTION_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Mapping</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING_LIST__MAPPING = 0;

	/**
	 * The number of structural features of the '<em>Event Mapping List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING_LIST_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING__EVENT_FUNCTIONS = 0;

	/**
	 * The number of structural features of the '<em>Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROL_EVENT_MAPPING__EVENT_FUNCTIONS = EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The feature id for the '<em><b>Event</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROL_EVENT_MAPPING__EVENT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Control Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROL_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING__EVENT_FUNCTIONS = CONTROL_EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The feature id for the '<em><b>Event</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING__EVENT = CONTROL_EVENT_MAPPING__EVENT;

	/**
	 * The feature id for the '<em><b>Control</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING__CONTROL = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>XMA Widget Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING_FEATURE_COUNT = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING__EVENT_FUNCTIONS = CONTROL_EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The feature id for the '<em><b>Event</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING__EVENT = CONTROL_EVENT_MAPPING__EVENT;

	/**
	 * The feature id for the '<em><b>Control</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING__CONTROL = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Gui Element Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING_FEATURE_COUNT = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INIT_EVENT_MAPPING__EVENT_FUNCTIONS = EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The number of structural features of the '<em>Init Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INIT_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTER_EVENT_MAPPING__EVENT_FUNCTIONS = EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The number of structural features of the '<em>Enter Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTER_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEAVE_EVENT_MAPPING__EVENT_FUNCTIONS = EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The number of structural features of the '<em>Leave Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEAVE_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mapping</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING_LIST__MAPPING = 0;

	/**
	 * The number of structural features of the '<em>Data Mapping List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING_LIST_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Control</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING__CONTROL = 0;

	/**
	 * The feature id for the '<em><b>Binding Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING__BINDING_ELEMENT = 1;

	/**
	 * The feature id for the '<em><b>Field</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING__FIELD = 2;

	/**
	 * The number of structural features of the '<em>Data Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PageDefinitionImpl <em>Page Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PageDefinitionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageDefinition()
	 * @generated
	 */
	int PAGE_DEFINITION = 36;

	/**
	 * The number of structural features of the '<em>Page Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_DEFINITION_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PageImpl <em>Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPage()
	 * @generated
	 */
	int PAGE = 37;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__CONTENT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__COMPOSE_LAYOUT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__DATAOBJECTS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__DATA_MAPPING = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__COMMANDS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__EVENTS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__CONDITIONS_BLOCK = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__DEFINITIONS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 8;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XmadslPageImpl <em>Xmadsl Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XmadslPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmadslPage()
	 * @generated
	 */
	int XMADSL_PAGE = 38;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__CONTENT = PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__COMPOSE_LAYOUT = PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DATAOBJECTS = PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DATA_MAPPING = PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__COMMANDS = PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__EVENTS = PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__CONDITIONS_BLOCK = PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DEFINITIONS = PAGE__DEFINITIONS;

	/**
	 * The feature id for the '<em><b>Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__ABSTRACT = PAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__NAME = PAGE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__LABEL_TEXT = PAGE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Page Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__PAGE_PROPERTY = PAGE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Template</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__TEMPLATE = PAGE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DEPENDENCIES = PAGE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Page Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__PAGE_PROPERTIES = PAGE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Extensions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__EXTENSIONS = PAGE_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Xmadsl Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE_FEATURE_COUNT = PAGE_FEATURE_COUNT + 8;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PageCustomizationImpl <em>Page Customization</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PageCustomizationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageCustomization()
	 * @generated
	 */
	int PAGE_CUSTOMIZATION = 39;

	/**
	 * The feature id for the '<em><b>Page To Customize</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_CUSTOMIZATION__PAGE_TO_CUSTOMIZE = PAGE_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Composites</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_CUSTOMIZATION__COMPOSITES = PAGE_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Page Customization</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_CUSTOMIZATION_FEATURE_COUNT = PAGE_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.GuiElementImpl <em>Gui Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.GuiElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElement()
	 * @generated
	 */
	int GUI_ELEMENT = 40;

	/**
	 * The number of structural features of the '<em>Gui Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CompositeImpl <em>Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposite()
	 * @generated
	 */
	int COMPOSITE = 41;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__CONTENT = GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE_FEATURE_COUNT = GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComposedElementImpl <em>Composed Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComposedElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposedElement()
	 * @generated
	 */
	int COMPOSED_ELEMENT = 42;

	/**
	 * The number of structural features of the '<em>Composed Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSED_ELEMENT_FEATURE_COUNT = GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComplexElementImpl <em>Complex Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComplexElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComplexElement()
	 * @generated
	 */
	int COMPLEX_ELEMENT = 43;

	/**
	 * The number of structural features of the '<em>Complex Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPLEX_ELEMENT_FEATURE_COUNT = COMPOSED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SimpleElementImpl <em>Simple Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SimpleElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSimpleElement()
	 * @generated
	 */
	int SIMPLE_ELEMENT = 44;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_ELEMENT__NAME = COMPOSED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_ELEMENT__LAYOUT_PROPERTIES = COMPOSED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_ELEMENT__FIELD_FLAGS = COMPOSED_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Simple Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_ELEMENT_FEATURE_COUNT = COMPOSED_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IDummyImpl <em>IDummy</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IDummyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIDummy()
	 * @generated
	 */
	int IDUMMY = 45;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDUMMY__NAME = 0;

	/**
	 * The number of structural features of the '<em>IDummy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDUMMY_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IGuiElementWithEventImpl <em>IGui Element With Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IGuiElementWithEventImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIGuiElementWithEvent()
	 * @generated
	 */
	int IGUI_ELEMENT_WITH_EVENT = 46;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IGUI_ELEMENT_WITH_EVENT__NAME = IDUMMY__NAME;

	/**
	 * The number of structural features of the '<em>IGui Element With Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT = IDUMMY_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.GuiElementWithEvent_dummyImpl <em>Gui Element With Event dummy</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.GuiElementWithEvent_dummyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElementWithEvent_dummy()
	 * @generated
	 */
	int GUI_ELEMENT_WITH_EVENT_DUMMY = 47;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_WITH_EVENT_DUMMY__NAME = IGUI_ELEMENT_WITH_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Dummy Property</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_WITH_EVENT_DUMMY__DUMMY_PROPERTY = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Gui Element With Event dummy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_WITH_EVENT_DUMMY_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TextImpl <em>Text</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TextImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getText()
	 * @generated
	 */
	int TEXT = 48;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__LAYOUT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__FIELD_FLAGS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Alignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__ALIGNMENT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__CONSTRAINTS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__FORMAT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__TEXT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Text</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComboImpl <em>Combo</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComboImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCombo()
	 * @generated
	 */
	int COMBO = 49;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__LAYOUT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__FIELD_FLAGS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__CONSTRAINTS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__FORMAT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__TEXT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Combo</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CheckBoxImpl <em>Check Box</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CheckBoxImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCheckBox()
	 * @generated
	 */
	int CHECK_BOX = 50;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__LAYOUT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__FIELD_FLAGS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__LABEL_TEXT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__CONSTRAINTS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__FORMAT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__TEXT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Check Box</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ListBoxImpl <em>List Box</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ListBoxImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getListBox()
	 * @generated
	 */
	int LIST_BOX = 51;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_BOX__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_BOX__LAYOUT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_BOX__FIELD_FLAGS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_BOX__TEXT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>List Box</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_BOX_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TreeImpl <em>Tree</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TreeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTree()
	 * @generated
	 */
	int TREE = 52;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE__LAYOUT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE__FIELD_FLAGS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE__TEXT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Tree</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.RadioButtonImpl <em>Radio Button</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.RadioButtonImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRadioButton()
	 * @generated
	 */
	int RADIO_BUTTON = 53;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__LAYOUT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__FIELD_FLAGS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__LABEL_TEXT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__CONSTRAINTS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__FORMAT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__TEXT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Radio Button</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SeperatorImpl <em>Seperator</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SeperatorImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSeperator()
	 * @generated
	 */
	int SEPERATOR = 54;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPERATOR__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPERATOR__LAYOUT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPERATOR__FIELD_FLAGS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Orientation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPERATOR__ORIENTATION = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Seperator</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPERATOR_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LabelImpl <em>Label</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LabelImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabel()
	 * @generated
	 */
	int LABEL = 55;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__NAME = SIMPLE_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__LAYOUT_PROPERTIES = SIMPLE_ELEMENT__LAYOUT_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__FIELD_FLAGS = SIMPLE_ELEMENT__FIELD_FLAGS;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__LABEL_TEXT = SIMPLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Image Uri</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__IMAGE_URI = SIMPLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Image Uri Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__IMAGE_URI_REFERENCE = SIMPLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Alignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__ALIGNMENT = SIMPLE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Label</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_FEATURE_COUNT = SIMPLE_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ImageImpl <em>Image</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ImageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImage()
	 * @generated
	 */
	int IMAGE = 56;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE__NAME = SIMPLE_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE__LAYOUT_PROPERTIES = SIMPLE_ELEMENT__LAYOUT_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE__FIELD_FLAGS = SIMPLE_ELEMENT__FIELD_FLAGS;

	/**
	 * The feature id for the '<em><b>Image Uri</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE__IMAGE_URI = SIMPLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Image Uri Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE__IMAGE_URI_REFERENCE = SIMPLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Image</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_FEATURE_COUNT = SIMPLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ButtonImpl <em>Button</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ButtonImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getButton()
	 * @generated
	 */
	int BUTTON = 57;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__NAME = SIMPLE_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__LAYOUT_PROPERTIES = SIMPLE_ELEMENT__LAYOUT_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__FIELD_FLAGS = SIMPLE_ELEMENT__FIELD_FLAGS;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__LABEL_TEXT = SIMPLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Image Uri</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__IMAGE_URI = SIMPLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Image Uri Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__IMAGE_URI_REFERENCE = SIMPLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Alignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__ALIGNMENT = SIMPLE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Button</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON_FEATURE_COUNT = SIMPLE_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ICompositeImpl <em>IComposite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ICompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIComposite()
	 * @generated
	 */
	int ICOMPOSITE = 58;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPOSITE__CONTENT = COMPOSITE__CONTENT;

	/**
	 * The number of structural features of the '<em>IComposite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPOSITE_FEATURE_COUNT = COMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XmadslCompositeImpl <em>Xmadsl Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XmadslCompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmadslComposite()
	 * @generated
	 */
	int XMADSL_COMPOSITE = 59;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__CONTENT = ICOMPOSITE__CONTENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__NAME = ICOMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__LAYOUT_PROPERTIES = ICOMPOSITE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__FIELD_FLAGS = ICOMPOSITE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__LABEL_TEXT = ICOMPOSITE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Scrollable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__SCROLLABLE = ICOMPOSITE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Horizontal Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__HORIZONTAL_PARTITIONING = ICOMPOSITE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Vertical Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__VERTICAL_PARTITIONING = ICOMPOSITE_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Xmadsl Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE_FEATURE_COUNT = ICOMPOSITE_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedCompositeImpl <em>Referenced Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedCompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedComposite()
	 * @generated
	 */
	int REFERENCED_COMPOSITE = 60;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_COMPOSITE__CONTENT = ICOMPOSITE__CONTENT;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_COMPOSITE__REFERENCE = ICOMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_COMPOSITE_FEATURE_COUNT = ICOMPOSITE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TableImpl <em>Table</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTable()
	 * @generated
	 */
	int TABLE = 61;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__LAYOUT_PROPERTIES = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__FIELD_FLAGS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__OBJECT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Key</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__KEY = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Column Min Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__COLUMN_MIN_WIDTH = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Multi Selection</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__MULTI_SELECTION = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Check Selection</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__CHECK_SELECTION = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Columns</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__COLUMNS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Table</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 9;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TableColumnImpl <em>Table Column</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TableColumnImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTableColumn()
	 * @generated
	 */
	int TABLE_COLUMN = 62;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__OBJECT = 0;

	/**
	 * The feature id for the '<em><b>Attribute Holder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__ATTRIBUTE_HOLDER = 1;

	/**
	 * The feature id for the '<em><b>Visible</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__VISIBLE = 2;

	/**
	 * The feature id for the '<em><b>Custom Label Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__CUSTOM_LABEL_TEXT = 3;

	/**
	 * The feature id for the '<em><b>Align</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__ALIGN = 4;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__WIDTH = 5;

	/**
	 * The feature id for the '<em><b>Relative Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__RELATIVE_WIDTH = 6;

	/**
	 * The feature id for the '<em><b>Min Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__MIN_WIDTH = 7;

	/**
	 * The feature id for the '<em><b>Max Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__MAX_WIDTH = 8;

	/**
	 * The number of structural features of the '<em>Table Column</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN_FEATURE_COUNT = 9;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ITabFolderImpl <em>ITab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ITabFolderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getITabFolder()
	 * @generated
	 */
	int ITAB_FOLDER = 63;

	/**
	 * The feature id for the '<em><b>Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_FOLDER__TAB_ITEMS = COMPLEX_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ITab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_FOLDER_FEATURE_COUNT = COMPLEX_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabFolderImpl <em>Tab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabFolderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabFolder()
	 * @generated
	 */
	int TAB_FOLDER = 64;

	/**
	 * The feature id for the '<em><b>Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER__TAB_ITEMS = ITAB_FOLDER__TAB_ITEMS;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER__NAME = ITAB_FOLDER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER__LAYOUT_PROPERTIES = ITAB_FOLDER_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER__FIELD_FLAGS = ITAB_FOLDER_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Tab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER_FEATURE_COUNT = ITAB_FOLDER_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedTabFolderImpl <em>Referenced Tab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedTabFolderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedTabFolder()
	 * @generated
	 */
	int REFERENCED_TAB_FOLDER = 65;

	/**
	 * The feature id for the '<em><b>Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_FOLDER__TAB_ITEMS = ITAB_FOLDER__TAB_ITEMS;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_FOLDER__REFERENCE = ITAB_FOLDER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Tab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_FOLDER_FEATURE_COUNT = ITAB_FOLDER_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ITabPageImpl <em>ITab Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ITabPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getITabPage()
	 * @generated
	 */
	int ITAB_PAGE = 66;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__CONTENT = PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__COMPOSE_LAYOUT = PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__DATAOBJECTS = PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__DATA_MAPPING = PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__COMMANDS = PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__EVENTS = PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__CONDITIONS_BLOCK = PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__DEFINITIONS = PAGE__DEFINITIONS;

	/**
	 * The number of structural features of the '<em>ITab Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE_FEATURE_COUNT = PAGE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabPageImpl <em>Tab Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabPage()
	 * @generated
	 */
	int TAB_PAGE = 67;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__CONTENT = ITAB_PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__COMPOSE_LAYOUT = ITAB_PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__DATAOBJECTS = ITAB_PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__DATA_MAPPING = ITAB_PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__COMMANDS = ITAB_PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__EVENTS = ITAB_PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__CONDITIONS_BLOCK = ITAB_PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__DEFINITIONS = ITAB_PAGE__DEFINITIONS;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__NAME = ITAB_PAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__LABEL_TEXT = ITAB_PAGE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Scrollable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__SCROLLABLE = ITAB_PAGE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__FIELD_FLAGS = ITAB_PAGE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Page Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__PAGE_PROPERTIES = ITAB_PAGE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Tab Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE_FEATURE_COUNT = ITAB_PAGE_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedTabPageImpl <em>Referenced Tab Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedTabPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedTabPage()
	 * @generated
	 */
	int REFERENCED_TAB_PAGE = 68;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__CONTENT = ITAB_PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__COMPOSE_LAYOUT = ITAB_PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__DATAOBJECTS = ITAB_PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__DATA_MAPPING = ITAB_PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__COMMANDS = ITAB_PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__EVENTS = ITAB_PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__CONDITIONS_BLOCK = ITAB_PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__DEFINITIONS = ITAB_PAGE__DEFINITIONS;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__REFERENCE = ITAB_PAGE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Tab Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE_FEATURE_COUNT = ITAB_PAGE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LayoutDataPropertyImpl <em>Layout Data Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LayoutDataPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLayoutDataProperty()
	 * @generated
	 */
	int LAYOUT_DATA_PROPERTY = 69;

	/**
	 * The number of structural features of the '<em>Layout Data Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYOUT_DATA_PROPERTY_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PagePropertyImpl <em>Page Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PagePropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageProperty()
	 * @generated
	 */
	int PAGE_PROPERTY = 70;

	/**
	 * The number of structural features of the '<em>Page Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_PROPERTY_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.HeightPropertyImpl <em>Height Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.HeightPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getHeightProperty()
	 * @generated
	 */
	int HEIGHT_PROPERTY = 71;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HEIGHT_PROPERTY__HEIGHT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Height Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HEIGHT_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.WidthPropertyImpl <em>Width Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.WidthPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getWidthProperty()
	 * @generated
	 */
	int WIDTH_PROPERTY = 72;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIDTH_PROPERTY__WIDTH = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Width Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIDTH_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AttachmentPropertyImpl <em>Attachment Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AttachmentPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentProperty()
	 * @generated
	 */
	int ATTACHMENT_PROPERTY = 89;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyImpl <em>Style Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleProperty()
	 * @generated
	 */
	int STYLE_PROPERTY = 73;

	/**
	 * The feature id for the '<em><b>Styles</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY__STYLES = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TitleButtonsPropertyImpl <em>Title Buttons Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TitleButtonsPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTitleButtonsProperty()
	 * @generated
	 */
	int TITLE_BUTTONS_PROPERTY = 74;

	/**
	 * The feature id for the '<em><b>Button</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TITLE_BUTTONS_PROPERTY__BUTTON = PAGE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Title Buttons Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TITLE_BUTTONS_PROPERTY_FEATURE_COUNT = PAGE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ResizeablePropertyImpl <em>Resizeable Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ResizeablePropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getResizeableProperty()
	 * @generated
	 */
	int RESIZEABLE_PROPERTY = 75;

	/**
	 * The feature id for the '<em><b>Resizeable</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RESIZEABLE_PROPERTY__RESIZEABLE = PAGE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Resizeable Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RESIZEABLE_PROPERTY_FEATURE_COUNT = PAGE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AlignmentPropertyImpl <em>Alignment Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AlignmentPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAlignmentProperty()
	 * @generated
	 */
	int ALIGNMENT_PROPERTY = 76;

	/**
	 * The feature id for the '<em><b>HAlignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIGNMENT_PROPERTY__HALIGNMENT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>VAlignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIGNMENT_PROPERTY__VALIGNMENT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Alignment Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIGNMENT_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComposeDataImpl <em>Compose Data</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComposeDataImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposeData()
	 * @generated
	 */
	int COMPOSE_DATA = 77;

	/**
	 * The feature id for the '<em><b>Tabulators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__TABULATORS = 0;

	/**
	 * The feature id for the '<em><b>Referenced Tabulator</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__REFERENCED_TABULATOR = 1;

	/**
	 * The feature id for the '<em><b>Cell Widths</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__CELL_WIDTHS = 2;

	/**
	 * The feature id for the '<em><b>Cell Widths Count</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__CELL_WIDTHS_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Cell Heights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__CELL_HEIGHTS = 4;

	/**
	 * The feature id for the '<em><b>Spacing</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__SPACING = 5;

	/**
	 * The feature id for the '<em><b>Margin</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__MARGIN = 6;

	/**
	 * The number of structural features of the '<em>Compose Data</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA_FEATURE_COUNT = 7;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PaddingWidthImpl <em>Padding Width</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PaddingWidthImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPaddingWidth()
	 * @generated
	 */
	int PADDING_WIDTH = 78;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PADDING_WIDTH__WIDTH = 0;

	/**
	 * The number of structural features of the '<em>Padding Width</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PADDING_WIDTH_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IAttachmentPositionImpl <em>IAttachment Position</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IAttachmentPositionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIAttachmentPosition()
	 * @generated
	 */
	int IATTACHMENT_POSITION = 79;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IElementOnWhichCanBeAttachedImpl <em>IElement On Which Can Be Attached</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IElementOnWhichCanBeAttachedImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIElementOnWhichCanBeAttached()
	 * @generated
	 */
	int IELEMENT_ON_WHICH_CAN_BE_ATTACHED = 93;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabulatorPositionImpl <em>Tabulator Position</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabulatorPositionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorPosition()
	 * @generated
	 */
	int TABULATOR_POSITION = 85;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AttachmentPositionImpl <em>Attachment Position</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AttachmentPositionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentPosition()
	 * @generated
	 */
	int ATTACHMENT_POSITION = 86;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ContentImpl <em>Content</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ContentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getContent()
	 * @generated
	 */
	int CONTENT = 87;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AttachmentSpecificationImpl <em>Attachment Specification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AttachmentSpecificationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentSpecification()
	 * @generated
	 */
	int ATTACHMENT_SPECIFICATION = 90;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ParentAttachmentImpl <em>Parent Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ParentAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getParentAttachment()
	 * @generated
	 */
	int PARENT_ATTACHMENT = 92;

	/**
	 * The number of structural features of the '<em>IElement On Which Can Be Attached</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__NAME = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__WIDTH = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__RELATIVE = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__OFFSET = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Referenced Position</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__REFERENCED_POSITION = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Additional Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__ADDITIONAL_OFFSET = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>IAttachment Position</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION_FEATURE_COUNT = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabulatorDefinitionImpl <em>Tabulator Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabulatorDefinitionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorDefinition()
	 * @generated
	 */
	int TABULATOR_DEFINITION = 80;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_DEFINITION__NAME = 0;

	/**
	 * The feature id for the '<em><b>Tabulators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_DEFINITION__TABULATORS = 1;

	/**
	 * The number of structural features of the '<em>Tabulator Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_DEFINITION_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StringDefinitionImpl <em>String Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StringDefinitionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStringDefinition()
	 * @generated
	 */
	int STRING_DEFINITION = 81;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_DEFINITION__NAME = 0;

	/**
	 * The feature id for the '<em><b>Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_DEFINITION__TEXT = 1;

	/**
	 * The number of structural features of the '<em>String Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_DEFINITION_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IntegerDefinitionImpl <em>Integer Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IntegerDefinitionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIntegerDefinition()
	 * @generated
	 */
	int INTEGER_DEFINITION = 82;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_DEFINITION__NAME = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_DEFINITION__VALUE = 1;

	/**
	 * The number of structural features of the '<em>Integer Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_DEFINITION_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ImageUriImpl <em>Image Uri</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ImageUriImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImageUri()
	 * @generated
	 */
	int IMAGE_URI = 83;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_URI__NAME = 0;

	/**
	 * The feature id for the '<em><b>Source</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_URI__SOURCE = 1;

	/**
	 * The number of structural features of the '<em>Image Uri</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_URI_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DefinitionsImpl <em>Definitions</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DefinitionsImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDefinitions()
	 * @generated
	 */
	int DEFINITIONS = 84;

	/**
	 * The feature id for the '<em><b>Strings</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__STRINGS = 0;

	/**
	 * The feature id for the '<em><b>Integers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__INTEGERS = 1;

	/**
	 * The feature id for the '<em><b>Image Sources</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__IMAGE_SOURCES = 2;

	/**
	 * The feature id for the '<em><b>Positions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__POSITIONS = 3;

	/**
	 * The feature id for the '<em><b>Tabulators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__TABULATORS = 4;

	/**
	 * The number of structural features of the '<em>Definitions</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS_FEATURE_COUNT = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__NAME = IATTACHMENT_POSITION__NAME;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__WIDTH = IATTACHMENT_POSITION__WIDTH;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__RELATIVE = IATTACHMENT_POSITION__RELATIVE;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__OFFSET = IATTACHMENT_POSITION__OFFSET;

	/**
	 * The feature id for the '<em><b>Referenced Position</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__REFERENCED_POSITION = IATTACHMENT_POSITION__REFERENCED_POSITION;

	/**
	 * The feature id for the '<em><b>Additional Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__ADDITIONAL_OFFSET = IATTACHMENT_POSITION__ADDITIONAL_OFFSET;

	/**
	 * The feature id for the '<em><b>Floating Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__FLOATING_POSITION = IATTACHMENT_POSITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Filling Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__FILLING_POSITION = IATTACHMENT_POSITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Delta Specification</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__DELTA_SPECIFICATION = IATTACHMENT_POSITION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Tabulator Position</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION_FEATURE_COUNT = IATTACHMENT_POSITION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__NAME = IATTACHMENT_POSITION__NAME;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__WIDTH = IATTACHMENT_POSITION__WIDTH;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__RELATIVE = IATTACHMENT_POSITION__RELATIVE;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__OFFSET = IATTACHMENT_POSITION__OFFSET;

	/**
	 * The feature id for the '<em><b>Referenced Position</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__REFERENCED_POSITION = IATTACHMENT_POSITION__REFERENCED_POSITION;

	/**
	 * The feature id for the '<em><b>Additional Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__ADDITIONAL_OFFSET = IATTACHMENT_POSITION__ADDITIONAL_OFFSET;

	/**
	 * The number of structural features of the '<em>Attachment Position</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION_FEATURE_COUNT = IATTACHMENT_POSITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Widget Set Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__WIDGET_SET_ITEMS = 0;

	/**
	 * The feature id for the '<em><b>Container Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__CONTAINER_ITEMS = 1;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__ELEMENTS = 2;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__COMPOSE_LAYOUT = 3;

	/**
	 * The number of structural features of the '<em>Content</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SetOfGuiElementsImpl <em>Set Of Gui Elements</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SetOfGuiElementsImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSetOfGuiElements()
	 * @generated
	 */
	int SET_OF_GUI_ELEMENTS = 88;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_OF_GUI_ELEMENTS__ELEMENTS = 0;

	/**
	 * The number of structural features of the '<em>Set Of Gui Elements</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_OF_GUI_ELEMENTS_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Own Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_PROPERTY__OWN_POSITION = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_PROPERTY__ATTACHMENT_SPECIFICATION = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Attachment Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Attachment Specification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_SPECIFICATION_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.NoneAttachmentImpl <em>None Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.NoneAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getNoneAttachment()
	 * @generated
	 */
	int NONE_ATTACHMENT = 91;

	/**
	 * The feature id for the '<em><b>None</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NONE_ATTACHMENT__NONE = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>None Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NONE_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Distance</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__DISTANCE = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__RELATIVE = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__OFFSET = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Parent Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SiblingAttachmentImpl <em>Sibling Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SiblingAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSiblingAttachment()
	 * @generated
	 */
	int SIBLING_ATTACHMENT = 94;

	/**
	 * The feature id for the '<em><b>Sibling Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT__SIBLING_POSITION = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT__OFFSET = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Sibling Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AbsoluteSiblingAttachmentImpl <em>Absolute Sibling Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AbsoluteSiblingAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAbsoluteSiblingAttachment()
	 * @generated
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT = 95;

	/**
	 * The feature id for the '<em><b>Sibling Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT__SIBLING_POSITION = SIBLING_ATTACHMENT__SIBLING_POSITION;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT__OFFSET = SIBLING_ATTACHMENT__OFFSET;

	/**
	 * The feature id for the '<em><b>Sibling</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT__SIBLING = SIBLING_ATTACHMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Part</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT__FIELD_PART = SIBLING_ATTACHMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Absolute Sibling Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT_FEATURE_COUNT = SIBLING_ATTACHMENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.RelativeSiblingAttachmentImpl <em>Relative Sibling Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.RelativeSiblingAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRelativeSiblingAttachment()
	 * @generated
	 */
	int RELATIVE_SIBLING_ATTACHMENT = 96;

	/**
	 * The feature id for the '<em><b>Sibling Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_SIBLING_ATTACHMENT__SIBLING_POSITION = SIBLING_ATTACHMENT__SIBLING_POSITION;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_SIBLING_ATTACHMENT__OFFSET = SIBLING_ATTACHMENT__OFFSET;

	/**
	 * The feature id for the '<em><b>Relative Sibling</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_SIBLING_ATTACHMENT__RELATIVE_SIBLING = SIBLING_ATTACHMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Relative Sibling Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_SIBLING_ATTACHMENT_FEATURE_COUNT = SIBLING_ATTACHMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabulatorAttachmentImpl <em>Tabulator Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabulatorAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorAttachment()
	 * @generated
	 */
	int TABULATOR_ATTACHMENT = 97;

	/**
	 * The feature id for the '<em><b>Tab Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_ATTACHMENT__TAB_INDEX = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Sibling</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_ATTACHMENT__SIBLING = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_ATTACHMENT__OFFSET = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Tabulator Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.OffsetImpl <em>Offset</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.OffsetImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getOffset()
	 * @generated
	 */
	int OFFSET = 98;

	/**
	 * The feature id for the '<em><b>Negative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OFFSET__NEGATIVE = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OFFSET__VALUE = 1;

	/**
	 * The number of structural features of the '<em>Offset</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OFFSET_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldVariableImpl <em>Field Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldVariableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldVariable()
	 * @generated
	 */
	int FIELD_VARIABLE = 99;

	/**
	 * The feature id for the '<em><b>Field</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_VARIABLE__FIELD = CorePackage.VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_VARIABLE__ACCESS = CorePackage.VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Field Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_VARIABLE_FEATURE_COUNT = CorePackage.VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XmaVariableImpl <em>Xma Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XmaVariableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmaVariable()
	 * @generated
	 */
	int XMA_VARIABLE = 100;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_VARIABLE__REFERENCE = CorePackage.VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_VARIABLE__ACCESS = CorePackage.VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Xma Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_VARIABLE_FEATURE_COUNT = CorePackage.VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizeComponentModelImpl <em>Customize Component Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizeComponentModelImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeComponentModel()
	 * @generated
	 */
	int CUSTOMIZE_COMPONENT_MODEL = 101;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL__IMPORTS = 0;

	/**
	 * The feature id for the '<em><b>Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL__COMPONENT = 1;

	/**
	 * The feature id for the '<em><b>Customizations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL__CUSTOMIZATIONS = 2;

	/**
	 * The number of structural features of the '<em>Customize Component Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfGuiElementImpl <em>Customization Of Gui Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizationOfGuiElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfGuiElement()
	 * @generated
	 */
	int CUSTOMIZATION_OF_GUI_ELEMENT = 102;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GUI_ELEMENT__PAGE = 0;

	/**
	 * The number of structural features of the '<em>Customization Of Gui Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfCompositeImpl <em>Customization Of Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizationOfCompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfComposite()
	 * @generated
	 */
	int CUSTOMIZATION_OF_COMPOSITE = 103;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__PAGE = CUSTOMIZATION_OF_GUI_ELEMENT__PAGE;

	/**
	 * The feature id for the '<em><b>Composite</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__COMPOSITE = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__COMPOSE_LAYOUT = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Added Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__ADDED_ELEMENTS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Vertical Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__VERTICAL_PARTITIONING = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Horizontal Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__HORIZONTAL_PARTITIONING = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Added Widget Set Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__ADDED_WIDGET_SET_ITEMS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Customization Of Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE_FEATURE_COUNT = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfTabFolderImpl <em>Customization Of Tab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizationOfTabFolderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfTabFolder()
	 * @generated
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER = 104;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER__PAGE = CUSTOMIZATION_OF_GUI_ELEMENT__PAGE;

	/**
	 * The feature id for the '<em><b>Tab Folder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER__TAB_FOLDER = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Added Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER__ADDED_TAB_ITEMS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Customization Of Tab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER_FEATURE_COUNT = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IElementWithLayoutDataImpl <em>IElement With Layout Data</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IElementWithLayoutDataImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIElementWithLayoutData()
	 * @generated
	 */
	int IELEMENT_WITH_LAYOUT_DATA = 105;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA__NAME = IDUMMY__NAME;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA__LAYOUT_PROPERTIES = IDUMMY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA__FIELD_FLAGS = IDUMMY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>IElement With Layout Data</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT = IDUMMY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StyleSpecificationImpl <em>Style Specification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StyleSpecificationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSpecification()
	 * @generated
	 */
	int STYLE_SPECIFICATION = 106;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION__NAME = CorePackage.STYLE__NAME;

	/**
	 * The feature id for the '<em><b>Model Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION__MODEL_ELEMENTS = CorePackage.STYLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Style Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION__STYLE_PROPERTY = CorePackage.STYLE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Style Specification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION_FEATURE_COUNT = CorePackage.STYLE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ModelElementSpecificationImpl <em>Model Element Specification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ModelElementSpecificationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getModelElementSpecification()
	 * @generated
	 */
	int MODEL_ELEMENT_SPECIFICATION = 107;

	/**
	 * The feature id for the '<em><b>Model Element</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT_SPECIFICATION__MODEL_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>Combined Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT_SPECIFICATION__COMBINED_ELEMENTS = 1;

	/**
	 * The number of structural features of the '<em>Model Element Specification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT_SPECIFICATION_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SelectedModelElementImpl <em>Selected Model Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SelectedModelElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSelectedModelElement()
	 * @generated
	 */
	int SELECTED_MODEL_ELEMENT = 108;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT__TYPE = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT__NAME = 1;

	/**
	 * The feature id for the '<em><b>First Child</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT__FIRST_CHILD = 2;

	/**
	 * The feature id for the '<em><b>Middle Child</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT__MIDDLE_CHILD = 3;

	/**
	 * The feature id for the '<em><b>Last Child</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT__LAST_CHILD = 4;

	/**
	 * The number of structural features of the '<em>Selected Model Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CombinedModelElementImpl <em>Combined Model Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CombinedModelElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCombinedModelElement()
	 * @generated
	 */
	int COMBINED_MODEL_ELEMENT = 109;

	/**
	 * The feature id for the '<em><b>Child</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_MODEL_ELEMENT__CHILD = 0;

	/**
	 * The feature id for the '<em><b>Next</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_MODEL_ELEMENT__NEXT = 1;

	/**
	 * The feature id for the '<em><b>Model Element</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_MODEL_ELEMENT__MODEL_ELEMENT = 2;

	/**
	 * The number of structural features of the '<em>Combined Model Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_MODEL_ELEMENT_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StyleSpecificationPropertyImpl <em>Style Specification Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StyleSpecificationPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSpecificationProperty()
	 * @generated
	 */
	int STYLE_SPECIFICATION_PROPERTY = 110;

	/**
	 * The number of structural features of the '<em>Style Specification Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyFieldPartImpl <em>Style Property Field Part</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyFieldPartImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyFieldPart()
	 * @generated
	 */
	int STYLE_PROPERTY_FIELD_PART = 111;

	/**
	 * The feature id for the '<em><b>Parts</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FIELD_PART__PARTS = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Field Part</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FIELD_PART_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyLeftImpl <em>Style Property Left</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyLeftImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyLeft()
	 * @generated
	 */
	int STYLE_PROPERTY_LEFT = 112;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_LEFT__ATTACHMENT_SPECIFICATION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Left</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_LEFT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyRightImpl <em>Style Property Right</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyRightImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyRight()
	 * @generated
	 */
	int STYLE_PROPERTY_RIGHT = 113;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_RIGHT__ATTACHMENT_SPECIFICATION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Right</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_RIGHT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTopImpl <em>Style Property Top</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyTopImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTop()
	 * @generated
	 */
	int STYLE_PROPERTY_TOP = 114;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TOP__ATTACHMENT_SPECIFICATION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Top</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TOP_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBottomImpl <em>Style Property Bottom</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyBottomImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBottom()
	 * @generated
	 */
	int STYLE_PROPERTY_BOTTOM = 115;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BOTTOM__ATTACHMENT_SPECIFICATION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Bottom</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BOTTOM_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidthImpl <em>Style Property Width</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidthImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidth()
	 * @generated
	 */
	int STYLE_PROPERTY_WIDTH = 116;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDTH__WIDTH = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Width</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDTH_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyHeightImpl <em>Style Property Height</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyHeightImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyHeight()
	 * @generated
	 */
	int STYLE_PROPERTY_HEIGHT = 117;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_HEIGHT__HEIGHT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Height</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_HEIGHT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTabulatorImpl <em>Style Property Tabulator</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyTabulatorImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTabulator()
	 * @generated
	 */
	int STYLE_PROPERTY_TABULATOR = 118;

	/**
	 * The feature id for the '<em><b>Tabulators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TABULATOR__TABULATORS = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Tabulator</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TABULATOR_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBorderImpl <em>Style Property Border</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyBorderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBorder()
	 * @generated
	 */
	int STYLE_PROPERTY_BORDER = 119;

	/**
	 * The feature id for the '<em><b>None Border</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BORDER__NONE_BORDER = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Border</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BORDER_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyForegroundColorImpl <em>Style Property Foreground Color</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyForegroundColorImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyForegroundColor()
	 * @generated
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR = 120;

	/**
	 * The feature id for the '<em><b>Red</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR__RED = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Blue</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR__BLUE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Green</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR__GREEN = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Color ID</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR__COLOR_ID = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Style Property Foreground Color</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBackgroundColorImpl <em>Style Property Background Color</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyBackgroundColorImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBackgroundColor()
	 * @generated
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR = 121;

	/**
	 * The feature id for the '<em><b>Red</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR__RED = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Blue</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR__BLUE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Green</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR__GREEN = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Color ID</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR__COLOR_ID = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Style Property Background Color</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidgetVariantImpl <em>Style Property Widget Variant</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidgetVariantImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidgetVariant()
	 * @generated
	 */
	int STYLE_PROPERTY_WIDGET_VARIANT = 122;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDGET_VARIANT__NAME = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Widget Variant</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDGET_VARIANT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.EventType <em>Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.EventType
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventType()
	 * @generated
	 */
	int EVENT_TYPE = 123;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.PredefinedCommand <em>Predefined Command</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.PredefinedCommand
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPredefinedCommand()
	 * @generated
	 */
	int PREDEFINED_COMMAND = 124;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.AttachmentOwnPosition <em>Attachment Own Position</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.AttachmentOwnPosition
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentOwnPosition()
	 * @generated
	 */
	int ATTACHMENT_OWN_POSITION = 125;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.RelativeSibling <em>Relative Sibling</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.RelativeSibling
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRelativeSibling()
	 * @generated
	 */
	int RELATIVE_SIBLING = 126;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.AttachmentSiblingPosition <em>Attachment Sibling Position</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.AttachmentSiblingPosition
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentSiblingPosition()
	 * @generated
	 */
	int ATTACHMENT_SIBLING_POSITION = 127;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.ContentAlignment <em>Content Alignment</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.ContentAlignment
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getContentAlignment()
	 * @generated
	 */
	int CONTENT_ALIGNMENT = 128;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.HorizontalAlignment <em>Horizontal Alignment</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.HorizontalAlignment
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getHorizontalAlignment()
	 * @generated
	 */
	int HORIZONTAL_ALIGNMENT = 129;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.VerticalAlignment <em>Vertical Alignment</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.VerticalAlignment
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVerticalAlignment()
	 * @generated
	 */
	int VERTICAL_ALIGNMENT = 130;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.Orientation <em>Orientation</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.Orientation
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getOrientation()
	 * @generated
	 */
	int ORIENTATION = 131;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.ControlType <em>Control Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.ControlType
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getControlType()
	 * @generated
	 */
	int CONTROL_TYPE = 132;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.FieldPart <em>Field Part</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.FieldPart
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldPart()
	 * @generated
	 */
	int FIELD_PART = 133;


	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.TitleButton <em>Title Button</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.TitleButton
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTitleButton()
	 * @generated
	 */
	int TITLE_BUTTON = 134;


	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.StyleSelectorType <em>Style Selector Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.StyleSelectorType
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSelectorType()
	 * @generated
	 */
	int STYLE_SELECTOR_TYPE = 135;


	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.DataBindingElement <em>Data Binding Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Binding Element</em>'.
	 * @see org.openxma.dsl.pom.model.DataBindingElement
	 * @generated
	 */
	EClass getDataBindingElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldFlag <em>Field Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Flag</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFlag
	 * @generated
	 */
	EClass getFieldFlag();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.FieldFlag#getExpression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expression</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFlag#getExpression()
	 * @see #getFieldFlag()
	 * @generated
	 */
	EReference getFieldFlag_Expression();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EnabledFlag <em>Enabled Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Enabled Flag</em>'.
	 * @see org.openxma.dsl.pom.model.EnabledFlag
	 * @generated
	 */
	EClass getEnabledFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.MandatoryFlag <em>Mandatory Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mandatory Flag</em>'.
	 * @see org.openxma.dsl.pom.model.MandatoryFlag
	 * @generated
	 */
	EClass getMandatoryFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.VisibleFlag <em>Visible Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Visible Flag</em>'.
	 * @see org.openxma.dsl.pom.model.VisibleFlag
	 * @generated
	 */
	EClass getVisibleFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CollapsedFlag <em>Collapsed Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Collapsed Flag</em>'.
	 * @see org.openxma.dsl.pom.model.CollapsedFlag
	 * @generated
	 */
	EClass getCollapsedFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EditableFlag <em>Editable Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Editable Flag</em>'.
	 * @see org.openxma.dsl.pom.model.EditableFlag
	 * @generated
	 */
	EClass getEditableFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.LabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.LabelText
	 * @generated
	 */
	EClass getLabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.LabelText#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label</em>'.
	 * @see org.openxma.dsl.pom.model.LabelText#getLabel()
	 * @see #getLabelText()
	 * @generated
	 */
	EAttribute getLabelText_Label();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.LabelText#getReferencedLabelString <em>Referenced Label String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Label String</em>'.
	 * @see org.openxma.dsl.pom.model.LabelText#getReferencedLabelString()
	 * @see #getLabelText()
	 * @generated
	 */
	EReference getLabelText_ReferencedLabelString();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ObjectProperty <em>Object Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Object Property</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty
	 * @generated
	 */
	EClass getObjectProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ObjectProperty#isPublic <em>Public</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Public</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#isPublic()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EAttribute getObjectProperty_Public();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ObjectProperty#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#getType()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EReference getObjectProperty_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ObjectProperty#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#getName()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EAttribute getObjectProperty_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ObjectProperty#getReadOnly <em>Read Only</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Read Only</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#getReadOnly()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EReference getObjectProperty_ReadOnly();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ObjectProperty#getRequired <em>Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Required</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#getRequired()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EReference getObjectProperty_Required();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Component <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component</em>'.
	 * @see org.openxma.dsl.pom.model.Component
	 * @generated
	 */
	EClass getComponent();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Component#getXmaComponent <em>Xma Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Component</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getXmaComponent()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_XmaComponent();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Component#getStyleProperty <em>Style Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Style Property</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getStyleProperty()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_StyleProperty();

	/**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.Component#getDependencies <em>Dependencies</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Dependencies</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getDependencies()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Dependencies();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Component#getComponentProperties <em>Component Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Component Properties</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getComponentProperties()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_ComponentProperties();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Component#getDataobjects <em>Dataobjects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Dataobjects</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getDataobjects()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Dataobjects();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Component#getCustomizedAttributeList <em>Customized Attribute List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Customized Attribute List</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getCustomizedAttributeList()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_CustomizedAttributeList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Component#getCommands <em>Commands</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Commands</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getCommands()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Commands();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Component#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Events</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getEvents()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Events();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Component#getConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Conditions Block</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getConditionsBlock()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_ConditionsBlock();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Component#getPages <em>Pages</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Pages</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getPages()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Pages();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Component#getDefinitions <em>Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Definitions</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getDefinitions()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Definitions();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedXMAGuiElement <em>Referenced XMA Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced XMA Gui Element</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAGuiElement
	 * @generated
	 */
	EClass getReferencedXMAGuiElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedXMAPage <em>Referenced XMA Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced XMA Page</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage
	 * @generated
	 */
	EClass getReferencedXMAPage();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedXMAPage#getXmaPage <em>Xma Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Page</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage#getXmaPage()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_XmaPage();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ReferencedXMAPage#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage#getFieldFlags()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_FieldFlags();

	/**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.ReferencedXMAPage#getDependencies <em>Dependencies</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Dependencies</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage#getDependencies()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_Dependencies();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ReferencedXMAPage#getGrayLogic <em>Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Gray Logic</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage#getGrayLogic()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_GrayLogic();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite <em>Referenced XMA Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced XMA Composite</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite
	 * @generated
	 */
	EClass getReferencedXMAComposite();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#isReferencingPageComposite <em>Referencing Page Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Referencing Page Composite</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#isReferencingPageComposite()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EAttribute getReferencedXMAComposite_ReferencingPageComposite();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#isVerticalPartitioning <em>Vertical Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Vertical Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#isVerticalPartitioning()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EAttribute getReferencedXMAComposite_VerticalPartitioning();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#isHorizontalPartitioning <em>Horizontal Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Horizontal Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#isHorizontalPartitioning()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EAttribute getReferencedXMAComposite_HorizontalPartitioning();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#getXmaComposite <em>Xma Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Composite</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#getXmaComposite()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EReference getReferencedXMAComposite_XmaComposite();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#getFieldFlags()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EReference getReferencedXMAComposite_FieldFlags();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.GrayLogic <em>Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gray Logic</em>'.
	 * @see org.openxma.dsl.pom.model.GrayLogic
	 * @generated
	 */
	EClass getGrayLogic();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.GrayLogic#getWidgetGrayLogic <em>Widget Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Widget Gray Logic</em>'.
	 * @see org.openxma.dsl.pom.model.GrayLogic#getWidgetGrayLogic()
	 * @see #getGrayLogic()
	 * @generated
	 */
	EReference getGrayLogic_WidgetGrayLogic();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XMAWidgetGrayLogic <em>XMA Widget Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>XMA Widget Gray Logic</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetGrayLogic
	 * @generated
	 */
	EClass getXMAWidgetGrayLogic();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.XMAWidgetGrayLogic#getXmaWidget <em>Xma Widget</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Widget</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetGrayLogic#getXmaWidget()
	 * @see #getXMAWidgetGrayLogic()
	 * @generated
	 */
	EReference getXMAWidgetGrayLogic_XmaWidget();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.XMAWidgetGrayLogic#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetGrayLogic#getFieldFlags()
	 * @see #getXMAWidgetGrayLogic()
	 * @generated
	 */
	EReference getXMAWidgetGrayLogic_FieldFlags();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.DataObjectVariable <em>Data Object Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Object Variable</em>'.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable
	 * @generated
	 */
	EClass getDataObjectVariable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.DataObjectVariable#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type</em>'.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable#getType()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EReference getDataObjectVariable_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.DataObjectVariable#isIsCollection <em>Is Collection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Collection</em>'.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable#isIsCollection()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EAttribute getDataObjectVariable_IsCollection();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.DataObjectVariable#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable#getName()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EAttribute getDataObjectVariable_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.DataObjectVariable#getCustomizedAttributes <em>Customized Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Customized Attributes</em>'.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable#getCustomizedAttributes()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EReference getDataObjectVariable_CustomizedAttributes();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizeAttributeList <em>Customize Attribute List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customize Attribute List</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeAttributeList
	 * @generated
	 */
	EClass getCustomizeAttributeList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeAttributeList#getCustomizedAttributes <em>Customized Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Customized Attributes</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeAttributeList#getCustomizedAttributes()
	 * @see #getCustomizeAttributeList()
	 * @generated
	 */
	EReference getCustomizeAttributeList_CustomizedAttributes();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizedAttribute <em>Customized Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customized Attribute</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizedAttribute
	 * @generated
	 */
	EClass getCustomizedAttribute();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CustomizedAttribute#getField <em>Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Field</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizedAttribute#getField()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_Field();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizedAttribute#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizedAttribute#getConstraints()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CustomizedAttribute#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizedAttribute#getFormat()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_Format();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizedAttribute#getAttributFlag <em>Attribut Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attribut Flag</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizedAttribute#getAttributFlag()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_AttributFlag();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizedAttribute#getAttributFlags <em>Attribut Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attribut Flags</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizedAttribute#getAttributFlags()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_AttributFlags();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CustomizedAttribute#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizedAttribute#getTextProperties()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.TextProperties
	 * @generated
	 */
	EClass getTextProperties();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TextProperties#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.TextProperties#getLabelText()
	 * @see #getTextProperties()
	 * @generated
	 */
	EAttribute getTextProperties_LabelText();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TextProperties#getReferencedLabelString <em>Referenced Label String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Label String</em>'.
	 * @see org.openxma.dsl.pom.model.TextProperties#getReferencedLabelString()
	 * @see #getTextProperties()
	 * @generated
	 */
	EReference getTextProperties_ReferencedLabelString();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TextProperties#getTooltipText <em>Tooltip Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tooltip Text</em>'.
	 * @see org.openxma.dsl.pom.model.TextProperties#getTooltipText()
	 * @see #getTextProperties()
	 * @generated
	 */
	EAttribute getTextProperties_TooltipText();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TextProperties#getReferencedTooltipString <em>Referenced Tooltip String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Tooltip String</em>'.
	 * @see org.openxma.dsl.pom.model.TextProperties#getReferencedTooltipString()
	 * @see #getTextProperties()
	 * @generated
	 */
	EReference getTextProperties_ReferencedTooltipString();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TextProperties#getUnitLabelText <em>Unit Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.TextProperties#getUnitLabelText()
	 * @see #getTextProperties()
	 * @generated
	 */
	EAttribute getTextProperties_UnitLabelText();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TextProperties#getReferencedUnitLabelString <em>Referenced Unit Label String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Unit Label String</em>'.
	 * @see org.openxma.dsl.pom.model.TextProperties#getReferencedUnitLabelString()
	 * @see #getTextProperties()
	 * @generated
	 */
	EReference getTextProperties_ReferencedUnitLabelString();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IField <em>IField</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IField</em>'.
	 * @see org.openxma.dsl.pom.model.IField
	 * @generated
	 */
	EClass getIField();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.IField#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.dsl.pom.model.IField#getObject()
	 * @see #getIField()
	 * @generated
	 */
	EReference getIField_Object();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.IField#getFeature <em>Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Feature</em>'.
	 * @see org.openxma.dsl.pom.model.IField#getFeature()
	 * @see #getIField()
	 * @generated
	 */
	EReference getIField_Feature();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldFeature <em>Field Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Feature</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFeature
	 * @generated
	 */
	EClass getFieldFeature();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.FieldFeature#getFeature <em>Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Feature</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFeature#getFeature()
	 * @see #getFieldFeature()
	 * @generated
	 */
	EReference getFieldFeature_Feature();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.FieldFeature#getSubFeature <em>Sub Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Sub Feature</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFeature#getSubFeature()
	 * @see #getFieldFeature()
	 * @generated
	 */
	EReference getFieldFeature_SubFeature();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldReference <em>Field Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Reference</em>'.
	 * @see org.openxma.dsl.pom.model.FieldReference
	 * @generated
	 */
	EClass getFieldReference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizeableField <em>Customizeable Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customizeable Field</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField
	 * @generated
	 */
	EClass getCustomizeableField();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CustomizeableField#getControlType <em>Control Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Control Type</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getControlType()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EAttribute getCustomizeableField_ControlType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeableField#getParts <em>Parts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parts</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getParts()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_Parts();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeableField#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getConstraints()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CustomizeableField#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getFormat()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_Format();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CustomizeableField#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getTextProperties()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldPartSpecification <em>Field Part Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Part Specification</em>'.
	 * @see org.openxma.dsl.pom.model.FieldPartSpecification
	 * @generated
	 */
	EClass getFieldPartSpecification();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.FieldPartSpecification#getPart <em>Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Part</em>'.
	 * @see org.openxma.dsl.pom.model.FieldPartSpecification#getPart()
	 * @see #getFieldPartSpecification()
	 * @generated
	 */
	EAttribute getFieldPartSpecification_Part();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.FieldPartSpecification#getLayoutProperties <em>Layout Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Layout Properties</em>'.
	 * @see org.openxma.dsl.pom.model.FieldPartSpecification#getLayoutProperties()
	 * @see #getFieldPartSpecification()
	 * @generated
	 */
	EReference getFieldPartSpecification_LayoutProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Command <em>Command</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Command</em>'.
	 * @see org.openxma.dsl.pom.model.Command
	 * @generated
	 */
	EClass getCommand();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Command#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.dsl.pom.model.Command#getDoc()
	 * @see #getCommand()
	 * @generated
	 */
	EAttribute getCommand_Doc();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Command#isClientOnly <em>Client Only</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Client Only</em>'.
	 * @see org.openxma.dsl.pom.model.Command#isClientOnly()
	 * @see #getCommand()
	 * @generated
	 */
	EAttribute getCommand_ClientOnly();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Command#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Command#getName()
	 * @see #getCommand()
	 * @generated
	 */
	EAttribute getCommand_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EventFunction <em>Event Function</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Function</em>'.
	 * @see org.openxma.dsl.pom.model.EventFunction
	 * @generated
	 */
	EClass getEventFunction();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.EventFunction#getCommand <em>Command</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Command</em>'.
	 * @see org.openxma.dsl.pom.model.EventFunction#getCommand()
	 * @see #getEventFunction()
	 * @generated
	 */
	EReference getEventFunction_Command();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.EventFunction#getPredefinedCommand <em>Predefined Command</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Predefined Command</em>'.
	 * @see org.openxma.dsl.pom.model.EventFunction#getPredefinedCommand()
	 * @see #getEventFunction()
	 * @generated
	 */
	EAttribute getEventFunction_PredefinedCommand();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EventMappingList <em>Event Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Mapping List</em>'.
	 * @see org.openxma.dsl.pom.model.EventMappingList
	 * @generated
	 */
	EClass getEventMappingList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.EventMappingList#getMapping <em>Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.EventMappingList#getMapping()
	 * @see #getEventMappingList()
	 * @generated
	 */
	EReference getEventMappingList_Mapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EventMapping <em>Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.EventMapping
	 * @generated
	 */
	EClass getEventMapping();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.EventMapping#getEventFunctions <em>Event Functions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Event Functions</em>'.
	 * @see org.openxma.dsl.pom.model.EventMapping#getEventFunctions()
	 * @see #getEventMapping()
	 * @generated
	 */
	EReference getEventMapping_EventFunctions();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ControlEventMapping <em>Control Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Control Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.ControlEventMapping
	 * @generated
	 */
	EClass getControlEventMapping();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ControlEventMapping#getEvent <em>Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event</em>'.
	 * @see org.openxma.dsl.pom.model.ControlEventMapping#getEvent()
	 * @see #getControlEventMapping()
	 * @generated
	 */
	EAttribute getControlEventMapping_Event();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XMAWidgetEventMapping <em>XMA Widget Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>XMA Widget Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetEventMapping
	 * @generated
	 */
	EClass getXMAWidgetEventMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.XMAWidgetEventMapping#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Control</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetEventMapping#getControl()
	 * @see #getXMAWidgetEventMapping()
	 * @generated
	 */
	EReference getXMAWidgetEventMapping_Control();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.GuiElementEventMapping <em>Gui Element Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gui Element Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElementEventMapping
	 * @generated
	 */
	EClass getGuiElementEventMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.GuiElementEventMapping#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Control</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElementEventMapping#getControl()
	 * @see #getGuiElementEventMapping()
	 * @generated
	 */
	EReference getGuiElementEventMapping_Control();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.InitEventMapping <em>Init Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Init Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.InitEventMapping
	 * @generated
	 */
	EClass getInitEventMapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EnterEventMapping <em>Enter Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Enter Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.EnterEventMapping
	 * @generated
	 */
	EClass getEnterEventMapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.LeaveEventMapping <em>Leave Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Leave Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.LeaveEventMapping
	 * @generated
	 */
	EClass getLeaveEventMapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.DataMappingList <em>Data Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Mapping List</em>'.
	 * @see org.openxma.dsl.pom.model.DataMappingList
	 * @generated
	 */
	EClass getDataMappingList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.DataMappingList#getMapping <em>Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.DataMappingList#getMapping()
	 * @see #getDataMappingList()
	 * @generated
	 */
	EReference getDataMappingList_Mapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.DataMapping <em>Data Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.DataMapping
	 * @generated
	 */
	EClass getDataMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.DataMapping#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Control</em>'.
	 * @see org.openxma.dsl.pom.model.DataMapping#getControl()
	 * @see #getDataMapping()
	 * @generated
	 */
	EReference getDataMapping_Control();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.DataMapping#getBindingElement <em>Binding Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Binding Element</em>'.
	 * @see org.openxma.dsl.pom.model.DataMapping#getBindingElement()
	 * @see #getDataMapping()
	 * @generated
	 */
	EReference getDataMapping_BindingElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.DataMapping#getField <em>Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Field</em>'.
	 * @see org.openxma.dsl.pom.model.DataMapping#getField()
	 * @see #getDataMapping()
	 * @generated
	 */
	EReference getDataMapping_Field();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PageDefinition <em>Page Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page Definition</em>'.
	 * @see org.openxma.dsl.pom.model.PageDefinition
	 * @generated
	 */
	EClass getPageDefinition();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Page <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page</em>'.
	 * @see org.openxma.dsl.pom.model.Page
	 * @generated
	 */
	EClass getPage();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getComposeLayout <em>Compose Layout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Compose Layout</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getComposeLayout()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_ComposeLayout();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Page#getDataobjects <em>Dataobjects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Dataobjects</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getDataobjects()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Dataobjects();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getDataMapping <em>Data Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getDataMapping()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_DataMapping();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Page#getCommands <em>Commands</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Commands</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getCommands()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Commands();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Events</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getEvents()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Events();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Conditions Block</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getConditionsBlock()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_ConditionsBlock();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getDefinitions <em>Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Definitions</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getDefinitions()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Definitions();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XmadslPage <em>Xmadsl Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Xmadsl Page</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage
	 * @generated
	 */
	EClass getXmadslPage();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmadslPage#isAbstract <em>Abstract</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Abstract</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#isAbstract()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EAttribute getXmadslPage_Abstract();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmadslPage#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getName()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EAttribute getXmadslPage_Name();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.XmadslPage#getTemplate <em>Template</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Template</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getTemplate()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_Template();

	/**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.XmadslPage#getDependencies <em>Dependencies</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Dependencies</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getDependencies()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_Dependencies();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.XmadslPage#getPageProperties <em>Page Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Page Properties</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getPageProperties()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_PageProperties();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.XmadslPage#getExtensions <em>Extensions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Extensions</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getExtensions()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_Extensions();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.XmadslPage#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getLabelText()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_LabelText();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.XmadslPage#getPageProperty <em>Page Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Page Property</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getPageProperty()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_PageProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PageCustomization <em>Page Customization</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page Customization</em>'.
	 * @see org.openxma.dsl.pom.model.PageCustomization
	 * @generated
	 */
	EClass getPageCustomization();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.PageCustomization#getPageToCustomize <em>Page To Customize</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Page To Customize</em>'.
	 * @see org.openxma.dsl.pom.model.PageCustomization#getPageToCustomize()
	 * @see #getPageCustomization()
	 * @generated
	 */
	EReference getPageCustomization_PageToCustomize();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.PageCustomization#getComposites <em>Composites</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Composites</em>'.
	 * @see org.openxma.dsl.pom.model.PageCustomization#getComposites()
	 * @see #getPageCustomization()
	 * @generated
	 */
	EReference getPageCustomization_Composites();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.GuiElement <em>Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gui Element</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElement
	 * @generated
	 */
	EClass getGuiElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Composite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composite</em>'.
	 * @see org.openxma.dsl.pom.model.Composite
	 * @generated
	 */
	EClass getComposite();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Composite#getContent <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Content</em>'.
	 * @see org.openxma.dsl.pom.model.Composite#getContent()
	 * @see #getComposite()
	 * @generated
	 */
	EReference getComposite_Content();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ComposedElement <em>Composed Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composed Element</em>'.
	 * @see org.openxma.dsl.pom.model.ComposedElement
	 * @generated
	 */
	EClass getComposedElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ComplexElement <em>Complex Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Complex Element</em>'.
	 * @see org.openxma.dsl.pom.model.ComplexElement
	 * @generated
	 */
	EClass getComplexElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.SimpleElement <em>Simple Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Simple Element</em>'.
	 * @see org.openxma.dsl.pom.model.SimpleElement
	 * @generated
	 */
	EClass getSimpleElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IDummy <em>IDummy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IDummy</em>'.
	 * @see org.openxma.dsl.pom.model.IDummy
	 * @generated
	 */
	EClass getIDummy();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IDummy#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.IDummy#getName()
	 * @see #getIDummy()
	 * @generated
	 */
	EAttribute getIDummy_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IGuiElementWithEvent <em>IGui Element With Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IGui Element With Event</em>'.
	 * @see org.openxma.dsl.pom.model.IGuiElementWithEvent
	 * @generated
	 */
	EClass getIGuiElementWithEvent();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.GuiElementWithEvent_dummy <em>Gui Element With Event dummy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gui Element With Event dummy</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElementWithEvent_dummy
	 * @generated
	 */
	EClass getGuiElementWithEvent_dummy();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.GuiElementWithEvent_dummy#getDummyProperty <em>Dummy Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dummy Property</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElementWithEvent_dummy#getDummyProperty()
	 * @see #getGuiElementWithEvent_dummy()
	 * @generated
	 */
	EAttribute getGuiElementWithEvent_dummy_DummyProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Text <em>Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text</em>'.
	 * @see org.openxma.dsl.pom.model.Text
	 * @generated
	 */
	EClass getText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Text#getAlignment <em>Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getAlignment()
	 * @see #getText()
	 * @generated
	 */
	EAttribute getText_Alignment();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Text#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getConstraints()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Text#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getFormat()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_Format();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Text#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getTextProperties()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Combo <em>Combo</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Combo</em>'.
	 * @see org.openxma.dsl.pom.model.Combo
	 * @generated
	 */
	EClass getCombo();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Combo#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.Combo#getConstraints()
	 * @see #getCombo()
	 * @generated
	 */
	EReference getCombo_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Combo#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.Combo#getFormat()
	 * @see #getCombo()
	 * @generated
	 */
	EReference getCombo_Format();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Combo#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.Combo#getTextProperties()
	 * @see #getCombo()
	 * @generated
	 */
	EReference getCombo_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CheckBox <em>Check Box</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Check Box</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox
	 * @generated
	 */
	EClass getCheckBox();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CheckBox#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox#getLabelText()
	 * @see #getCheckBox()
	 * @generated
	 */
	EReference getCheckBox_LabelText();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CheckBox#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox#getConstraints()
	 * @see #getCheckBox()
	 * @generated
	 */
	EReference getCheckBox_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CheckBox#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox#getFormat()
	 * @see #getCheckBox()
	 * @generated
	 */
	EReference getCheckBox_Format();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CheckBox#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox#getTextProperties()
	 * @see #getCheckBox()
	 * @generated
	 */
	EReference getCheckBox_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ListBox <em>List Box</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>List Box</em>'.
	 * @see org.openxma.dsl.pom.model.ListBox
	 * @generated
	 */
	EClass getListBox();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ListBox#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.ListBox#getTextProperties()
	 * @see #getListBox()
	 * @generated
	 */
	EReference getListBox_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Tree <em>Tree</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tree</em>'.
	 * @see org.openxma.dsl.pom.model.Tree
	 * @generated
	 */
	EClass getTree();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Tree#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.Tree#getTextProperties()
	 * @see #getTree()
	 * @generated
	 */
	EReference getTree_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.RadioButton <em>Radio Button</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Radio Button</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton
	 * @generated
	 */
	EClass getRadioButton();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.RadioButton#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton#getLabelText()
	 * @see #getRadioButton()
	 * @generated
	 */
	EReference getRadioButton_LabelText();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.RadioButton#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton#getConstraints()
	 * @see #getRadioButton()
	 * @generated
	 */
	EReference getRadioButton_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.RadioButton#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton#getFormat()
	 * @see #getRadioButton()
	 * @generated
	 */
	EReference getRadioButton_Format();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.RadioButton#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton#getTextProperties()
	 * @see #getRadioButton()
	 * @generated
	 */
	EReference getRadioButton_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Seperator <em>Seperator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Seperator</em>'.
	 * @see org.openxma.dsl.pom.model.Seperator
	 * @generated
	 */
	EClass getSeperator();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Seperator#getOrientation <em>Orientation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Orientation</em>'.
	 * @see org.openxma.dsl.pom.model.Seperator#getOrientation()
	 * @see #getSeperator()
	 * @generated
	 */
	EAttribute getSeperator_Orientation();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Label <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label</em>'.
	 * @see org.openxma.dsl.pom.model.Label
	 * @generated
	 */
	EClass getLabel();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Label#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.Label#getLabelText()
	 * @see #getLabel()
	 * @generated
	 */
	EReference getLabel_LabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Label#getImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.Label#getImageUri()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_ImageUri();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Label#getImageUriReference <em>Image Uri Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Image Uri Reference</em>'.
	 * @see org.openxma.dsl.pom.model.Label#getImageUriReference()
	 * @see #getLabel()
	 * @generated
	 */
	EReference getLabel_ImageUriReference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Label#getAlignment <em>Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.Label#getAlignment()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_Alignment();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Image <em>Image</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Image</em>'.
	 * @see org.openxma.dsl.pom.model.Image
	 * @generated
	 */
	EClass getImage();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Image#getImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.Image#getImageUri()
	 * @see #getImage()
	 * @generated
	 */
	EAttribute getImage_ImageUri();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Image#getImageUriReference <em>Image Uri Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Image Uri Reference</em>'.
	 * @see org.openxma.dsl.pom.model.Image#getImageUriReference()
	 * @see #getImage()
	 * @generated
	 */
	EReference getImage_ImageUriReference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Button <em>Button</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Button</em>'.
	 * @see org.openxma.dsl.pom.model.Button
	 * @generated
	 */
	EClass getButton();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Button#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getLabelText()
	 * @see #getButton()
	 * @generated
	 */
	EReference getButton_LabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Button#getImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getImageUri()
	 * @see #getButton()
	 * @generated
	 */
	EAttribute getButton_ImageUri();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Button#getImageUriReference <em>Image Uri Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Image Uri Reference</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getImageUriReference()
	 * @see #getButton()
	 * @generated
	 */
	EReference getButton_ImageUriReference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Button#getAlignment <em>Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getAlignment()
	 * @see #getButton()
	 * @generated
	 */
	EAttribute getButton_Alignment();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IComposite <em>IComposite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IComposite</em>'.
	 * @see org.openxma.dsl.pom.model.IComposite
	 * @generated
	 */
	EClass getIComposite();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XmadslComposite <em>Xmadsl Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Xmadsl Composite</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite
	 * @generated
	 */
	EClass getXmadslComposite();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.XmadslComposite#getScrollable <em>Scrollable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Scrollable</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite#getScrollable()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EReference getXmadslComposite_Scrollable();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.XmadslComposite#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite#getLabelText()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EReference getXmadslComposite_LabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmadslComposite#isVerticalPartitioning <em>Vertical Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Vertical Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite#isVerticalPartitioning()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EAttribute getXmadslComposite_VerticalPartitioning();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmadslComposite#isHorizontalPartitioning <em>Horizontal Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Horizontal Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite#isHorizontalPartitioning()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EAttribute getXmadslComposite_HorizontalPartitioning();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedComposite <em>Referenced Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Composite</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedComposite
	 * @generated
	 */
	EClass getReferencedComposite();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedComposite#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedComposite#getReference()
	 * @see #getReferencedComposite()
	 * @generated
	 */
	EReference getReferencedComposite_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Table <em>Table</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Table</em>'.
	 * @see org.openxma.dsl.pom.model.Table
	 * @generated
	 */
	EClass getTable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Table#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getObject()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Object();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Table#getKey <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Key</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getKey()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Key();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Table#getColumnMinWidth <em>Column Min Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Column Min Width</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getColumnMinWidth()
	 * @see #getTable()
	 * @generated
	 */
	EAttribute getTable_ColumnMinWidth();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getMultiSelection <em>Multi Selection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Multi Selection</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getMultiSelection()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_MultiSelection();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getCheckSelection <em>Check Selection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Check Selection</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getCheckSelection()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_CheckSelection();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Table#getColumns <em>Columns</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Columns</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getColumns()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Columns();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TableColumn <em>Table Column</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Table Column</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn
	 * @generated
	 */
	EClass getTableColumn();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TableColumn#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getObject()
	 * @see #getTableColumn()
	 * @generated
	 */
	EReference getTableColumn_Object();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TableColumn#getAttributeHolder <em>Attribute Holder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Attribute Holder</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getAttributeHolder()
	 * @see #getTableColumn()
	 * @generated
	 */
	EReference getTableColumn_AttributeHolder();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TableColumn#getVisible <em>Visible</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Visible</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getVisible()
	 * @see #getTableColumn()
	 * @generated
	 */
	EReference getTableColumn_Visible();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getCustomLabelText <em>Custom Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Custom Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getCustomLabelText()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_CustomLabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getAlign <em>Align</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Align</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getAlign()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_Align();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#isRelativeWidth <em>Relative Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative Width</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#isRelativeWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_RelativeWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getMinWidth <em>Min Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Min Width</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getMinWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_MinWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getMaxWidth <em>Max Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Width</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getMaxWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_MaxWidth();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ITabFolder <em>ITab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ITab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.ITabFolder
	 * @generated
	 */
	EClass getITabFolder();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ITabFolder#getTabItems <em>Tab Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tab Items</em>'.
	 * @see org.openxma.dsl.pom.model.ITabFolder#getTabItems()
	 * @see #getITabFolder()
	 * @generated
	 */
	EReference getITabFolder_TabItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabFolder <em>Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.TabFolder
	 * @generated
	 */
	EClass getTabFolder();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedTabFolder <em>Referenced Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Tab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedTabFolder
	 * @generated
	 */
	EClass getReferencedTabFolder();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedTabFolder#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedTabFolder#getReference()
	 * @see #getReferencedTabFolder()
	 * @generated
	 */
	EReference getReferencedTabFolder_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ITabPage <em>ITab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ITab Page</em>'.
	 * @see org.openxma.dsl.pom.model.ITabPage
	 * @generated
	 */
	EClass getITabPage();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabPage <em>Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tab Page</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage
	 * @generated
	 */
	EClass getTabPage();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabPage#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getName()
	 * @see #getTabPage()
	 * @generated
	 */
	EAttribute getTabPage_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabPage#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getLabelText()
	 * @see #getTabPage()
	 * @generated
	 */
	EReference getTabPage_LabelText();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabPage#getScrollable <em>Scrollable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Scrollable</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getScrollable()
	 * @see #getTabPage()
	 * @generated
	 */
	EReference getTabPage_Scrollable();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.TabPage#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getFieldFlags()
	 * @see #getTabPage()
	 * @generated
	 */
	EReference getTabPage_FieldFlags();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.TabPage#getPageProperties <em>Page Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Page Properties</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getPageProperties()
	 * @see #getTabPage()
	 * @generated
	 */
	EReference getTabPage_PageProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedTabPage <em>Referenced Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Tab Page</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedTabPage
	 * @generated
	 */
	EClass getReferencedTabPage();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedTabPage#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedTabPage#getReference()
	 * @see #getReferencedTabPage()
	 * @generated
	 */
	EReference getReferencedTabPage_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.LayoutDataProperty <em>Layout Data Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Layout Data Property</em>'.
	 * @see org.openxma.dsl.pom.model.LayoutDataProperty
	 * @generated
	 */
	EClass getLayoutDataProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PageProperty <em>Page Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page Property</em>'.
	 * @see org.openxma.dsl.pom.model.PageProperty
	 * @generated
	 */
	EClass getPageProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.HeightProperty <em>Height Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Height Property</em>'.
	 * @see org.openxma.dsl.pom.model.HeightProperty
	 * @generated
	 */
	EClass getHeightProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.HeightProperty#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.openxma.dsl.pom.model.HeightProperty#getHeight()
	 * @see #getHeightProperty()
	 * @generated
	 */
	EAttribute getHeightProperty_Height();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.WidthProperty <em>Width Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Width Property</em>'.
	 * @see org.openxma.dsl.pom.model.WidthProperty
	 * @generated
	 */
	EClass getWidthProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.WidthProperty#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.WidthProperty#getWidth()
	 * @see #getWidthProperty()
	 * @generated
	 */
	EAttribute getWidthProperty_Width();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AttachmentProperty <em>Attachment Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attachment Property</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentProperty
	 * @generated
	 */
	EClass getAttachmentProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.AttachmentProperty#getOwnPosition <em>Own Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Own Position</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentProperty#getOwnPosition()
	 * @see #getAttachmentProperty()
	 * @generated
	 */
	EAttribute getAttachmentProperty_OwnPosition();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.AttachmentProperty#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentProperty#getAttachmentSpecification()
	 * @see #getAttachmentProperty()
	 * @generated
	 */
	EReference getAttachmentProperty_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StyleProperty <em>Style Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property</em>'.
	 * @see org.openxma.dsl.pom.model.StyleProperty
	 * @generated
	 */
	EClass getStyleProperty();

	/**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.StyleProperty#getStyles <em>Styles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Styles</em>'.
	 * @see org.openxma.dsl.pom.model.StyleProperty#getStyles()
	 * @see #getStyleProperty()
	 * @generated
	 */
	EReference getStyleProperty_Styles();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TitleButtonsProperty <em>Title Buttons Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Title Buttons Property</em>'.
	 * @see org.openxma.dsl.pom.model.TitleButtonsProperty
	 * @generated
	 */
	EClass getTitleButtonsProperty();

	/**
	 * Returns the meta object for the attribute list '{@link org.openxma.dsl.pom.model.TitleButtonsProperty#getButton <em>Button</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Button</em>'.
	 * @see org.openxma.dsl.pom.model.TitleButtonsProperty#getButton()
	 * @see #getTitleButtonsProperty()
	 * @generated
	 */
	EAttribute getTitleButtonsProperty_Button();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ResizeableProperty <em>Resizeable Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Resizeable Property</em>'.
	 * @see org.openxma.dsl.pom.model.ResizeableProperty
	 * @generated
	 */
	EClass getResizeableProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ResizeableProperty#isResizeable <em>Resizeable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Resizeable</em>'.
	 * @see org.openxma.dsl.pom.model.ResizeableProperty#isResizeable()
	 * @see #getResizeableProperty()
	 * @generated
	 */
	EAttribute getResizeableProperty_Resizeable();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AlignmentProperty <em>Alignment Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alignment Property</em>'.
	 * @see org.openxma.dsl.pom.model.AlignmentProperty
	 * @generated
	 */
	EClass getAlignmentProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.AlignmentProperty#getHAlignment <em>HAlignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>HAlignment</em>'.
	 * @see org.openxma.dsl.pom.model.AlignmentProperty#getHAlignment()
	 * @see #getAlignmentProperty()
	 * @generated
	 */
	EAttribute getAlignmentProperty_HAlignment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.AlignmentProperty#getVAlignment <em>VAlignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>VAlignment</em>'.
	 * @see org.openxma.dsl.pom.model.AlignmentProperty#getVAlignment()
	 * @see #getAlignmentProperty()
	 * @generated
	 */
	EAttribute getAlignmentProperty_VAlignment();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ComposeData <em>Compose Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Compose Data</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData
	 * @generated
	 */
	EClass getComposeData();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ComposeData#getTabulators <em>Tabulators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tabulators</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getTabulators()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_Tabulators();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ComposeData#getReferencedTabulator <em>Referenced Tabulator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Tabulator</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getReferencedTabulator()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_ReferencedTabulator();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ComposeData#getCellWidths <em>Cell Widths</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Cell Widths</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getCellWidths()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_CellWidths();

	/**
	 * Returns the meta object for the attribute list '{@link org.openxma.dsl.pom.model.ComposeData#getCellWidthsCount <em>Cell Widths Count</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Cell Widths Count</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getCellWidthsCount()
	 * @see #getComposeData()
	 * @generated
	 */
	EAttribute getComposeData_CellWidthsCount();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ComposeData#getCellHeights <em>Cell Heights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Cell Heights</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getCellHeights()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_CellHeights();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ComposeData#getSpacing <em>Spacing</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Spacing</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getSpacing()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_Spacing();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ComposeData#getMargin <em>Margin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Margin</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getMargin()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_Margin();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PaddingWidth <em>Padding Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Padding Width</em>'.
	 * @see org.openxma.dsl.pom.model.PaddingWidth
	 * @generated
	 */
	EClass getPaddingWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PaddingWidth#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.PaddingWidth#getWidth()
	 * @see #getPaddingWidth()
	 * @generated
	 */
	EAttribute getPaddingWidth_Width();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IAttachmentPosition <em>IAttachment Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IAttachment Position</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition
	 * @generated
	 */
	EClass getIAttachmentPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getName()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EAttribute getIAttachmentPosition_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getWidth()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EAttribute getIAttachmentPosition_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IAttachmentPosition#isRelative <em>Relative</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#isRelative()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EAttribute getIAttachmentPosition_Relative();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getOffset()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EReference getIAttachmentPosition_Offset();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getReferencedPosition <em>Referenced Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Position</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getReferencedPosition()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EReference getIAttachmentPosition_ReferencedPosition();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getAdditionalOffset <em>Additional Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Additional Offset</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getAdditionalOffset()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EReference getIAttachmentPosition_AdditionalOffset();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabulatorDefinition <em>Tabulator Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tabulator Definition</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorDefinition
	 * @generated
	 */
	EClass getTabulatorDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorDefinition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorDefinition#getName()
	 * @see #getTabulatorDefinition()
	 * @generated
	 */
	EAttribute getTabulatorDefinition_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.TabulatorDefinition#getTabulators <em>Tabulators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tabulators</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorDefinition#getTabulators()
	 * @see #getTabulatorDefinition()
	 * @generated
	 */
	EReference getTabulatorDefinition_Tabulators();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StringDefinition <em>String Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>String Definition</em>'.
	 * @see org.openxma.dsl.pom.model.StringDefinition
	 * @generated
	 */
	EClass getStringDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StringDefinition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.StringDefinition#getName()
	 * @see #getStringDefinition()
	 * @generated
	 */
	EAttribute getStringDefinition_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StringDefinition#getText <em>Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text</em>'.
	 * @see org.openxma.dsl.pom.model.StringDefinition#getText()
	 * @see #getStringDefinition()
	 * @generated
	 */
	EAttribute getStringDefinition_Text();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IntegerDefinition <em>Integer Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Integer Definition</em>'.
	 * @see org.openxma.dsl.pom.model.IntegerDefinition
	 * @generated
	 */
	EClass getIntegerDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IntegerDefinition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.IntegerDefinition#getName()
	 * @see #getIntegerDefinition()
	 * @generated
	 */
	EAttribute getIntegerDefinition_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IntegerDefinition#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.openxma.dsl.pom.model.IntegerDefinition#getValue()
	 * @see #getIntegerDefinition()
	 * @generated
	 */
	EAttribute getIntegerDefinition_Value();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.ImageUri
	 * @generated
	 */
	EClass getImageUri();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ImageUri#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.ImageUri#getName()
	 * @see #getImageUri()
	 * @generated
	 */
	EAttribute getImageUri_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ImageUri#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Source</em>'.
	 * @see org.openxma.dsl.pom.model.ImageUri#getSource()
	 * @see #getImageUri()
	 * @generated
	 */
	EAttribute getImageUri_Source();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Definitions <em>Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Definitions</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions
	 * @generated
	 */
	EClass getDefinitions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getStrings <em>Strings</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Strings</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getStrings()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_Strings();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getIntegers <em>Integers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Integers</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getIntegers()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_Integers();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getImageSources <em>Image Sources</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Image Sources</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getImageSources()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_ImageSources();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getPositions <em>Positions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Positions</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getPositions()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_Positions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getTabulators <em>Tabulators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tabulators</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getTabulators()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_Tabulators();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabulatorPosition <em>Tabulator Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tabulator Position</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorPosition
	 * @generated
	 */
	EClass getTabulatorPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorPosition#isFloatingPosition <em>Floating Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Floating Position</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorPosition#isFloatingPosition()
	 * @see #getTabulatorPosition()
	 * @generated
	 */
	EAttribute getTabulatorPosition_FloatingPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorPosition#isFillingPosition <em>Filling Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Filling Position</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorPosition#isFillingPosition()
	 * @see #getTabulatorPosition()
	 * @generated
	 */
	EAttribute getTabulatorPosition_FillingPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorPosition#isDeltaSpecification <em>Delta Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Delta Specification</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorPosition#isDeltaSpecification()
	 * @see #getTabulatorPosition()
	 * @generated
	 */
	EAttribute getTabulatorPosition_DeltaSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AttachmentPosition <em>Attachment Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attachment Position</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentPosition
	 * @generated
	 */
	EClass getAttachmentPosition();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Content <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Content</em>'.
	 * @see org.openxma.dsl.pom.model.Content
	 * @generated
	 */
	EClass getContent();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Content#getWidgetSetItems <em>Widget Set Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Widget Set Items</em>'.
	 * @see org.openxma.dsl.pom.model.Content#getWidgetSetItems()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_WidgetSetItems();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Content#getContainerItems <em>Container Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Container Items</em>'.
	 * @see org.openxma.dsl.pom.model.Content#getContainerItems()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_ContainerItems();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Content#getElements <em>Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Elements</em>'.
	 * @see org.openxma.dsl.pom.model.Content#getElements()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_Elements();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Content#getComposeLayout <em>Compose Layout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Compose Layout</em>'.
	 * @see org.openxma.dsl.pom.model.Content#getComposeLayout()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_ComposeLayout();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.SetOfGuiElements <em>Set Of Gui Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Set Of Gui Elements</em>'.
	 * @see org.openxma.dsl.pom.model.SetOfGuiElements
	 * @generated
	 */
	EClass getSetOfGuiElements();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.SetOfGuiElements#getElements <em>Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Elements</em>'.
	 * @see org.openxma.dsl.pom.model.SetOfGuiElements#getElements()
	 * @see #getSetOfGuiElements()
	 * @generated
	 */
	EReference getSetOfGuiElements_Elements();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentSpecification
	 * @generated
	 */
	EClass getAttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.NoneAttachment <em>None Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>None Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.NoneAttachment
	 * @generated
	 */
	EClass getNoneAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.NoneAttachment#isNone <em>None</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>None</em>'.
	 * @see org.openxma.dsl.pom.model.NoneAttachment#isNone()
	 * @see #getNoneAttachment()
	 * @generated
	 */
	EAttribute getNoneAttachment_None();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ParentAttachment <em>Parent Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Parent Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment
	 * @generated
	 */
	EClass getParentAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ParentAttachment#getDistance <em>Distance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Distance</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment#getDistance()
	 * @see #getParentAttachment()
	 * @generated
	 */
	EAttribute getParentAttachment_Distance();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ParentAttachment#isRelative <em>Relative</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment#isRelative()
	 * @see #getParentAttachment()
	 * @generated
	 */
	EAttribute getParentAttachment_Relative();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ParentAttachment#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment#getOffset()
	 * @see #getParentAttachment()
	 * @generated
	 */
	EReference getParentAttachment_Offset();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IElementOnWhichCanBeAttached <em>IElement On Which Can Be Attached</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IElement On Which Can Be Attached</em>'.
	 * @see org.openxma.dsl.pom.model.IElementOnWhichCanBeAttached
	 * @generated
	 */
	EClass getIElementOnWhichCanBeAttached();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.SiblingAttachment <em>Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sibling Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.SiblingAttachment
	 * @generated
	 */
	EClass getSiblingAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SiblingAttachment#getSiblingPosition <em>Sibling Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sibling Position</em>'.
	 * @see org.openxma.dsl.pom.model.SiblingAttachment#getSiblingPosition()
	 * @see #getSiblingAttachment()
	 * @generated
	 */
	EAttribute getSiblingAttachment_SiblingPosition();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.SiblingAttachment#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.SiblingAttachment#getOffset()
	 * @see #getSiblingAttachment()
	 * @generated
	 */
	EReference getSiblingAttachment_Offset();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AbsoluteSiblingAttachment <em>Absolute Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Absolute Sibling Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.AbsoluteSiblingAttachment
	 * @generated
	 */
	EClass getAbsoluteSiblingAttachment();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.AbsoluteSiblingAttachment#getSibling <em>Sibling</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Sibling</em>'.
	 * @see org.openxma.dsl.pom.model.AbsoluteSiblingAttachment#getSibling()
	 * @see #getAbsoluteSiblingAttachment()
	 * @generated
	 */
	EReference getAbsoluteSiblingAttachment_Sibling();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.AbsoluteSiblingAttachment#getFieldPart <em>Field Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Field Part</em>'.
	 * @see org.openxma.dsl.pom.model.AbsoluteSiblingAttachment#getFieldPart()
	 * @see #getAbsoluteSiblingAttachment()
	 * @generated
	 */
	EAttribute getAbsoluteSiblingAttachment_FieldPart();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.RelativeSiblingAttachment <em>Relative Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Relative Sibling Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.RelativeSiblingAttachment
	 * @generated
	 */
	EClass getRelativeSiblingAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.RelativeSiblingAttachment#getRelativeSibling <em>Relative Sibling</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative Sibling</em>'.
	 * @see org.openxma.dsl.pom.model.RelativeSiblingAttachment#getRelativeSibling()
	 * @see #getRelativeSiblingAttachment()
	 * @generated
	 */
	EAttribute getRelativeSiblingAttachment_RelativeSibling();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabulatorAttachment <em>Tabulator Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tabulator Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorAttachment
	 * @generated
	 */
	EClass getTabulatorAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorAttachment#getTabIndex <em>Tab Index</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tab Index</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorAttachment#getTabIndex()
	 * @see #getTabulatorAttachment()
	 * @generated
	 */
	EAttribute getTabulatorAttachment_TabIndex();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TabulatorAttachment#getSibling <em>Sibling</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Sibling</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorAttachment#getSibling()
	 * @see #getTabulatorAttachment()
	 * @generated
	 */
	EReference getTabulatorAttachment_Sibling();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabulatorAttachment#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorAttachment#getOffset()
	 * @see #getTabulatorAttachment()
	 * @generated
	 */
	EReference getTabulatorAttachment_Offset();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Offset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.Offset
	 * @generated
	 */
	EClass getOffset();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Offset#isNegative <em>Negative</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Negative</em>'.
	 * @see org.openxma.dsl.pom.model.Offset#isNegative()
	 * @see #getOffset()
	 * @generated
	 */
	EAttribute getOffset_Negative();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Offset#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.openxma.dsl.pom.model.Offset#getValue()
	 * @see #getOffset()
	 * @generated
	 */
	EAttribute getOffset_Value();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldVariable <em>Field Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Variable</em>'.
	 * @see org.openxma.dsl.pom.model.FieldVariable
	 * @generated
	 */
	EClass getFieldVariable();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.FieldVariable#getField <em>Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Field</em>'.
	 * @see org.openxma.dsl.pom.model.FieldVariable#getField()
	 * @see #getFieldVariable()
	 * @generated
	 */
	EReference getFieldVariable_Field();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.FieldVariable#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.openxma.dsl.pom.model.FieldVariable#getAccess()
	 * @see #getFieldVariable()
	 * @generated
	 */
	EAttribute getFieldVariable_Access();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XmaVariable <em>Xma Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Xma Variable</em>'.
	 * @see org.openxma.dsl.pom.model.XmaVariable
	 * @generated
	 */
	EClass getXmaVariable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.XmaVariable#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.pom.model.XmaVariable#getReference()
	 * @see #getXmaVariable()
	 * @generated
	 */
	EReference getXmaVariable_Reference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmaVariable#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.openxma.dsl.pom.model.XmaVariable#getAccess()
	 * @see #getXmaVariable()
	 * @generated
	 */
	EAttribute getXmaVariable_Access();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizeComponentModel <em>Customize Component Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customize Component Model</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeComponentModel
	 * @generated
	 */
	EClass getCustomizeComponentModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeComponentModel#getImports <em>Imports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Imports</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeComponentModel#getImports()
	 * @see #getCustomizeComponentModel()
	 * @generated
	 */
	EReference getCustomizeComponentModel_Imports();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.CustomizeComponentModel#getComponent <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Component</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeComponentModel#getComponent()
	 * @see #getCustomizeComponentModel()
	 * @generated
	 */
	EReference getCustomizeComponentModel_Component();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeComponentModel#getCustomizations <em>Customizations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Customizations</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeComponentModel#getCustomizations()
	 * @see #getCustomizeComponentModel()
	 * @generated
	 */
	EReference getCustomizeComponentModel_Customizations();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizationOfGuiElement <em>Customization Of Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Gui Element</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfGuiElement
	 * @generated
	 */
	EClass getCustomizationOfGuiElement();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.CustomizationOfGuiElement#getPage <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Page</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfGuiElement#getPage()
	 * @see #getCustomizationOfGuiElement()
	 * @generated
	 */
	EReference getCustomizationOfGuiElement_Page();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizationOfComposite <em>Customization Of Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Composite</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite
	 * @generated
	 */
	EClass getCustomizationOfComposite();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#getComposite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Composite</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#getComposite()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_Composite();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#getComposeLayout <em>Compose Layout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Compose Layout</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#getComposeLayout()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_ComposeLayout();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#getAddedElements <em>Added Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Elements</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#getAddedElements()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_AddedElements();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#isVerticalPartitioning <em>Vertical Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Vertical Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#isVerticalPartitioning()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EAttribute getCustomizationOfComposite_VerticalPartitioning();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#isHorizontalPartitioning <em>Horizontal Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Horizontal Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#isHorizontalPartitioning()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EAttribute getCustomizationOfComposite_HorizontalPartitioning();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#getAddedWidgetSetItems <em>Added Widget Set Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Widget Set Items</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#getAddedWidgetSetItems()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_AddedWidgetSetItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizationOfTabFolder <em>Customization Of Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Tab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfTabFolder
	 * @generated
	 */
	EClass getCustomizationOfTabFolder();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.CustomizationOfTabFolder#getTabFolder <em>Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Tab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfTabFolder#getTabFolder()
	 * @see #getCustomizationOfTabFolder()
	 * @generated
	 */
	EReference getCustomizationOfTabFolder_TabFolder();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizationOfTabFolder#getAddedTabItems <em>Added Tab Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Tab Items</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfTabFolder#getAddedTabItems()
	 * @see #getCustomizationOfTabFolder()
	 * @generated
	 */
	EReference getCustomizationOfTabFolder_AddedTabItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IElementWithLayoutData <em>IElement With Layout Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IElement With Layout Data</em>'.
	 * @see org.openxma.dsl.pom.model.IElementWithLayoutData
	 * @generated
	 */
	EClass getIElementWithLayoutData();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.IElementWithLayoutData#getLayoutProperties <em>Layout Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Layout Properties</em>'.
	 * @see org.openxma.dsl.pom.model.IElementWithLayoutData#getLayoutProperties()
	 * @see #getIElementWithLayoutData()
	 * @generated
	 */
	EReference getIElementWithLayoutData_LayoutProperties();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.IElementWithLayoutData#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.IElementWithLayoutData#getFieldFlags()
	 * @see #getIElementWithLayoutData()
	 * @generated
	 */
	EReference getIElementWithLayoutData_FieldFlags();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StyleSpecification <em>Style Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecification
	 * @generated
	 */
	EClass getStyleSpecification();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.StyleSpecification#getModelElements <em>Model Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Model Elements</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecification#getModelElements()
	 * @see #getStyleSpecification()
	 * @generated
	 */
	EReference getStyleSpecification_ModelElements();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.StyleSpecification#getStyleProperty <em>Style Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Style Property</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecification#getStyleProperty()
	 * @see #getStyleSpecification()
	 * @generated
	 */
	EReference getStyleSpecification_StyleProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ModelElementSpecification <em>Model Element Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Model Element Specification</em>'.
	 * @see org.openxma.dsl.pom.model.ModelElementSpecification
	 * @generated
	 */
	EClass getModelElementSpecification();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ModelElementSpecification#getModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Model Element</em>'.
	 * @see org.openxma.dsl.pom.model.ModelElementSpecification#getModelElement()
	 * @see #getModelElementSpecification()
	 * @generated
	 */
	EReference getModelElementSpecification_ModelElement();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ModelElementSpecification#getCombinedElements <em>Combined Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Combined Elements</em>'.
	 * @see org.openxma.dsl.pom.model.ModelElementSpecification#getCombinedElements()
	 * @see #getModelElementSpecification()
	 * @generated
	 */
	EReference getModelElementSpecification_CombinedElements();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.SelectedModelElement <em>Selected Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Selected Model Element</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement
	 * @generated
	 */
	EClass getSelectedModelElement();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SelectedModelElement#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement#getType()
	 * @see #getSelectedModelElement()
	 * @generated
	 */
	EAttribute getSelectedModelElement_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SelectedModelElement#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement#getName()
	 * @see #getSelectedModelElement()
	 * @generated
	 */
	EAttribute getSelectedModelElement_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SelectedModelElement#isFirstChild <em>First Child</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>First Child</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement#isFirstChild()
	 * @see #getSelectedModelElement()
	 * @generated
	 */
	EAttribute getSelectedModelElement_FirstChild();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SelectedModelElement#isMiddleChild <em>Middle Child</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Middle Child</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement#isMiddleChild()
	 * @see #getSelectedModelElement()
	 * @generated
	 */
	EAttribute getSelectedModelElement_MiddleChild();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SelectedModelElement#isLastChild <em>Last Child</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Last Child</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement#isLastChild()
	 * @see #getSelectedModelElement()
	 * @generated
	 */
	EAttribute getSelectedModelElement_LastChild();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CombinedModelElement <em>Combined Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Combined Model Element</em>'.
	 * @see org.openxma.dsl.pom.model.CombinedModelElement
	 * @generated
	 */
	EClass getCombinedModelElement();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CombinedModelElement#isChild <em>Child</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Child</em>'.
	 * @see org.openxma.dsl.pom.model.CombinedModelElement#isChild()
	 * @see #getCombinedModelElement()
	 * @generated
	 */
	EAttribute getCombinedModelElement_Child();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CombinedModelElement#isNext <em>Next</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Next</em>'.
	 * @see org.openxma.dsl.pom.model.CombinedModelElement#isNext()
	 * @see #getCombinedModelElement()
	 * @generated
	 */
	EAttribute getCombinedModelElement_Next();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CombinedModelElement#getModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Model Element</em>'.
	 * @see org.openxma.dsl.pom.model.CombinedModelElement#getModelElement()
	 * @see #getCombinedModelElement()
	 * @generated
	 */
	EReference getCombinedModelElement_ModelElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StyleSpecificationProperty <em>Style Specification Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Specification Property</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecificationProperty
	 * @generated
	 */
	EClass getStyleSpecificationProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyFieldPart <em>Style Property Field Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Field Part</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFieldPart
	 * @generated
	 */
	EClass getStylePropertyFieldPart();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.StylePropertyFieldPart#getParts <em>Parts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parts</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFieldPart#getParts()
	 * @see #getStylePropertyFieldPart()
	 * @generated
	 */
	EReference getStylePropertyFieldPart_Parts();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyLeft <em>Style Property Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Left</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyLeft
	 * @generated
	 */
	EClass getStylePropertyLeft();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyLeft#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyLeft#getAttachmentSpecification()
	 * @see #getStylePropertyLeft()
	 * @generated
	 */
	EReference getStylePropertyLeft_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyRight <em>Style Property Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Right</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyRight
	 * @generated
	 */
	EClass getStylePropertyRight();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyRight#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyRight#getAttachmentSpecification()
	 * @see #getStylePropertyRight()
	 * @generated
	 */
	EReference getStylePropertyRight_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyTop <em>Style Property Top</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Top</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTop
	 * @generated
	 */
	EClass getStylePropertyTop();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyTop#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTop#getAttachmentSpecification()
	 * @see #getStylePropertyTop()
	 * @generated
	 */
	EReference getStylePropertyTop_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyBottom <em>Style Property Bottom</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Bottom</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBottom
	 * @generated
	 */
	EClass getStylePropertyBottom();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyBottom#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBottom#getAttachmentSpecification()
	 * @see #getStylePropertyBottom()
	 * @generated
	 */
	EReference getStylePropertyBottom_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyWidth <em>Style Property Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Width</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidth
	 * @generated
	 */
	EClass getStylePropertyWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyWidth#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidth#getWidth()
	 * @see #getStylePropertyWidth()
	 * @generated
	 */
	EAttribute getStylePropertyWidth_Width();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyHeight <em>Style Property Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Height</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyHeight
	 * @generated
	 */
	EClass getStylePropertyHeight();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyHeight#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyHeight#getHeight()
	 * @see #getStylePropertyHeight()
	 * @generated
	 */
	EAttribute getStylePropertyHeight_Height();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyTabulator <em>Style Property Tabulator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Tabulator</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTabulator
	 * @generated
	 */
	EClass getStylePropertyTabulator();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.StylePropertyTabulator#getTabulators <em>Tabulators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tabulators</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTabulator#getTabulators()
	 * @see #getStylePropertyTabulator()
	 * @generated
	 */
	EReference getStylePropertyTabulator_Tabulators();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyBorder <em>Style Property Border</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Border</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBorder
	 * @generated
	 */
	EClass getStylePropertyBorder();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBorder#isNoneBorder <em>None Border</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>None Border</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBorder#isNoneBorder()
	 * @see #getStylePropertyBorder()
	 * @generated
	 */
	EAttribute getStylePropertyBorder_NoneBorder();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor <em>Style Property Foreground Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Foreground Color</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor
	 * @generated
	 */
	EClass getStylePropertyForegroundColor();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor#getRed <em>Red</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Red</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor#getRed()
	 * @see #getStylePropertyForegroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyForegroundColor_Red();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor#getBlue <em>Blue</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Blue</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor#getBlue()
	 * @see #getStylePropertyForegroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyForegroundColor_Blue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor#getGreen <em>Green</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Green</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor#getGreen()
	 * @see #getStylePropertyForegroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyForegroundColor_Green();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor#getColorID <em>Color ID</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Color ID</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor#getColorID()
	 * @see #getStylePropertyForegroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyForegroundColor_ColorID();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor <em>Style Property Background Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Background Color</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor
	 * @generated
	 */
	EClass getStylePropertyBackgroundColor();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getRed <em>Red</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Red</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getRed()
	 * @see #getStylePropertyBackgroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyBackgroundColor_Red();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getBlue <em>Blue</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Blue</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getBlue()
	 * @see #getStylePropertyBackgroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyBackgroundColor_Blue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getGreen <em>Green</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Green</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getGreen()
	 * @see #getStylePropertyBackgroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyBackgroundColor_Green();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getColorID <em>Color ID</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Color ID</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getColorID()
	 * @see #getStylePropertyBackgroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyBackgroundColor_ColorID();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyWidgetVariant <em>Style Property Widget Variant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Widget Variant</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidgetVariant
	 * @generated
	 */
	EClass getStylePropertyWidgetVariant();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyWidgetVariant#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidgetVariant#getName()
	 * @see #getStylePropertyWidgetVariant()
	 * @generated
	 */
	EAttribute getStylePropertyWidgetVariant_Name();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.EventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Event Type</em>'.
	 * @see org.openxma.dsl.pom.model.EventType
	 * @generated
	 */
	EEnum getEventType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.PredefinedCommand <em>Predefined Command</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Predefined Command</em>'.
	 * @see org.openxma.dsl.pom.model.PredefinedCommand
	 * @generated
	 */
	EEnum getPredefinedCommand();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.AttachmentOwnPosition <em>Attachment Own Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Attachment Own Position</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentOwnPosition
	 * @generated
	 */
	EEnum getAttachmentOwnPosition();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.RelativeSibling <em>Relative Sibling</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Relative Sibling</em>'.
	 * @see org.openxma.dsl.pom.model.RelativeSibling
	 * @generated
	 */
	EEnum getRelativeSibling();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.AttachmentSiblingPosition <em>Attachment Sibling Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Attachment Sibling Position</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentSiblingPosition
	 * @generated
	 */
	EEnum getAttachmentSiblingPosition();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.ContentAlignment <em>Content Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Content Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.ContentAlignment
	 * @generated
	 */
	EEnum getContentAlignment();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.HorizontalAlignment <em>Horizontal Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Horizontal Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.HorizontalAlignment
	 * @generated
	 */
	EEnum getHorizontalAlignment();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.VerticalAlignment <em>Vertical Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Vertical Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.VerticalAlignment
	 * @generated
	 */
	EEnum getVerticalAlignment();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.Orientation <em>Orientation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Orientation</em>'.
	 * @see org.openxma.dsl.pom.model.Orientation
	 * @generated
	 */
	EEnum getOrientation();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.ControlType <em>Control Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Control Type</em>'.
	 * @see org.openxma.dsl.pom.model.ControlType
	 * @generated
	 */
	EEnum getControlType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.FieldPart <em>Field Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Field Part</em>'.
	 * @see org.openxma.dsl.pom.model.FieldPart
	 * @generated
	 */
	EEnum getFieldPart();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.TitleButton <em>Title Button</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Title Button</em>'.
	 * @see org.openxma.dsl.pom.model.TitleButton
	 * @generated
	 */
	EEnum getTitleButton();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.StyleSelectorType <em>Style Selector Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Style Selector Type</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSelectorType
	 * @generated
	 */
	EEnum getStyleSelectorType();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	PomFactory getPomFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DataBindingElementImpl <em>Data Binding Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DataBindingElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataBindingElement()
		 * @generated
		 */
		EClass DATA_BINDING_ELEMENT = eINSTANCE.getDataBindingElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldFlagImpl <em>Field Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldFlag()
		 * @generated
		 */
		EClass FIELD_FLAG = eINSTANCE.getFieldFlag();

		/**
		 * The meta object literal for the '<em><b>Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FIELD_FLAG__EXPRESSION = eINSTANCE.getFieldFlag_Expression();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EnabledFlagImpl <em>Enabled Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EnabledFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEnabledFlag()
		 * @generated
		 */
		EClass ENABLED_FLAG = eINSTANCE.getEnabledFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.MandatoryFlagImpl <em>Mandatory Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.MandatoryFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMandatoryFlag()
		 * @generated
		 */
		EClass MANDATORY_FLAG = eINSTANCE.getMandatoryFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.VisibleFlagImpl <em>Visible Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.VisibleFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVisibleFlag()
		 * @generated
		 */
		EClass VISIBLE_FLAG = eINSTANCE.getVisibleFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CollapsedFlagImpl <em>Collapsed Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CollapsedFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCollapsedFlag()
		 * @generated
		 */
		EClass COLLAPSED_FLAG = eINSTANCE.getCollapsedFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EditableFlagImpl <em>Editable Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EditableFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEditableFlag()
		 * @generated
		 */
		EClass EDITABLE_FLAG = eINSTANCE.getEditableFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LabelTextImpl <em>Label Text</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LabelTextImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabelText()
		 * @generated
		 */
		EClass LABEL_TEXT = eINSTANCE.getLabelText();

		/**
		 * The meta object literal for the '<em><b>Label</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LABEL_TEXT__LABEL = eINSTANCE.getLabelText_Label();

		/**
		 * The meta object literal for the '<em><b>Referenced Label String</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LABEL_TEXT__REFERENCED_LABEL_STRING = eINSTANCE.getLabelText_ReferencedLabelString();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ObjectPropertyImpl <em>Object Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ObjectPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getObjectProperty()
		 * @generated
		 */
		EClass OBJECT_PROPERTY = eINSTANCE.getObjectProperty();

		/**
		 * The meta object literal for the '<em><b>Public</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OBJECT_PROPERTY__PUBLIC = eINSTANCE.getObjectProperty_Public();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OBJECT_PROPERTY__TYPE = eINSTANCE.getObjectProperty_Type();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OBJECT_PROPERTY__NAME = eINSTANCE.getObjectProperty_Name();

		/**
		 * The meta object literal for the '<em><b>Read Only</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OBJECT_PROPERTY__READ_ONLY = eINSTANCE.getObjectProperty_ReadOnly();

		/**
		 * The meta object literal for the '<em><b>Required</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OBJECT_PROPERTY__REQUIRED = eINSTANCE.getObjectProperty_Required();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComponentImpl <em>Component</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComponentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComponent()
		 * @generated
		 */
		EClass COMPONENT = eINSTANCE.getComponent();

		/**
		 * The meta object literal for the '<em><b>Xma Component</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__XMA_COMPONENT = eINSTANCE.getComponent_XmaComponent();

		/**
		 * The meta object literal for the '<em><b>Style Property</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__STYLE_PROPERTY = eINSTANCE.getComponent_StyleProperty();

		/**
		 * The meta object literal for the '<em><b>Dependencies</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__DEPENDENCIES = eINSTANCE.getComponent_Dependencies();

		/**
		 * The meta object literal for the '<em><b>Component Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__COMPONENT_PROPERTIES = eINSTANCE.getComponent_ComponentProperties();

		/**
		 * The meta object literal for the '<em><b>Dataobjects</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__DATAOBJECTS = eINSTANCE.getComponent_Dataobjects();

		/**
		 * The meta object literal for the '<em><b>Customized Attribute List</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST = eINSTANCE.getComponent_CustomizedAttributeList();

		/**
		 * The meta object literal for the '<em><b>Commands</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__COMMANDS = eINSTANCE.getComponent_Commands();

		/**
		 * The meta object literal for the '<em><b>Events</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__EVENTS = eINSTANCE.getComponent_Events();

		/**
		 * The meta object literal for the '<em><b>Conditions Block</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__CONDITIONS_BLOCK = eINSTANCE.getComponent_ConditionsBlock();

		/**
		 * The meta object literal for the '<em><b>Pages</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__PAGES = eINSTANCE.getComponent_Pages();

		/**
		 * The meta object literal for the '<em><b>Definitions</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__DEFINITIONS = eINSTANCE.getComponent_Definitions();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMAGuiElementImpl <em>Referenced XMA Gui Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedXMAGuiElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAGuiElement()
		 * @generated
		 */
		EClass REFERENCED_XMA_GUI_ELEMENT = eINSTANCE.getReferencedXMAGuiElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMAPageImpl <em>Referenced XMA Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedXMAPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAPage()
		 * @generated
		 */
		EClass REFERENCED_XMA_PAGE = eINSTANCE.getReferencedXMAPage();

		/**
		 * The meta object literal for the '<em><b>Xma Page</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_PAGE__XMA_PAGE = eINSTANCE.getReferencedXMAPage_XmaPage();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_PAGE__FIELD_FLAGS = eINSTANCE.getReferencedXMAPage_FieldFlags();

		/**
		 * The meta object literal for the '<em><b>Dependencies</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_PAGE__DEPENDENCIES = eINSTANCE.getReferencedXMAPage_Dependencies();

		/**
		 * The meta object literal for the '<em><b>Gray Logic</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_PAGE__GRAY_LOGIC = eINSTANCE.getReferencedXMAPage_GrayLogic();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMACompositeImpl <em>Referenced XMA Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedXMACompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAComposite()
		 * @generated
		 */
		EClass REFERENCED_XMA_COMPOSITE = eINSTANCE.getReferencedXMAComposite();

		/**
		 * The meta object literal for the '<em><b>Referencing Page Composite</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REFERENCED_XMA_COMPOSITE__REFERENCING_PAGE_COMPOSITE = eINSTANCE.getReferencedXMAComposite_ReferencingPageComposite();

		/**
		 * The meta object literal for the '<em><b>Vertical Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REFERENCED_XMA_COMPOSITE__VERTICAL_PARTITIONING = eINSTANCE.getReferencedXMAComposite_VerticalPartitioning();

		/**
		 * The meta object literal for the '<em><b>Horizontal Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REFERENCED_XMA_COMPOSITE__HORIZONTAL_PARTITIONING = eINSTANCE.getReferencedXMAComposite_HorizontalPartitioning();

		/**
		 * The meta object literal for the '<em><b>Xma Composite</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_COMPOSITE__XMA_COMPOSITE = eINSTANCE.getReferencedXMAComposite_XmaComposite();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_COMPOSITE__FIELD_FLAGS = eINSTANCE.getReferencedXMAComposite_FieldFlags();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.GrayLogicImpl <em>Gray Logic</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.GrayLogicImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGrayLogic()
		 * @generated
		 */
		EClass GRAY_LOGIC = eINSTANCE.getGrayLogic();

		/**
		 * The meta object literal for the '<em><b>Widget Gray Logic</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GRAY_LOGIC__WIDGET_GRAY_LOGIC = eINSTANCE.getGrayLogic_WidgetGrayLogic();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XMAWidgetGrayLogicImpl <em>XMA Widget Gray Logic</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XMAWidgetGrayLogicImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXMAWidgetGrayLogic()
		 * @generated
		 */
		EClass XMA_WIDGET_GRAY_LOGIC = eINSTANCE.getXMAWidgetGrayLogic();

		/**
		 * The meta object literal for the '<em><b>Xma Widget</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMA_WIDGET_GRAY_LOGIC__XMA_WIDGET = eINSTANCE.getXMAWidgetGrayLogic_XmaWidget();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMA_WIDGET_GRAY_LOGIC__FIELD_FLAGS = eINSTANCE.getXMAWidgetGrayLogic_FieldFlags();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DataObjectVariableImpl <em>Data Object Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DataObjectVariableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataObjectVariable()
		 * @generated
		 */
		EClass DATA_OBJECT_VARIABLE = eINSTANCE.getDataObjectVariable();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_OBJECT_VARIABLE__TYPE = eINSTANCE.getDataObjectVariable_Type();

		/**
		 * The meta object literal for the '<em><b>Is Collection</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATA_OBJECT_VARIABLE__IS_COLLECTION = eINSTANCE.getDataObjectVariable_IsCollection();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATA_OBJECT_VARIABLE__NAME = eINSTANCE.getDataObjectVariable_Name();

		/**
		 * The meta object literal for the '<em><b>Customized Attributes</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_OBJECT_VARIABLE__CUSTOMIZED_ATTRIBUTES = eINSTANCE.getDataObjectVariable_CustomizedAttributes();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizeAttributeListImpl <em>Customize Attribute List</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizeAttributeListImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeAttributeList()
		 * @generated
		 */
		EClass CUSTOMIZE_ATTRIBUTE_LIST = eINSTANCE.getCustomizeAttributeList();

		/**
		 * The meta object literal for the '<em><b>Customized Attributes</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZE_ATTRIBUTE_LIST__CUSTOMIZED_ATTRIBUTES = eINSTANCE.getCustomizeAttributeList_CustomizedAttributes();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizedAttributeImpl <em>Customized Attribute</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizedAttributeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizedAttribute()
		 * @generated
		 */
		EClass CUSTOMIZED_ATTRIBUTE = eINSTANCE.getCustomizedAttribute();

		/**
		 * The meta object literal for the '<em><b>Field</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZED_ATTRIBUTE__FIELD = eINSTANCE.getCustomizedAttribute_Field();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZED_ATTRIBUTE__CONSTRAINTS = eINSTANCE.getCustomizedAttribute_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZED_ATTRIBUTE__FORMAT = eINSTANCE.getCustomizedAttribute_Format();

		/**
		 * The meta object literal for the '<em><b>Attribut Flag</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZED_ATTRIBUTE__ATTRIBUT_FLAG = eINSTANCE.getCustomizedAttribute_AttributFlag();

		/**
		 * The meta object literal for the '<em><b>Attribut Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZED_ATTRIBUTE__ATTRIBUT_FLAGS = eINSTANCE.getCustomizedAttribute_AttributFlags();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZED_ATTRIBUTE__TEXT_PROPERTIES = eINSTANCE.getCustomizedAttribute_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TextPropertiesImpl <em>Text Properties</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TextPropertiesImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTextProperties()
		 * @generated
		 */
		EClass TEXT_PROPERTIES = eINSTANCE.getTextProperties();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TEXT_PROPERTIES__LABEL_TEXT = eINSTANCE.getTextProperties_LabelText();

		/**
		 * The meta object literal for the '<em><b>Referenced Label String</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT_PROPERTIES__REFERENCED_LABEL_STRING = eINSTANCE.getTextProperties_ReferencedLabelString();

		/**
		 * The meta object literal for the '<em><b>Tooltip Text</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TEXT_PROPERTIES__TOOLTIP_TEXT = eINSTANCE.getTextProperties_TooltipText();

		/**
		 * The meta object literal for the '<em><b>Referenced Tooltip String</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT_PROPERTIES__REFERENCED_TOOLTIP_STRING = eINSTANCE.getTextProperties_ReferencedTooltipString();

		/**
		 * The meta object literal for the '<em><b>Unit Label Text</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TEXT_PROPERTIES__UNIT_LABEL_TEXT = eINSTANCE.getTextProperties_UnitLabelText();

		/**
		 * The meta object literal for the '<em><b>Referenced Unit Label String</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT_PROPERTIES__REFERENCED_UNIT_LABEL_STRING = eINSTANCE.getTextProperties_ReferencedUnitLabelString();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IFieldImpl <em>IField</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IFieldImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIField()
		 * @generated
		 */
		EClass IFIELD = eINSTANCE.getIField();

		/**
		 * The meta object literal for the '<em><b>Object</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IFIELD__OBJECT = eINSTANCE.getIField_Object();

		/**
		 * The meta object literal for the '<em><b>Feature</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IFIELD__FEATURE = eINSTANCE.getIField_Feature();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldFeatureImpl <em>Field Feature</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldFeatureImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldFeature()
		 * @generated
		 */
		EClass FIELD_FEATURE = eINSTANCE.getFieldFeature();

		/**
		 * The meta object literal for the '<em><b>Feature</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FIELD_FEATURE__FEATURE = eINSTANCE.getFieldFeature_Feature();

		/**
		 * The meta object literal for the '<em><b>Sub Feature</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FIELD_FEATURE__SUB_FEATURE = eINSTANCE.getFieldFeature_SubFeature();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldReferenceImpl <em>Field Reference</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldReferenceImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldReference()
		 * @generated
		 */
		EClass FIELD_REFERENCE = eINSTANCE.getFieldReference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl <em>Customizeable Field</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeableField()
		 * @generated
		 */
		EClass CUSTOMIZEABLE_FIELD = eINSTANCE.getCustomizeableField();

		/**
		 * The meta object literal for the '<em><b>Control Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CUSTOMIZEABLE_FIELD__CONTROL_TYPE = eINSTANCE.getCustomizeableField_ControlType();

		/**
		 * The meta object literal for the '<em><b>Parts</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZEABLE_FIELD__PARTS = eINSTANCE.getCustomizeableField_Parts();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZEABLE_FIELD__CONSTRAINTS = eINSTANCE.getCustomizeableField_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZEABLE_FIELD__FORMAT = eINSTANCE.getCustomizeableField_Format();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES = eINSTANCE.getCustomizeableField_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldPartSpecificationImpl <em>Field Part Specification</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldPartSpecificationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldPartSpecification()
		 * @generated
		 */
		EClass FIELD_PART_SPECIFICATION = eINSTANCE.getFieldPartSpecification();

		/**
		 * The meta object literal for the '<em><b>Part</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FIELD_PART_SPECIFICATION__PART = eINSTANCE.getFieldPartSpecification_Part();

		/**
		 * The meta object literal for the '<em><b>Layout Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FIELD_PART_SPECIFICATION__LAYOUT_PROPERTIES = eINSTANCE.getFieldPartSpecification_LayoutProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CommandImpl <em>Command</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CommandImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCommand()
		 * @generated
		 */
		EClass COMMAND = eINSTANCE.getCommand();

		/**
		 * The meta object literal for the '<em><b>Doc</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMMAND__DOC = eINSTANCE.getCommand_Doc();

		/**
		 * The meta object literal for the '<em><b>Client Only</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMMAND__CLIENT_ONLY = eINSTANCE.getCommand_ClientOnly();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMMAND__NAME = eINSTANCE.getCommand_Name();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EventFunctionImpl <em>Event Function</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EventFunctionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventFunction()
		 * @generated
		 */
		EClass EVENT_FUNCTION = eINSTANCE.getEventFunction();

		/**
		 * The meta object literal for the '<em><b>Command</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EVENT_FUNCTION__COMMAND = eINSTANCE.getEventFunction_Command();

		/**
		 * The meta object literal for the '<em><b>Predefined Command</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EVENT_FUNCTION__PREDEFINED_COMMAND = eINSTANCE.getEventFunction_PredefinedCommand();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EventMappingListImpl <em>Event Mapping List</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EventMappingListImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventMappingList()
		 * @generated
		 */
		EClass EVENT_MAPPING_LIST = eINSTANCE.getEventMappingList();

		/**
		 * The meta object literal for the '<em><b>Mapping</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EVENT_MAPPING_LIST__MAPPING = eINSTANCE.getEventMappingList_Mapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EventMappingImpl <em>Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventMapping()
		 * @generated
		 */
		EClass EVENT_MAPPING = eINSTANCE.getEventMapping();

		/**
		 * The meta object literal for the '<em><b>Event Functions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EVENT_MAPPING__EVENT_FUNCTIONS = eINSTANCE.getEventMapping_EventFunctions();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ControlEventMappingImpl <em>Control Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ControlEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getControlEventMapping()
		 * @generated
		 */
		EClass CONTROL_EVENT_MAPPING = eINSTANCE.getControlEventMapping();

		/**
		 * The meta object literal for the '<em><b>Event</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONTROL_EVENT_MAPPING__EVENT = eINSTANCE.getControlEventMapping_Event();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XMAWidgetEventMappingImpl <em>XMA Widget Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XMAWidgetEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXMAWidgetEventMapping()
		 * @generated
		 */
		EClass XMA_WIDGET_EVENT_MAPPING = eINSTANCE.getXMAWidgetEventMapping();

		/**
		 * The meta object literal for the '<em><b>Control</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMA_WIDGET_EVENT_MAPPING__CONTROL = eINSTANCE.getXMAWidgetEventMapping_Control();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.GuiElementEventMappingImpl <em>Gui Element Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.GuiElementEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElementEventMapping()
		 * @generated
		 */
		EClass GUI_ELEMENT_EVENT_MAPPING = eINSTANCE.getGuiElementEventMapping();

		/**
		 * The meta object literal for the '<em><b>Control</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GUI_ELEMENT_EVENT_MAPPING__CONTROL = eINSTANCE.getGuiElementEventMapping_Control();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.InitEventMappingImpl <em>Init Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.InitEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getInitEventMapping()
		 * @generated
		 */
		EClass INIT_EVENT_MAPPING = eINSTANCE.getInitEventMapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EnterEventMappingImpl <em>Enter Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EnterEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEnterEventMapping()
		 * @generated
		 */
		EClass ENTER_EVENT_MAPPING = eINSTANCE.getEnterEventMapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LeaveEventMappingImpl <em>Leave Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LeaveEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLeaveEventMapping()
		 * @generated
		 */
		EClass LEAVE_EVENT_MAPPING = eINSTANCE.getLeaveEventMapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DataMappingListImpl <em>Data Mapping List</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DataMappingListImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataMappingList()
		 * @generated
		 */
		EClass DATA_MAPPING_LIST = eINSTANCE.getDataMappingList();

		/**
		 * The meta object literal for the '<em><b>Mapping</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_MAPPING_LIST__MAPPING = eINSTANCE.getDataMappingList_Mapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DataMappingImpl <em>Data Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DataMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataMapping()
		 * @generated
		 */
		EClass DATA_MAPPING = eINSTANCE.getDataMapping();

		/**
		 * The meta object literal for the '<em><b>Control</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_MAPPING__CONTROL = eINSTANCE.getDataMapping_Control();

		/**
		 * The meta object literal for the '<em><b>Binding Element</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_MAPPING__BINDING_ELEMENT = eINSTANCE.getDataMapping_BindingElement();

		/**
		 * The meta object literal for the '<em><b>Field</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_MAPPING__FIELD = eINSTANCE.getDataMapping_Field();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PageDefinitionImpl <em>Page Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PageDefinitionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageDefinition()
		 * @generated
		 */
		EClass PAGE_DEFINITION = eINSTANCE.getPageDefinition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PageImpl <em>Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPage()
		 * @generated
		 */
		EClass PAGE = eINSTANCE.getPage();

		/**
		 * The meta object literal for the '<em><b>Compose Layout</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__COMPOSE_LAYOUT = eINSTANCE.getPage_ComposeLayout();

		/**
		 * The meta object literal for the '<em><b>Dataobjects</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__DATAOBJECTS = eINSTANCE.getPage_Dataobjects();

		/**
		 * The meta object literal for the '<em><b>Data Mapping</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__DATA_MAPPING = eINSTANCE.getPage_DataMapping();

		/**
		 * The meta object literal for the '<em><b>Commands</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__COMMANDS = eINSTANCE.getPage_Commands();

		/**
		 * The meta object literal for the '<em><b>Events</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__EVENTS = eINSTANCE.getPage_Events();

		/**
		 * The meta object literal for the '<em><b>Conditions Block</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__CONDITIONS_BLOCK = eINSTANCE.getPage_ConditionsBlock();

		/**
		 * The meta object literal for the '<em><b>Definitions</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__DEFINITIONS = eINSTANCE.getPage_Definitions();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XmadslPageImpl <em>Xmadsl Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XmadslPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmadslPage()
		 * @generated
		 */
		EClass XMADSL_PAGE = eINSTANCE.getXmadslPage();

		/**
		 * The meta object literal for the '<em><b>Abstract</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_PAGE__ABSTRACT = eINSTANCE.getXmadslPage_Abstract();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_PAGE__NAME = eINSTANCE.getXmadslPage_Name();

		/**
		 * The meta object literal for the '<em><b>Template</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__TEMPLATE = eINSTANCE.getXmadslPage_Template();

		/**
		 * The meta object literal for the '<em><b>Dependencies</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__DEPENDENCIES = eINSTANCE.getXmadslPage_Dependencies();

		/**
		 * The meta object literal for the '<em><b>Page Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__PAGE_PROPERTIES = eINSTANCE.getXmadslPage_PageProperties();

		/**
		 * The meta object literal for the '<em><b>Extensions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__EXTENSIONS = eINSTANCE.getXmadslPage_Extensions();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__LABEL_TEXT = eINSTANCE.getXmadslPage_LabelText();

		/**
		 * The meta object literal for the '<em><b>Page Property</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__PAGE_PROPERTY = eINSTANCE.getXmadslPage_PageProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PageCustomizationImpl <em>Page Customization</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PageCustomizationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageCustomization()
		 * @generated
		 */
		EClass PAGE_CUSTOMIZATION = eINSTANCE.getPageCustomization();

		/**
		 * The meta object literal for the '<em><b>Page To Customize</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE_CUSTOMIZATION__PAGE_TO_CUSTOMIZE = eINSTANCE.getPageCustomization_PageToCustomize();

		/**
		 * The meta object literal for the '<em><b>Composites</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE_CUSTOMIZATION__COMPOSITES = eINSTANCE.getPageCustomization_Composites();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.GuiElementImpl <em>Gui Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.GuiElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElement()
		 * @generated
		 */
		EClass GUI_ELEMENT = eINSTANCE.getGuiElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CompositeImpl <em>Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposite()
		 * @generated
		 */
		EClass COMPOSITE = eINSTANCE.getComposite();

		/**
		 * The meta object literal for the '<em><b>Content</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSITE__CONTENT = eINSTANCE.getComposite_Content();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComposedElementImpl <em>Composed Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComposedElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposedElement()
		 * @generated
		 */
		EClass COMPOSED_ELEMENT = eINSTANCE.getComposedElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComplexElementImpl <em>Complex Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComplexElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComplexElement()
		 * @generated
		 */
		EClass COMPLEX_ELEMENT = eINSTANCE.getComplexElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SimpleElementImpl <em>Simple Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SimpleElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSimpleElement()
		 * @generated
		 */
		EClass SIMPLE_ELEMENT = eINSTANCE.getSimpleElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IDummyImpl <em>IDummy</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IDummyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIDummy()
		 * @generated
		 */
		EClass IDUMMY = eINSTANCE.getIDummy();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IDUMMY__NAME = eINSTANCE.getIDummy_Name();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IGuiElementWithEventImpl <em>IGui Element With Event</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IGuiElementWithEventImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIGuiElementWithEvent()
		 * @generated
		 */
		EClass IGUI_ELEMENT_WITH_EVENT = eINSTANCE.getIGuiElementWithEvent();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.GuiElementWithEvent_dummyImpl <em>Gui Element With Event dummy</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.GuiElementWithEvent_dummyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElementWithEvent_dummy()
		 * @generated
		 */
		EClass GUI_ELEMENT_WITH_EVENT_DUMMY = eINSTANCE.getGuiElementWithEvent_dummy();

		/**
		 * The meta object literal for the '<em><b>Dummy Property</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GUI_ELEMENT_WITH_EVENT_DUMMY__DUMMY_PROPERTY = eINSTANCE.getGuiElementWithEvent_dummy_DummyProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TextImpl <em>Text</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TextImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getText()
		 * @generated
		 */
		EClass TEXT = eINSTANCE.getText();

		/**
		 * The meta object literal for the '<em><b>Alignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TEXT__ALIGNMENT = eINSTANCE.getText_Alignment();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT__CONSTRAINTS = eINSTANCE.getText_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT__FORMAT = eINSTANCE.getText_Format();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT__TEXT_PROPERTIES = eINSTANCE.getText_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComboImpl <em>Combo</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComboImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCombo()
		 * @generated
		 */
		EClass COMBO = eINSTANCE.getCombo();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBO__CONSTRAINTS = eINSTANCE.getCombo_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBO__FORMAT = eINSTANCE.getCombo_Format();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBO__TEXT_PROPERTIES = eINSTANCE.getCombo_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CheckBoxImpl <em>Check Box</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CheckBoxImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCheckBox()
		 * @generated
		 */
		EClass CHECK_BOX = eINSTANCE.getCheckBox();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHECK_BOX__LABEL_TEXT = eINSTANCE.getCheckBox_LabelText();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHECK_BOX__CONSTRAINTS = eINSTANCE.getCheckBox_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHECK_BOX__FORMAT = eINSTANCE.getCheckBox_Format();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHECK_BOX__TEXT_PROPERTIES = eINSTANCE.getCheckBox_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ListBoxImpl <em>List Box</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ListBoxImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getListBox()
		 * @generated
		 */
		EClass LIST_BOX = eINSTANCE.getListBox();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LIST_BOX__TEXT_PROPERTIES = eINSTANCE.getListBox_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TreeImpl <em>Tree</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TreeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTree()
		 * @generated
		 */
		EClass TREE = eINSTANCE.getTree();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TREE__TEXT_PROPERTIES = eINSTANCE.getTree_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.RadioButtonImpl <em>Radio Button</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.RadioButtonImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRadioButton()
		 * @generated
		 */
		EClass RADIO_BUTTON = eINSTANCE.getRadioButton();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RADIO_BUTTON__LABEL_TEXT = eINSTANCE.getRadioButton_LabelText();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RADIO_BUTTON__CONSTRAINTS = eINSTANCE.getRadioButton_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RADIO_BUTTON__FORMAT = eINSTANCE.getRadioButton_Format();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RADIO_BUTTON__TEXT_PROPERTIES = eINSTANCE.getRadioButton_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SeperatorImpl <em>Seperator</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SeperatorImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSeperator()
		 * @generated
		 */
		EClass SEPERATOR = eINSTANCE.getSeperator();

		/**
		 * The meta object literal for the '<em><b>Orientation</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SEPERATOR__ORIENTATION = eINSTANCE.getSeperator_Orientation();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LabelImpl <em>Label</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LabelImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabel()
		 * @generated
		 */
		EClass LABEL = eINSTANCE.getLabel();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LABEL__LABEL_TEXT = eINSTANCE.getLabel_LabelText();

		/**
		 * The meta object literal for the '<em><b>Image Uri</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LABEL__IMAGE_URI = eINSTANCE.getLabel_ImageUri();

		/**
		 * The meta object literal for the '<em><b>Image Uri Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LABEL__IMAGE_URI_REFERENCE = eINSTANCE.getLabel_ImageUriReference();

		/**
		 * The meta object literal for the '<em><b>Alignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LABEL__ALIGNMENT = eINSTANCE.getLabel_Alignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ImageImpl <em>Image</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ImageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImage()
		 * @generated
		 */
		EClass IMAGE = eINSTANCE.getImage();

		/**
		 * The meta object literal for the '<em><b>Image Uri</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMAGE__IMAGE_URI = eINSTANCE.getImage_ImageUri();

		/**
		 * The meta object literal for the '<em><b>Image Uri Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IMAGE__IMAGE_URI_REFERENCE = eINSTANCE.getImage_ImageUriReference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ButtonImpl <em>Button</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ButtonImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getButton()
		 * @generated
		 */
		EClass BUTTON = eINSTANCE.getButton();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUTTON__LABEL_TEXT = eINSTANCE.getButton_LabelText();

		/**
		 * The meta object literal for the '<em><b>Image Uri</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BUTTON__IMAGE_URI = eINSTANCE.getButton_ImageUri();

		/**
		 * The meta object literal for the '<em><b>Image Uri Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUTTON__IMAGE_URI_REFERENCE = eINSTANCE.getButton_ImageUriReference();

		/**
		 * The meta object literal for the '<em><b>Alignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BUTTON__ALIGNMENT = eINSTANCE.getButton_Alignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ICompositeImpl <em>IComposite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ICompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIComposite()
		 * @generated
		 */
		EClass ICOMPOSITE = eINSTANCE.getIComposite();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XmadslCompositeImpl <em>Xmadsl Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XmadslCompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmadslComposite()
		 * @generated
		 */
		EClass XMADSL_COMPOSITE = eINSTANCE.getXmadslComposite();

		/**
		 * The meta object literal for the '<em><b>Scrollable</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_COMPOSITE__SCROLLABLE = eINSTANCE.getXmadslComposite_Scrollable();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_COMPOSITE__LABEL_TEXT = eINSTANCE.getXmadslComposite_LabelText();

		/**
		 * The meta object literal for the '<em><b>Vertical Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_COMPOSITE__VERTICAL_PARTITIONING = eINSTANCE.getXmadslComposite_VerticalPartitioning();

		/**
		 * The meta object literal for the '<em><b>Horizontal Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_COMPOSITE__HORIZONTAL_PARTITIONING = eINSTANCE.getXmadslComposite_HorizontalPartitioning();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedCompositeImpl <em>Referenced Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedCompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedComposite()
		 * @generated
		 */
		EClass REFERENCED_COMPOSITE = eINSTANCE.getReferencedComposite();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_COMPOSITE__REFERENCE = eINSTANCE.getReferencedComposite_Reference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TableImpl <em>Table</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTable()
		 * @generated
		 */
		EClass TABLE = eINSTANCE.getTable();

		/**
		 * The meta object literal for the '<em><b>Object</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__OBJECT = eINSTANCE.getTable_Object();

		/**
		 * The meta object literal for the '<em><b>Key</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__KEY = eINSTANCE.getTable_Key();

		/**
		 * The meta object literal for the '<em><b>Column Min Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE__COLUMN_MIN_WIDTH = eINSTANCE.getTable_ColumnMinWidth();

		/**
		 * The meta object literal for the '<em><b>Multi Selection</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__MULTI_SELECTION = eINSTANCE.getTable_MultiSelection();

		/**
		 * The meta object literal for the '<em><b>Check Selection</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__CHECK_SELECTION = eINSTANCE.getTable_CheckSelection();

		/**
		 * The meta object literal for the '<em><b>Columns</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__COLUMNS = eINSTANCE.getTable_Columns();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TableColumnImpl <em>Table Column</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TableColumnImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTableColumn()
		 * @generated
		 */
		EClass TABLE_COLUMN = eINSTANCE.getTableColumn();

		/**
		 * The meta object literal for the '<em><b>Object</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE_COLUMN__OBJECT = eINSTANCE.getTableColumn_Object();

		/**
		 * The meta object literal for the '<em><b>Attribute Holder</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE_COLUMN__ATTRIBUTE_HOLDER = eINSTANCE.getTableColumn_AttributeHolder();

		/**
		 * The meta object literal for the '<em><b>Visible</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE_COLUMN__VISIBLE = eINSTANCE.getTableColumn_Visible();

		/**
		 * The meta object literal for the '<em><b>Custom Label Text</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__CUSTOM_LABEL_TEXT = eINSTANCE.getTableColumn_CustomLabelText();

		/**
		 * The meta object literal for the '<em><b>Align</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__ALIGN = eINSTANCE.getTableColumn_Align();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__WIDTH = eINSTANCE.getTableColumn_Width();

		/**
		 * The meta object literal for the '<em><b>Relative Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__RELATIVE_WIDTH = eINSTANCE.getTableColumn_RelativeWidth();

		/**
		 * The meta object literal for the '<em><b>Min Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__MIN_WIDTH = eINSTANCE.getTableColumn_MinWidth();

		/**
		 * The meta object literal for the '<em><b>Max Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__MAX_WIDTH = eINSTANCE.getTableColumn_MaxWidth();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ITabFolderImpl <em>ITab Folder</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ITabFolderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getITabFolder()
		 * @generated
		 */
		EClass ITAB_FOLDER = eINSTANCE.getITabFolder();

		/**
		 * The meta object literal for the '<em><b>Tab Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ITAB_FOLDER__TAB_ITEMS = eINSTANCE.getITabFolder_TabItems();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabFolderImpl <em>Tab Folder</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabFolderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabFolder()
		 * @generated
		 */
		EClass TAB_FOLDER = eINSTANCE.getTabFolder();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedTabFolderImpl <em>Referenced Tab Folder</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedTabFolderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedTabFolder()
		 * @generated
		 */
		EClass REFERENCED_TAB_FOLDER = eINSTANCE.getReferencedTabFolder();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_TAB_FOLDER__REFERENCE = eINSTANCE.getReferencedTabFolder_Reference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ITabPageImpl <em>ITab Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ITabPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getITabPage()
		 * @generated
		 */
		EClass ITAB_PAGE = eINSTANCE.getITabPage();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabPageImpl <em>Tab Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabPage()
		 * @generated
		 */
		EClass TAB_PAGE = eINSTANCE.getTabPage();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TAB_PAGE__NAME = eINSTANCE.getTabPage_Name();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TAB_PAGE__LABEL_TEXT = eINSTANCE.getTabPage_LabelText();

		/**
		 * The meta object literal for the '<em><b>Scrollable</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TAB_PAGE__SCROLLABLE = eINSTANCE.getTabPage_Scrollable();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TAB_PAGE__FIELD_FLAGS = eINSTANCE.getTabPage_FieldFlags();

		/**
		 * The meta object literal for the '<em><b>Page Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TAB_PAGE__PAGE_PROPERTIES = eINSTANCE.getTabPage_PageProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedTabPageImpl <em>Referenced Tab Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedTabPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedTabPage()
		 * @generated
		 */
		EClass REFERENCED_TAB_PAGE = eINSTANCE.getReferencedTabPage();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_TAB_PAGE__REFERENCE = eINSTANCE.getReferencedTabPage_Reference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LayoutDataPropertyImpl <em>Layout Data Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LayoutDataPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLayoutDataProperty()
		 * @generated
		 */
		EClass LAYOUT_DATA_PROPERTY = eINSTANCE.getLayoutDataProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PagePropertyImpl <em>Page Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PagePropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageProperty()
		 * @generated
		 */
		EClass PAGE_PROPERTY = eINSTANCE.getPageProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.HeightPropertyImpl <em>Height Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.HeightPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getHeightProperty()
		 * @generated
		 */
		EClass HEIGHT_PROPERTY = eINSTANCE.getHeightProperty();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute HEIGHT_PROPERTY__HEIGHT = eINSTANCE.getHeightProperty_Height();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.WidthPropertyImpl <em>Width Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.WidthPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getWidthProperty()
		 * @generated
		 */
		EClass WIDTH_PROPERTY = eINSTANCE.getWidthProperty();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WIDTH_PROPERTY__WIDTH = eINSTANCE.getWidthProperty_Width();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AttachmentPropertyImpl <em>Attachment Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AttachmentPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentProperty()
		 * @generated
		 */
		EClass ATTACHMENT_PROPERTY = eINSTANCE.getAttachmentProperty();

		/**
		 * The meta object literal for the '<em><b>Own Position</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ATTACHMENT_PROPERTY__OWN_POSITION = eINSTANCE.getAttachmentProperty_OwnPosition();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ATTACHMENT_PROPERTY__ATTACHMENT_SPECIFICATION = eINSTANCE.getAttachmentProperty_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyImpl <em>Style Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleProperty()
		 * @generated
		 */
		EClass STYLE_PROPERTY = eINSTANCE.getStyleProperty();

		/**
		 * The meta object literal for the '<em><b>Styles</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY__STYLES = eINSTANCE.getStyleProperty_Styles();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TitleButtonsPropertyImpl <em>Title Buttons Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TitleButtonsPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTitleButtonsProperty()
		 * @generated
		 */
		EClass TITLE_BUTTONS_PROPERTY = eINSTANCE.getTitleButtonsProperty();

		/**
		 * The meta object literal for the '<em><b>Button</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TITLE_BUTTONS_PROPERTY__BUTTON = eINSTANCE.getTitleButtonsProperty_Button();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ResizeablePropertyImpl <em>Resizeable Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ResizeablePropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getResizeableProperty()
		 * @generated
		 */
		EClass RESIZEABLE_PROPERTY = eINSTANCE.getResizeableProperty();

		/**
		 * The meta object literal for the '<em><b>Resizeable</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RESIZEABLE_PROPERTY__RESIZEABLE = eINSTANCE.getResizeableProperty_Resizeable();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AlignmentPropertyImpl <em>Alignment Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AlignmentPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAlignmentProperty()
		 * @generated
		 */
		EClass ALIGNMENT_PROPERTY = eINSTANCE.getAlignmentProperty();

		/**
		 * The meta object literal for the '<em><b>HAlignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ALIGNMENT_PROPERTY__HALIGNMENT = eINSTANCE.getAlignmentProperty_HAlignment();

		/**
		 * The meta object literal for the '<em><b>VAlignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ALIGNMENT_PROPERTY__VALIGNMENT = eINSTANCE.getAlignmentProperty_VAlignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComposeDataImpl <em>Compose Data</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComposeDataImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposeData()
		 * @generated
		 */
		EClass COMPOSE_DATA = eINSTANCE.getComposeData();

		/**
		 * The meta object literal for the '<em><b>Tabulators</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__TABULATORS = eINSTANCE.getComposeData_Tabulators();

		/**
		 * The meta object literal for the '<em><b>Referenced Tabulator</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__REFERENCED_TABULATOR = eINSTANCE.getComposeData_ReferencedTabulator();

		/**
		 * The meta object literal for the '<em><b>Cell Widths</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__CELL_WIDTHS = eINSTANCE.getComposeData_CellWidths();

		/**
		 * The meta object literal for the '<em><b>Cell Widths Count</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMPOSE_DATA__CELL_WIDTHS_COUNT = eINSTANCE.getComposeData_CellWidthsCount();

		/**
		 * The meta object literal for the '<em><b>Cell Heights</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__CELL_HEIGHTS = eINSTANCE.getComposeData_CellHeights();

		/**
		 * The meta object literal for the '<em><b>Spacing</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__SPACING = eINSTANCE.getComposeData_Spacing();

		/**
		 * The meta object literal for the '<em><b>Margin</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__MARGIN = eINSTANCE.getComposeData_Margin();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PaddingWidthImpl <em>Padding Width</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PaddingWidthImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPaddingWidth()
		 * @generated
		 */
		EClass PADDING_WIDTH = eINSTANCE.getPaddingWidth();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PADDING_WIDTH__WIDTH = eINSTANCE.getPaddingWidth_Width();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IAttachmentPositionImpl <em>IAttachment Position</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IAttachmentPositionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIAttachmentPosition()
		 * @generated
		 */
		EClass IATTACHMENT_POSITION = eINSTANCE.getIAttachmentPosition();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IATTACHMENT_POSITION__NAME = eINSTANCE.getIAttachmentPosition_Name();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IATTACHMENT_POSITION__WIDTH = eINSTANCE.getIAttachmentPosition_Width();

		/**
		 * The meta object literal for the '<em><b>Relative</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IATTACHMENT_POSITION__RELATIVE = eINSTANCE.getIAttachmentPosition_Relative();

		/**
		 * The meta object literal for the '<em><b>Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IATTACHMENT_POSITION__OFFSET = eINSTANCE.getIAttachmentPosition_Offset();

		/**
		 * The meta object literal for the '<em><b>Referenced Position</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IATTACHMENT_POSITION__REFERENCED_POSITION = eINSTANCE.getIAttachmentPosition_ReferencedPosition();

		/**
		 * The meta object literal for the '<em><b>Additional Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IATTACHMENT_POSITION__ADDITIONAL_OFFSET = eINSTANCE.getIAttachmentPosition_AdditionalOffset();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabulatorDefinitionImpl <em>Tabulator Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabulatorDefinitionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorDefinition()
		 * @generated
		 */
		EClass TABULATOR_DEFINITION = eINSTANCE.getTabulatorDefinition();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_DEFINITION__NAME = eINSTANCE.getTabulatorDefinition_Name();

		/**
		 * The meta object literal for the '<em><b>Tabulators</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABULATOR_DEFINITION__TABULATORS = eINSTANCE.getTabulatorDefinition_Tabulators();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StringDefinitionImpl <em>String Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StringDefinitionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStringDefinition()
		 * @generated
		 */
		EClass STRING_DEFINITION = eINSTANCE.getStringDefinition();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRING_DEFINITION__NAME = eINSTANCE.getStringDefinition_Name();

		/**
		 * The meta object literal for the '<em><b>Text</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRING_DEFINITION__TEXT = eINSTANCE.getStringDefinition_Text();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IntegerDefinitionImpl <em>Integer Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IntegerDefinitionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIntegerDefinition()
		 * @generated
		 */
		EClass INTEGER_DEFINITION = eINSTANCE.getIntegerDefinition();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INTEGER_DEFINITION__NAME = eINSTANCE.getIntegerDefinition_Name();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INTEGER_DEFINITION__VALUE = eINSTANCE.getIntegerDefinition_Value();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ImageUriImpl <em>Image Uri</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ImageUriImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImageUri()
		 * @generated
		 */
		EClass IMAGE_URI = eINSTANCE.getImageUri();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMAGE_URI__NAME = eINSTANCE.getImageUri_Name();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMAGE_URI__SOURCE = eINSTANCE.getImageUri_Source();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DefinitionsImpl <em>Definitions</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DefinitionsImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDefinitions()
		 * @generated
		 */
		EClass DEFINITIONS = eINSTANCE.getDefinitions();

		/**
		 * The meta object literal for the '<em><b>Strings</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__STRINGS = eINSTANCE.getDefinitions_Strings();

		/**
		 * The meta object literal for the '<em><b>Integers</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__INTEGERS = eINSTANCE.getDefinitions_Integers();

		/**
		 * The meta object literal for the '<em><b>Image Sources</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__IMAGE_SOURCES = eINSTANCE.getDefinitions_ImageSources();

		/**
		 * The meta object literal for the '<em><b>Positions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__POSITIONS = eINSTANCE.getDefinitions_Positions();

		/**
		 * The meta object literal for the '<em><b>Tabulators</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__TABULATORS = eINSTANCE.getDefinitions_Tabulators();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabulatorPositionImpl <em>Tabulator Position</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabulatorPositionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorPosition()
		 * @generated
		 */
		EClass TABULATOR_POSITION = eINSTANCE.getTabulatorPosition();

		/**
		 * The meta object literal for the '<em><b>Floating Position</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_POSITION__FLOATING_POSITION = eINSTANCE.getTabulatorPosition_FloatingPosition();

		/**
		 * The meta object literal for the '<em><b>Filling Position</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_POSITION__FILLING_POSITION = eINSTANCE.getTabulatorPosition_FillingPosition();

		/**
		 * The meta object literal for the '<em><b>Delta Specification</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_POSITION__DELTA_SPECIFICATION = eINSTANCE.getTabulatorPosition_DeltaSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AttachmentPositionImpl <em>Attachment Position</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AttachmentPositionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentPosition()
		 * @generated
		 */
		EClass ATTACHMENT_POSITION = eINSTANCE.getAttachmentPosition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ContentImpl <em>Content</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ContentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getContent()
		 * @generated
		 */
		EClass CONTENT = eINSTANCE.getContent();

		/**
		 * The meta object literal for the '<em><b>Widget Set Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTENT__WIDGET_SET_ITEMS = eINSTANCE.getContent_WidgetSetItems();

		/**
		 * The meta object literal for the '<em><b>Container Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTENT__CONTAINER_ITEMS = eINSTANCE.getContent_ContainerItems();

		/**
		 * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTENT__ELEMENTS = eINSTANCE.getContent_Elements();

		/**
		 * The meta object literal for the '<em><b>Compose Layout</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTENT__COMPOSE_LAYOUT = eINSTANCE.getContent_ComposeLayout();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SetOfGuiElementsImpl <em>Set Of Gui Elements</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SetOfGuiElementsImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSetOfGuiElements()
		 * @generated
		 */
		EClass SET_OF_GUI_ELEMENTS = eINSTANCE.getSetOfGuiElements();

		/**
		 * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SET_OF_GUI_ELEMENTS__ELEMENTS = eINSTANCE.getSetOfGuiElements_Elements();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AttachmentSpecificationImpl <em>Attachment Specification</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AttachmentSpecificationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentSpecification()
		 * @generated
		 */
		EClass ATTACHMENT_SPECIFICATION = eINSTANCE.getAttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.NoneAttachmentImpl <em>None Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.NoneAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getNoneAttachment()
		 * @generated
		 */
		EClass NONE_ATTACHMENT = eINSTANCE.getNoneAttachment();

		/**
		 * The meta object literal for the '<em><b>None</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute NONE_ATTACHMENT__NONE = eINSTANCE.getNoneAttachment_None();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ParentAttachmentImpl <em>Parent Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ParentAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getParentAttachment()
		 * @generated
		 */
		EClass PARENT_ATTACHMENT = eINSTANCE.getParentAttachment();

		/**
		 * The meta object literal for the '<em><b>Distance</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARENT_ATTACHMENT__DISTANCE = eINSTANCE.getParentAttachment_Distance();

		/**
		 * The meta object literal for the '<em><b>Relative</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARENT_ATTACHMENT__RELATIVE = eINSTANCE.getParentAttachment_Relative();

		/**
		 * The meta object literal for the '<em><b>Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PARENT_ATTACHMENT__OFFSET = eINSTANCE.getParentAttachment_Offset();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IElementOnWhichCanBeAttachedImpl <em>IElement On Which Can Be Attached</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IElementOnWhichCanBeAttachedImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIElementOnWhichCanBeAttached()
		 * @generated
		 */
		EClass IELEMENT_ON_WHICH_CAN_BE_ATTACHED = eINSTANCE.getIElementOnWhichCanBeAttached();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SiblingAttachmentImpl <em>Sibling Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SiblingAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSiblingAttachment()
		 * @generated
		 */
		EClass SIBLING_ATTACHMENT = eINSTANCE.getSiblingAttachment();

		/**
		 * The meta object literal for the '<em><b>Sibling Position</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SIBLING_ATTACHMENT__SIBLING_POSITION = eINSTANCE.getSiblingAttachment_SiblingPosition();

		/**
		 * The meta object literal for the '<em><b>Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SIBLING_ATTACHMENT__OFFSET = eINSTANCE.getSiblingAttachment_Offset();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AbsoluteSiblingAttachmentImpl <em>Absolute Sibling Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AbsoluteSiblingAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAbsoluteSiblingAttachment()
		 * @generated
		 */
		EClass ABSOLUTE_SIBLING_ATTACHMENT = eINSTANCE.getAbsoluteSiblingAttachment();

		/**
		 * The meta object literal for the '<em><b>Sibling</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ABSOLUTE_SIBLING_ATTACHMENT__SIBLING = eINSTANCE.getAbsoluteSiblingAttachment_Sibling();

		/**
		 * The meta object literal for the '<em><b>Field Part</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ABSOLUTE_SIBLING_ATTACHMENT__FIELD_PART = eINSTANCE.getAbsoluteSiblingAttachment_FieldPart();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.RelativeSiblingAttachmentImpl <em>Relative Sibling Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.RelativeSiblingAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRelativeSiblingAttachment()
		 * @generated
		 */
		EClass RELATIVE_SIBLING_ATTACHMENT = eINSTANCE.getRelativeSiblingAttachment();

		/**
		 * The meta object literal for the '<em><b>Relative Sibling</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RELATIVE_SIBLING_ATTACHMENT__RELATIVE_SIBLING = eINSTANCE.getRelativeSiblingAttachment_RelativeSibling();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabulatorAttachmentImpl <em>Tabulator Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabulatorAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorAttachment()
		 * @generated
		 */
		EClass TABULATOR_ATTACHMENT = eINSTANCE.getTabulatorAttachment();

		/**
		 * The meta object literal for the '<em><b>Tab Index</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_ATTACHMENT__TAB_INDEX = eINSTANCE.getTabulatorAttachment_TabIndex();

		/**
		 * The meta object literal for the '<em><b>Sibling</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABULATOR_ATTACHMENT__SIBLING = eINSTANCE.getTabulatorAttachment_Sibling();

		/**
		 * The meta object literal for the '<em><b>Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABULATOR_ATTACHMENT__OFFSET = eINSTANCE.getTabulatorAttachment_Offset();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.OffsetImpl <em>Offset</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.OffsetImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getOffset()
		 * @generated
		 */
		EClass OFFSET = eINSTANCE.getOffset();

		/**
		 * The meta object literal for the '<em><b>Negative</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OFFSET__NEGATIVE = eINSTANCE.getOffset_Negative();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OFFSET__VALUE = eINSTANCE.getOffset_Value();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldVariableImpl <em>Field Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldVariableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldVariable()
		 * @generated
		 */
		EClass FIELD_VARIABLE = eINSTANCE.getFieldVariable();

		/**
		 * The meta object literal for the '<em><b>Field</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FIELD_VARIABLE__FIELD = eINSTANCE.getFieldVariable_Field();

		/**
		 * The meta object literal for the '<em><b>Access</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FIELD_VARIABLE__ACCESS = eINSTANCE.getFieldVariable_Access();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XmaVariableImpl <em>Xma Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XmaVariableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmaVariable()
		 * @generated
		 */
		EClass XMA_VARIABLE = eINSTANCE.getXmaVariable();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMA_VARIABLE__REFERENCE = eINSTANCE.getXmaVariable_Reference();

		/**
		 * The meta object literal for the '<em><b>Access</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMA_VARIABLE__ACCESS = eINSTANCE.getXmaVariable_Access();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizeComponentModelImpl <em>Customize Component Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizeComponentModelImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeComponentModel()
		 * @generated
		 */
		EClass CUSTOMIZE_COMPONENT_MODEL = eINSTANCE.getCustomizeComponentModel();

		/**
		 * The meta object literal for the '<em><b>Imports</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZE_COMPONENT_MODEL__IMPORTS = eINSTANCE.getCustomizeComponentModel_Imports();

		/**
		 * The meta object literal for the '<em><b>Component</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZE_COMPONENT_MODEL__COMPONENT = eINSTANCE.getCustomizeComponentModel_Component();

		/**
		 * The meta object literal for the '<em><b>Customizations</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZE_COMPONENT_MODEL__CUSTOMIZATIONS = eINSTANCE.getCustomizeComponentModel_Customizations();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfGuiElementImpl <em>Customization Of Gui Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizationOfGuiElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfGuiElement()
		 * @generated
		 */
		EClass CUSTOMIZATION_OF_GUI_ELEMENT = eINSTANCE.getCustomizationOfGuiElement();

		/**
		 * The meta object literal for the '<em><b>Page</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_GUI_ELEMENT__PAGE = eINSTANCE.getCustomizationOfGuiElement_Page();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfCompositeImpl <em>Customization Of Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizationOfCompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfComposite()
		 * @generated
		 */
		EClass CUSTOMIZATION_OF_COMPOSITE = eINSTANCE.getCustomizationOfComposite();

		/**
		 * The meta object literal for the '<em><b>Composite</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_COMPOSITE__COMPOSITE = eINSTANCE.getCustomizationOfComposite_Composite();

		/**
		 * The meta object literal for the '<em><b>Compose Layout</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_COMPOSITE__COMPOSE_LAYOUT = eINSTANCE.getCustomizationOfComposite_ComposeLayout();

		/**
		 * The meta object literal for the '<em><b>Added Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_COMPOSITE__ADDED_ELEMENTS = eINSTANCE.getCustomizationOfComposite_AddedElements();

		/**
		 * The meta object literal for the '<em><b>Vertical Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CUSTOMIZATION_OF_COMPOSITE__VERTICAL_PARTITIONING = eINSTANCE.getCustomizationOfComposite_VerticalPartitioning();

		/**
		 * The meta object literal for the '<em><b>Horizontal Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CUSTOMIZATION_OF_COMPOSITE__HORIZONTAL_PARTITIONING = eINSTANCE.getCustomizationOfComposite_HorizontalPartitioning();

		/**
		 * The meta object literal for the '<em><b>Added Widget Set Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_COMPOSITE__ADDED_WIDGET_SET_ITEMS = eINSTANCE.getCustomizationOfComposite_AddedWidgetSetItems();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfTabFolderImpl <em>Customization Of Tab Folder</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizationOfTabFolderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfTabFolder()
		 * @generated
		 */
		EClass CUSTOMIZATION_OF_TAB_FOLDER = eINSTANCE.getCustomizationOfTabFolder();

		/**
		 * The meta object literal for the '<em><b>Tab Folder</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_TAB_FOLDER__TAB_FOLDER = eINSTANCE.getCustomizationOfTabFolder_TabFolder();

		/**
		 * The meta object literal for the '<em><b>Added Tab Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_TAB_FOLDER__ADDED_TAB_ITEMS = eINSTANCE.getCustomizationOfTabFolder_AddedTabItems();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IElementWithLayoutDataImpl <em>IElement With Layout Data</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IElementWithLayoutDataImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIElementWithLayoutData()
		 * @generated
		 */
		EClass IELEMENT_WITH_LAYOUT_DATA = eINSTANCE.getIElementWithLayoutData();

		/**
		 * The meta object literal for the '<em><b>Layout Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IELEMENT_WITH_LAYOUT_DATA__LAYOUT_PROPERTIES = eINSTANCE.getIElementWithLayoutData_LayoutProperties();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IELEMENT_WITH_LAYOUT_DATA__FIELD_FLAGS = eINSTANCE.getIElementWithLayoutData_FieldFlags();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StyleSpecificationImpl <em>Style Specification</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StyleSpecificationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSpecification()
		 * @generated
		 */
		EClass STYLE_SPECIFICATION = eINSTANCE.getStyleSpecification();

		/**
		 * The meta object literal for the '<em><b>Model Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_SPECIFICATION__MODEL_ELEMENTS = eINSTANCE.getStyleSpecification_ModelElements();

		/**
		 * The meta object literal for the '<em><b>Style Property</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_SPECIFICATION__STYLE_PROPERTY = eINSTANCE.getStyleSpecification_StyleProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ModelElementSpecificationImpl <em>Model Element Specification</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ModelElementSpecificationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getModelElementSpecification()
		 * @generated
		 */
		EClass MODEL_ELEMENT_SPECIFICATION = eINSTANCE.getModelElementSpecification();

		/**
		 * The meta object literal for the '<em><b>Model Element</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODEL_ELEMENT_SPECIFICATION__MODEL_ELEMENT = eINSTANCE.getModelElementSpecification_ModelElement();

		/**
		 * The meta object literal for the '<em><b>Combined Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODEL_ELEMENT_SPECIFICATION__COMBINED_ELEMENTS = eINSTANCE.getModelElementSpecification_CombinedElements();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SelectedModelElementImpl <em>Selected Model Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SelectedModelElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSelectedModelElement()
		 * @generated
		 */
		EClass SELECTED_MODEL_ELEMENT = eINSTANCE.getSelectedModelElement();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SELECTED_MODEL_ELEMENT__TYPE = eINSTANCE.getSelectedModelElement_Type();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SELECTED_MODEL_ELEMENT__NAME = eINSTANCE.getSelectedModelElement_Name();

		/**
		 * The meta object literal for the '<em><b>First Child</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SELECTED_MODEL_ELEMENT__FIRST_CHILD = eINSTANCE.getSelectedModelElement_FirstChild();

		/**
		 * The meta object literal for the '<em><b>Middle Child</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SELECTED_MODEL_ELEMENT__MIDDLE_CHILD = eINSTANCE.getSelectedModelElement_MiddleChild();

		/**
		 * The meta object literal for the '<em><b>Last Child</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SELECTED_MODEL_ELEMENT__LAST_CHILD = eINSTANCE.getSelectedModelElement_LastChild();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CombinedModelElementImpl <em>Combined Model Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CombinedModelElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCombinedModelElement()
		 * @generated
		 */
		EClass COMBINED_MODEL_ELEMENT = eINSTANCE.getCombinedModelElement();

		/**
		 * The meta object literal for the '<em><b>Child</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMBINED_MODEL_ELEMENT__CHILD = eINSTANCE.getCombinedModelElement_Child();

		/**
		 * The meta object literal for the '<em><b>Next</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMBINED_MODEL_ELEMENT__NEXT = eINSTANCE.getCombinedModelElement_Next();

		/**
		 * The meta object literal for the '<em><b>Model Element</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBINED_MODEL_ELEMENT__MODEL_ELEMENT = eINSTANCE.getCombinedModelElement_ModelElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StyleSpecificationPropertyImpl <em>Style Specification Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StyleSpecificationPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSpecificationProperty()
		 * @generated
		 */
		EClass STYLE_SPECIFICATION_PROPERTY = eINSTANCE.getStyleSpecificationProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyFieldPartImpl <em>Style Property Field Part</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyFieldPartImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyFieldPart()
		 * @generated
		 */
		EClass STYLE_PROPERTY_FIELD_PART = eINSTANCE.getStylePropertyFieldPart();

		/**
		 * The meta object literal for the '<em><b>Parts</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_FIELD_PART__PARTS = eINSTANCE.getStylePropertyFieldPart_Parts();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyLeftImpl <em>Style Property Left</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyLeftImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyLeft()
		 * @generated
		 */
		EClass STYLE_PROPERTY_LEFT = eINSTANCE.getStylePropertyLeft();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_LEFT__ATTACHMENT_SPECIFICATION = eINSTANCE.getStylePropertyLeft_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyRightImpl <em>Style Property Right</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyRightImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyRight()
		 * @generated
		 */
		EClass STYLE_PROPERTY_RIGHT = eINSTANCE.getStylePropertyRight();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_RIGHT__ATTACHMENT_SPECIFICATION = eINSTANCE.getStylePropertyRight_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTopImpl <em>Style Property Top</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyTopImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTop()
		 * @generated
		 */
		EClass STYLE_PROPERTY_TOP = eINSTANCE.getStylePropertyTop();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_TOP__ATTACHMENT_SPECIFICATION = eINSTANCE.getStylePropertyTop_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBottomImpl <em>Style Property Bottom</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyBottomImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBottom()
		 * @generated
		 */
		EClass STYLE_PROPERTY_BOTTOM = eINSTANCE.getStylePropertyBottom();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_BOTTOM__ATTACHMENT_SPECIFICATION = eINSTANCE.getStylePropertyBottom_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidthImpl <em>Style Property Width</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidthImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidth()
		 * @generated
		 */
		EClass STYLE_PROPERTY_WIDTH = eINSTANCE.getStylePropertyWidth();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_WIDTH__WIDTH = eINSTANCE.getStylePropertyWidth_Width();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyHeightImpl <em>Style Property Height</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyHeightImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyHeight()
		 * @generated
		 */
		EClass STYLE_PROPERTY_HEIGHT = eINSTANCE.getStylePropertyHeight();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_HEIGHT__HEIGHT = eINSTANCE.getStylePropertyHeight_Height();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTabulatorImpl <em>Style Property Tabulator</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyTabulatorImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTabulator()
		 * @generated
		 */
		EClass STYLE_PROPERTY_TABULATOR = eINSTANCE.getStylePropertyTabulator();

		/**
		 * The meta object literal for the '<em><b>Tabulators</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_TABULATOR__TABULATORS = eINSTANCE.getStylePropertyTabulator_Tabulators();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBorderImpl <em>Style Property Border</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyBorderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBorder()
		 * @generated
		 */
		EClass STYLE_PROPERTY_BORDER = eINSTANCE.getStylePropertyBorder();

		/**
		 * The meta object literal for the '<em><b>None Border</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BORDER__NONE_BORDER = eINSTANCE.getStylePropertyBorder_NoneBorder();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyForegroundColorImpl <em>Style Property Foreground Color</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyForegroundColorImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyForegroundColor()
		 * @generated
		 */
		EClass STYLE_PROPERTY_FOREGROUND_COLOR = eINSTANCE.getStylePropertyForegroundColor();

		/**
		 * The meta object literal for the '<em><b>Red</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FOREGROUND_COLOR__RED = eINSTANCE.getStylePropertyForegroundColor_Red();

		/**
		 * The meta object literal for the '<em><b>Blue</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FOREGROUND_COLOR__BLUE = eINSTANCE.getStylePropertyForegroundColor_Blue();

		/**
		 * The meta object literal for the '<em><b>Green</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FOREGROUND_COLOR__GREEN = eINSTANCE.getStylePropertyForegroundColor_Green();

		/**
		 * The meta object literal for the '<em><b>Color ID</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FOREGROUND_COLOR__COLOR_ID = eINSTANCE.getStylePropertyForegroundColor_ColorID();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBackgroundColorImpl <em>Style Property Background Color</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyBackgroundColorImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBackgroundColor()
		 * @generated
		 */
		EClass STYLE_PROPERTY_BACKGROUND_COLOR = eINSTANCE.getStylePropertyBackgroundColor();

		/**
		 * The meta object literal for the '<em><b>Red</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BACKGROUND_COLOR__RED = eINSTANCE.getStylePropertyBackgroundColor_Red();

		/**
		 * The meta object literal for the '<em><b>Blue</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BACKGROUND_COLOR__BLUE = eINSTANCE.getStylePropertyBackgroundColor_Blue();

		/**
		 * The meta object literal for the '<em><b>Green</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BACKGROUND_COLOR__GREEN = eINSTANCE.getStylePropertyBackgroundColor_Green();

		/**
		 * The meta object literal for the '<em><b>Color ID</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BACKGROUND_COLOR__COLOR_ID = eINSTANCE.getStylePropertyBackgroundColor_ColorID();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidgetVariantImpl <em>Style Property Widget Variant</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidgetVariantImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidgetVariant()
		 * @generated
		 */
		EClass STYLE_PROPERTY_WIDGET_VARIANT = eINSTANCE.getStylePropertyWidgetVariant();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_WIDGET_VARIANT__NAME = eINSTANCE.getStylePropertyWidgetVariant_Name();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.EventType <em>Event Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.EventType
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventType()
		 * @generated
		 */
		EEnum EVENT_TYPE = eINSTANCE.getEventType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.PredefinedCommand <em>Predefined Command</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.PredefinedCommand
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPredefinedCommand()
		 * @generated
		 */
		EEnum PREDEFINED_COMMAND = eINSTANCE.getPredefinedCommand();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.AttachmentOwnPosition <em>Attachment Own Position</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.AttachmentOwnPosition
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentOwnPosition()
		 * @generated
		 */
		EEnum ATTACHMENT_OWN_POSITION = eINSTANCE.getAttachmentOwnPosition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.RelativeSibling <em>Relative Sibling</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.RelativeSibling
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRelativeSibling()
		 * @generated
		 */
		EEnum RELATIVE_SIBLING = eINSTANCE.getRelativeSibling();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.AttachmentSiblingPosition <em>Attachment Sibling Position</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.AttachmentSiblingPosition
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentSiblingPosition()
		 * @generated
		 */
		EEnum ATTACHMENT_SIBLING_POSITION = eINSTANCE.getAttachmentSiblingPosition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.ContentAlignment <em>Content Alignment</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.ContentAlignment
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getContentAlignment()
		 * @generated
		 */
		EEnum CONTENT_ALIGNMENT = eINSTANCE.getContentAlignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.HorizontalAlignment <em>Horizontal Alignment</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.HorizontalAlignment
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getHorizontalAlignment()
		 * @generated
		 */
		EEnum HORIZONTAL_ALIGNMENT = eINSTANCE.getHorizontalAlignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.VerticalAlignment <em>Vertical Alignment</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.VerticalAlignment
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVerticalAlignment()
		 * @generated
		 */
		EEnum VERTICAL_ALIGNMENT = eINSTANCE.getVerticalAlignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.Orientation <em>Orientation</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.Orientation
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getOrientation()
		 * @generated
		 */
		EEnum ORIENTATION = eINSTANCE.getOrientation();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.ControlType <em>Control Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.ControlType
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getControlType()
		 * @generated
		 */
		EEnum CONTROL_TYPE = eINSTANCE.getControlType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.FieldPart <em>Field Part</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.FieldPart
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldPart()
		 * @generated
		 */
		EEnum FIELD_PART = eINSTANCE.getFieldPart();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.TitleButton <em>Title Button</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.TitleButton
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTitleButton()
		 * @generated
		 */
		EEnum TITLE_BUTTON = eINSTANCE.getTitleButton();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.StyleSelectorType <em>Style Selector Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.StyleSelectorType
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSelectorType()
		 * @generated
		 */
		EEnum STYLE_SELECTOR_TYPE = eINSTANCE.getStyleSelectorType();

	}

} //PomPackage
